#include "sequence_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	"IDL:TestSeq:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t37_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t37_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t37_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t38_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t38_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t39_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t40_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t40_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              TestSeq _obj;
                              unsigned int _t41_principal_len;
                              CORBA_short _return;
                              seq *_local_a;
                              seq _t42_storage;
                              CORBA_unsigned_long _t43_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t44_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort90);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t41_principal_len, _flick_abort90);
                              flick_iiop_decode_new_glob(_t41_principal_len);
                              flick_iiop_decode_new_chunk(_t41_principal_len);
                              flick_iiop_decode_end_chunk(_t41_principal_len);
                              flick_iiop_decode_end_glob(_t41_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (seq *)(&_t42_storage);
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort90);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort90);
                                _local_a->_buffer = _t_alloc_ptr;
                                _local_a->_maximum = 10;
                                _local_a->_release = 1;
                              }
                              flick_iiop_check_span(_local_a->_length * 4, _flick_abort94);
                              for (_t43_array_iter = 0; _t43_array_iter < _local_a->_length; _t43_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t43_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                }
                              _ev = (CORBA_Environment *)(&_t44_storage);
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort94);
                                flick_iiop_encode_new_glob(52, _flick_abort94);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(8 + 4 * _local_a->_length);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_cdr_encode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
                                      if (_local_a->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort103);
                                      flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                                      if (_local_a->_release)
                                        CORBA_flick_free(_local_a->_buffer);
                                      _local_a->_maximum = 0;
                                      _local_a->_release = 0;
                                      _local_a->_buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(8 + 4 * _local_a->_length);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort103:
                                        goto _flick_abort94;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(52);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort106);
                                      break;
                                      {
                                      _flick_abort106:
                                        goto _flick_abort94;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort107:
                                        goto _flick_abort94;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort94:
                                CORBA_flick_free(_local_a->_buffer);
                              _flick_abort90:
                                goto _flick_abort89;
                              }
                            }
                            break;
                            {
                            _flick_abort89:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t45_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t45_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t46_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t46_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t46_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t47_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t48_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t49_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort109);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t47_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t47_principal_len, _flick_abort109);
                        flick_iiop_decode_new_glob(_t47_principal_len);
                        flick_iiop_decode_new_chunk(_t47_principal_len);
                        flick_iiop_decode_end_chunk(_t47_principal_len);
                        flick_iiop_decode_end_glob(_t47_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort109);
                        flick_cdr_swap_decode_unsigned32(0, _t48_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t48_temp_string_len);
                        flick_iiop_check_span(1 * _t48_temp_string_len, _flick_abort109);
                        flick_iiop_decode_new_chunk(1 * _t48_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t48_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t48_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t49_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort109);
                          flick_iiop_encode_new_glob(5, _flick_abort109);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort117);
                                break;
                                {
                                _flick_abort117:
                                  goto _flick_abort109;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort118:
                                  goto _flick_abort109;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort109:
                          goto _flick_abort108;
                        }
                      }
                      break;
                      {
                      _flick_abort108:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t13_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t13_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t14_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t14_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t14_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t15_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t15_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t15_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              TestSeq _obj;
                              unsigned int _t16_principal_len;
                              CORBA_short _return;
                              seq *_local_a;
                              seq _t17_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t18_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort32);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t16_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t16_principal_len, _flick_abort32);
                              flick_iiop_decode_new_glob(_t16_principal_len);
                              flick_iiop_decode_new_chunk(_t16_principal_len);
                              flick_iiop_decode_end_chunk(_t16_principal_len);
                              flick_iiop_decode_end_glob(_t16_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (seq *)(&_t17_storage);
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort32);
                              flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              if (_local_a->_length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort32);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(4 * _local_a->_length, _flick_abort32);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort32);
                                _local_a->_buffer = _t_alloc_ptr;
                                _local_a->_maximum = 10;
                                _local_a->_release = 1;
                              }
                              flick_cdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _ev = (CORBA_Environment *)(&_t18_storage);
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort35);
                                flick_iiop_encode_new_glob(52, _flick_abort35);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(8 + 4 * _local_a->_length);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_cdr_encode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
                                      if (_local_a->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort42);
                                      flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                                      if (_local_a->_release)
                                        CORBA_flick_free(_local_a->_buffer);
                                      _local_a->_maximum = 0;
                                      _local_a->_release = 0;
                                      _local_a->_buffer = (CORBA_long *)0;
                                      flick_iiop_encode_end_chunk(8 + 4 * _local_a->_length);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort42:
                                        goto _flick_abort35;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(52);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort45);
                                      break;
                                      {
                                      _flick_abort45:
                                        goto _flick_abort35;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                      flick_iiop_encode_end_glob(52);
                                      break;
                                      {
                                      _flick_abort46:
                                        goto _flick_abort35;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort35:
                                CORBA_flick_free(_local_a->_buffer);
                              _flick_abort32:
                                goto _flick_abort31;
                              }
                            }
                            break;
                            {
                            _flick_abort31:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort48);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t21_principal_len, _flick_abort48);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort48);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t22_temp_string_len);
                        flick_iiop_check_span(1 * _t22_temp_string_len, _flick_abort48);
                        flick_iiop_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_TestSeq;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort48);
                          flick_iiop_encode_new_glob(5, _flick_abort48);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort56);
                                break;
                                {
                                _flick_abort56:
                                  goto _flick_abort48;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort57:
                                  goto _flick_abort48;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort48:
                          goto _flick_abort47;
                        }
                      }
                      break;
                      {
                      _flick_abort47:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

