#ifndef _any_client_h_
#define _any_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class any_seq {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Any *_buffer;
  CORBA::Boolean _release;
  any_seq();
  any_seq(CORBA::ULong max);
  any_seq(CORBA::ULong max, CORBA::ULong length, CORBA::Any *buffer, CORBA::Boolean release = 0);
  any_seq(const any_seq &o);
  virtual ~any_seq();
  any_seq &operator=(const any_seq &rhs);
  CORBA::Any &operator[](CORBA::ULong i);
  const CORBA::Any &operator[](CORBA::ULong i) const;
  static CORBA::Any *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Any *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Any *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Any *get_buffer() const;
} ;


typedef any_seq *any_seq_ptr;

class any_seq_var {

public:
  any_seq_var();
  any_seq_var(any_seq *p);
  any_seq_var(const any_seq_var &a);
  ~any_seq_var();
  any_seq_var &operator=(any_seq *p);
  any_seq_var &operator=(const any_seq_var &p);
  CORBA::Any &operator[](CORBA::ULong index);
  const CORBA::Any &operator[](CORBA::ULong index) const;
  any_seq *operator->();
  const any_seq *operator->() const;
  operator const any_seq &() const;
  operator any_seq &();
  operator any_seq &() const;
  const any_seq &in() const;
  any_seq &inout();
  any_seq *&out();
  any_seq *_retn();
  any_seq *ptr() const;

private:
  any_seq_ptr ptr_;
} ;


class any_seq_out {

public:
  any_seq_out(any_seq *&r);
  any_seq_out(any_seq_var &r);
  any_seq_out(const any_seq_out &r);
  any_seq_out &operator=(const any_seq_out &r);

private:
  any_seq_out &operator=(const any_seq_var &r);

public:
  any_seq_out &operator=(any_seq *r);
  operator any_seq *&();
  any_seq *&ptr();
  CORBA::Any &operator[](CORBA::ULong index);
  const CORBA::Any &operator[](CORBA::ULong index) const;
  any_seq *operator->();

private:
  any_seq_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const any_seq &o);

void operator<<=(CORBA::Any &a, any_seq *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, any_seq *&o);

struct any_struct {
  CORBA::Long slot_1;
  CORBA::Any slot_2;
  CORBA::Long slot_3;
} ;


class any_struct_var {

public:
  any_struct_var();
  any_struct_var(struct any_struct *p);
  any_struct_var(const any_struct_var &a);
  ~any_struct_var();
  any_struct_var &operator=(struct any_struct *p);
  any_struct_var &operator=(const any_struct_var &p);
  struct any_struct *operator->();
  const struct any_struct *operator->() const;
  operator const struct any_struct &() const;
  operator struct any_struct &();
  operator struct any_struct &() const;
  const struct any_struct &in() const;
  struct any_struct &inout();
  struct any_struct *&out();
  struct any_struct *_retn();
  struct any_struct *ptr() const;

private:
  struct any_struct *ptr_;
} ;


class any_struct_out {

public:
  any_struct_out(struct any_struct *&r);
  any_struct_out(any_struct_var &r);
  any_struct_out(const any_struct_out &r);
  any_struct_out &operator=(const any_struct_out &r);

private:
  any_struct_out &operator=(const any_struct_var &r);

public:
  any_struct_out &operator=(struct any_struct *r);
  operator struct any_struct *&();
  struct any_struct *&ptr();
  struct any_struct *operator->();

private:
  struct any_struct *&ptr_;
} ;


void operator<<=(CORBA::Any &a, const struct any_struct &o);

void operator<<=(CORBA::Any &a, struct any_struct *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, struct any_struct *&o);

class I ;


typedef I *I_ptr;

class I_var {

public:
  I_var();
  I_var(I_ptr p);
  I_var(const I_var &a);
  ~I_var();
  I_var &operator=(I_ptr p);
  I_var &operator=(const I_var &p);
  I_ptr operator->() const;
  operator const I_ptr &() const;
  operator I_ptr &();
  I_ptr in() const;
  I_ptr &inout();
  I_ptr &out();
  I_ptr _retn();
  I_ptr ptr() const;

private:
  I_ptr ptr_;
} ;


class I_out {

public:
  I_out(I_ptr &r);
  I_out(I_var &r);
  I_out(const I_out &r);
  I_out &operator=(const I_out &r);
  I_out &operator=(const I_var &r);
  I_out &operator=(I_ptr r);
  operator I_ptr &();
  I_ptr &ptr();
  I_ptr operator->();

private:
  I_ptr &ptr_;
} ;


class I : public virtual ACE_CORBA_1 (Object) {

public:
  static I_ptr _duplicate(I_ptr obj);
  static I_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static I_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static I_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  I();
  virtual ~I();

private:
  I(const I &v);
  void operator=(const I &v);

public:
  virtual CORBA::Any *op_any(/* I *this, */ const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev);
  virtual any_seq *op_any_seq(/* I *this, */ const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev);
  virtual struct any_struct *op_any_struct(/* I *this, */ const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev);

protected:
  I(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


void operator<<=(CORBA::Any &a, I_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, I_ptr &o);

extern CORBA::TypeCode_ptr _tc_any_seq;

extern CORBA::TypeCode_ptr _tc_any_struct;

extern CORBA::TypeCode_ptr _tc_I;

extern I_ptr (*_TAO_collocation_I_Stub_Factory_function_pointer)(CORBA::Object_ptr obj);

#endif /* _any_client_h_ */
