#ifndef _dif2_server_h_
#define _dif2_server_h_

#include "dif2-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_ex1 ;


typedef POA_ex1 *POA_ex1_ptr;

class POA_ex1 : public virtual PortableServer::ServantBase {

protected:
  POA_ex1();

public:
  POA_ex1(const POA_ex1 &rhs);
  virtual ~POA_ex1();
  ex1 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op0(/* POA_ex1 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Float op1(/* POA_ex1 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Double op2(/* POA_ex1 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_ex1 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short op4(/* POA_ex1 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong op5(/* POA_ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev) = 0;
  virtual CORBA::UShort op6(/* POA_ex1 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex1_tie : public POA_ex1 {

  public:
    POA_ex1_tie(T &t);
    POA_ex1_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex1_tie(T *t, CORBA::Boolean release = 1);
    POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex1_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex1_tie(const POA_ex1_tie &c);
    void operator=(const POA_ex1_tie &c);

  public:
    void op0(/* POA_ex1 *this, */ CORBA::Environment &_ev);
    CORBA::Float op1(/* POA_ex1 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Double op2(/* POA_ex1 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_ex1 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
    CORBA::Short op4(/* POA_ex1 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
    CORBA::ULong op5(/* POA_ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
    CORBA::UShort op6(/* POA_ex1 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_ex2 ;


typedef POA_ex2 *POA_ex2_ptr;

class POA_ex2 : public virtual PortableServer::ServantBase {

protected:
  POA_ex2();

public:
  POA_ex2(const POA_ex2 &rhs);
  virtual ~POA_ex2();
  ex2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Char op7(/* POA_ex2 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev) = 0;
  virtual CORBA::Boolean op8(/* POA_ex2 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev) = 0;
  virtual CORBA::Octet op9(/* POA_ex2 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual char *op10(/* POA_ex2 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev) = 0;
  virtual char *op11(/* POA_ex2 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op12(/* POA_ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev) = 0;
  virtual void op0(/* POA_ex2 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Float op1(/* POA_ex2 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Double op2(/* POA_ex2 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_ex2 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short op4(/* POA_ex2 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong op5(/* POA_ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev) = 0;
  virtual CORBA::UShort op6(/* POA_ex2 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex2_tie : public POA_ex2 {

  public:
    POA_ex2_tie(T &t);
    POA_ex2_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex2_tie(T *t, CORBA::Boolean release = 1);
    POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex2_tie(const POA_ex2_tie &c);
    void operator=(const POA_ex2_tie &c);

  public:
    CORBA::Char op7(/* POA_ex2 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev);
    CORBA::Boolean op8(/* POA_ex2 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev);
    CORBA::Octet op9(/* POA_ex2 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev);
    char *op10(/* POA_ex2 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev);
    char *op11(/* POA_ex2 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Long op12(/* POA_ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev);
    void op0(/* POA_ex2 *this, */ CORBA::Environment &_ev);
    CORBA::Float op1(/* POA_ex2 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Double op2(/* POA_ex2 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_ex2 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
    CORBA::Short op4(/* POA_ex2 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
    CORBA::ULong op5(/* POA_ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
    CORBA::UShort op6(/* POA_ex2 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_ex3 ;


typedef POA_ex3 *POA_ex3_ptr;

class POA_ex3 : public virtual PortableServer::ServantBase {

protected:
  POA_ex3();

public:
  POA_ex3(const POA_ex3 &rhs);
  virtual ~POA_ex3();
  ex3 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Float float_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Double double_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual void double_attribute(/* POA_ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Short short_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual void short_attribute(/* POA_ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong unsigned_long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual void op0(/* POA_ex3 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Float op1(/* POA_ex3 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Double op2(/* POA_ex3 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_ex3 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short op4(/* POA_ex3 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong op5(/* POA_ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev) = 0;
  virtual CORBA::UShort op6(/* POA_ex3 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex3_tie : public POA_ex3 {

  public:
    POA_ex3_tie(T &t);
    POA_ex3_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex3_tie(T *t, CORBA::Boolean release = 1);
    POA_ex3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex3_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex3_tie(const POA_ex3_tie &c);
    void operator=(const POA_ex3_tie &c);

  public:
    CORBA::Float float_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    CORBA::Double double_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    void double_attribute(/* POA_ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev);
    CORBA::Long long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    CORBA::Short short_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    void short_attribute(/* POA_ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev);
    CORBA::ULong unsigned_long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    void op0(/* POA_ex3 *this, */ CORBA::Environment &_ev);
    CORBA::Float op1(/* POA_ex3 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Double op2(/* POA_ex3 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_ex3 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
    CORBA::Short op4(/* POA_ex3 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
    CORBA::ULong op5(/* POA_ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
    CORBA::UShort op6(/* POA_ex3 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_ex4 ;


typedef POA_ex4 *POA_ex4_ptr;

class POA_ex4 : public virtual PortableServer::ServantBase {

protected:
  POA_ex4();

public:
  POA_ex4(const POA_ex4 &rhs);
  virtual ~POA_ex4();
  ex4 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::UShort unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual void unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::Char char_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Boolean boolean_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual void boolean_attribute(/* POA_ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::Octet octet_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual char *string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual void string_attribute(/* POA_ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev) = 0;
  virtual char *limited_string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Char op7(/* POA_ex4 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev) = 0;
  virtual CORBA::Boolean op8(/* POA_ex4 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev) = 0;
  virtual CORBA::Octet op9(/* POA_ex4 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual char *op10(/* POA_ex4 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev) = 0;
  virtual char *op11(/* POA_ex4 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op12(/* POA_ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev) = 0;
  virtual void op0(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Float op1(/* POA_ex4 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev) = 0;
  virtual CORBA::Double op2(/* POA_ex4 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_ex4 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short op4(/* POA_ex4 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong op5(/* POA_ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev) = 0;
  virtual CORBA::UShort op6(/* POA_ex4 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Float float_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Double double_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual void double_attribute(/* POA_ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Short short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
  virtual void short_attribute(/* POA_ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev) = 0;
  virtual CORBA::ULong unsigned_long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_ex4_tie : public POA_ex4 {

  public:
    POA_ex4_tie(T &t);
    POA_ex4_tie(T &t, PortableServer::POA_ptr poa);
    POA_ex4_tie(T *t, CORBA::Boolean release = 1);
    POA_ex4_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_ex4_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_ex4_tie(const POA_ex4_tie &c);
    void operator=(const POA_ex4_tie &c);

  public:
    CORBA::UShort unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    void unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev);
    CORBA::Char char_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    CORBA::Boolean boolean_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    void boolean_attribute(/* POA_ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev);
    CORBA::Octet octet_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    char *string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    void string_attribute(/* POA_ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev);
    char *limited_string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    CORBA::Char op7(/* POA_ex4 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev);
    CORBA::Boolean op8(/* POA_ex4 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev);
    CORBA::Octet op9(/* POA_ex4 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev);
    char *op10(/* POA_ex4 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev);
    char *op11(/* POA_ex4 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Long op12(/* POA_ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev);
    void op0(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    CORBA::Float op1(/* POA_ex4 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
    CORBA::Double op2(/* POA_ex4 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_ex4 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
    CORBA::Short op4(/* POA_ex4 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
    CORBA::ULong op5(/* POA_ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
    CORBA::UShort op6(/* POA_ex4 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);
    CORBA::Float float_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    CORBA::Double double_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    void double_attribute(/* POA_ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev);
    CORBA::Long long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    CORBA::Short short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);
    void short_attribute(/* POA_ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev);
    CORBA::ULong unsigned_long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


ex1_ptr _TAO_collocation_POA_ex1_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_ex1_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_ex1 : public virtual ex1 {

public:
  _tao_thru_poa_collocated_ex1(TAO_Stub *stub);
  virtual void op0(CORBA::Environment &_ev);
  virtual CORBA::Float op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Double op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
  virtual CORBA::Short op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
  virtual CORBA::ULong op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
  virtual CORBA::UShort op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


ex2_ptr _TAO_collocation_POA_ex2_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_ex2_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_ex2 : public virtual ex2 {

public:
  _tao_thru_poa_collocated_ex2(TAO_Stub *stub);
  virtual CORBA::Char op7(CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev);
  virtual CORBA::Boolean op8(::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev);
  virtual CORBA::Octet op9(CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev);
  virtual char *op10(const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev);
  virtual char *op11(char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Long op12(CORBA::Long l, CORBA::Environment &_ev);
  virtual void op0(CORBA::Environment &_ev);
  virtual CORBA::Float op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Double op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
  virtual CORBA::Short op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
  virtual CORBA::ULong op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
  virtual CORBA::UShort op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


ex3_ptr _TAO_collocation_POA_ex3_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_ex3_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_ex3 : public virtual ex3 {

public:
  _tao_thru_poa_collocated_ex3(TAO_Stub *stub);
  virtual CORBA::Float float_attribute(CORBA::Environment &_ev);
  virtual CORBA::Double double_attribute(CORBA::Environment &_ev);
  virtual void double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev);
  virtual CORBA::Long long_attribute(CORBA::Environment &_ev);
  virtual CORBA::Short short_attribute(CORBA::Environment &_ev);
  virtual void short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev);
  virtual CORBA::ULong unsigned_long_attribute(CORBA::Environment &_ev);
  virtual void op0(CORBA::Environment &_ev);
  virtual CORBA::Float op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Double op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
  virtual CORBA::Short op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
  virtual CORBA::ULong op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
  virtual CORBA::UShort op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


ex4_ptr _TAO_collocation_POA_ex4_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_ex4_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_ex4 : public virtual ex4 {

public:
  _tao_thru_poa_collocated_ex4(TAO_Stub *stub);
  virtual CORBA::UShort unsigned_short_attribute(CORBA::Environment &_ev);
  virtual void unsigned_short_attribute(CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev);
  virtual CORBA::Char char_attribute(CORBA::Environment &_ev);
  virtual CORBA::Boolean boolean_attribute(CORBA::Environment &_ev);
  virtual void boolean_attribute(CORBA::Boolean boolean_attribute, CORBA::Environment &_ev);
  virtual CORBA::Octet octet_attribute(CORBA::Environment &_ev);
  virtual char *string_attribute(CORBA::Environment &_ev);
  virtual void string_attribute(const char *string_attribute, CORBA::Environment &_ev);
  virtual char *limited_string_attribute(CORBA::Environment &_ev);
  virtual CORBA::Char op7(CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev);
  virtual CORBA::Boolean op8(::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev);
  virtual CORBA::Octet op9(CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev);
  virtual char *op10(const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev);
  virtual char *op11(char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Long op12(CORBA::Long l, CORBA::Environment &_ev);
  virtual void op0(CORBA::Environment &_ev);
  virtual CORBA::Float op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev);
  virtual CORBA::Double op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev);
  virtual CORBA::Short op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev);
  virtual CORBA::ULong op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev);
  virtual CORBA::UShort op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev);
  virtual CORBA::Float float_attribute(CORBA::Environment &_ev);
  virtual CORBA::Double double_attribute(CORBA::Environment &_ev);
  virtual void double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev);
  virtual CORBA::Long long_attribute(CORBA::Environment &_ev);
  virtual CORBA::Short short_attribute(CORBA::Environment &_ev);
  virtual void short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev);
  virtual CORBA::ULong unsigned_long_attribute(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _dif2_server_h_ */
