#include "interface_-server.h"


static int _TAO_collocation_POA_math_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_math_Stub_Factory_Initializer(0);


POA_math::POA_math()
{}

POA_math::POA_math(const POA_math &rhs)
  : TAO_ServantBase(rhs)
{}

POA_math::~POA_math()
{}

math *POA_math::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_math (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return math::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_math::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:math:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_math::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:math:1.0") == 0)
    return ACE_static_cast(POA_math_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_math::_interface_repository_id() const
{
  return "IDL:math:1.0";
}

math_ptr _TAO_collocation_POA_math_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_math(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_math_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_math_Stub_Factory_function_pointer =
    _TAO_collocation_POA_math_Stub_Factory;

  return 0;
}

template <class T>
  POA_math_tie<T>::POA_math_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_math_tie<T>::~POA_math_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_math_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_math_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_math_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_math_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_math_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_math_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_math_tie<T>::POA_math_tie(const POA_math_tie &c)
{}

template <class T>
  void POA_math_tie<T>::operator=(const POA_math_tie &c)
{}

template <class T>
  CORBA::Short POA_math_tie<T>::addshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->addshort (a, b, _ev);
}

template <class T>
  CORBA::Short POA_math_tie<T>::subshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->subshort (a, b, _ev);
}

template <class T>
  CORBA::Short POA_math_tie<T>::multshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->multshort (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::addlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->addlong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::sublong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->sublong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::multlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->multlong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::addlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev)
{
  return this->ptr_->addlonglist (a, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::multlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev)
{
  return this->ptr_->multlonglist (a, _ev);
}

_tao_thru_poa_collocated_math::_tao_thru_poa_collocated_math(TAO_Stub *stub)
  : math(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Short _tao_thru_poa_collocated_math::addshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  CORBA::Short  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "addshort",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->addshort (a, b, _ev);
}

CORBA::Short _tao_thru_poa_collocated_math::subshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  CORBA::Short  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "subshort",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->subshort (a, b, _ev);
}

CORBA::Short _tao_thru_poa_collocated_math::multshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  CORBA::Short  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "multshort",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->multshort (a, b, _ev);
}

CORBA::Long _tao_thru_poa_collocated_math::addlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "addlong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->addlong (a, b, _ev);
}

CORBA::Long _tao_thru_poa_collocated_math::sublong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "sublong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->sublong (a, b, _ev);
}

CORBA::Long _tao_thru_poa_collocated_math::multlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "multlong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->multlong (a, b, _ev);
}

CORBA::Long _tao_thru_poa_collocated_math::addlonglist(const long10 &a, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "addlonglist",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->addlonglist (a, _ev);
}

CORBA::Long _tao_thru_poa_collocated_math::multlonglist(const long10 &a, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "multlonglist",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->multlonglist (a, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_math::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_math::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_math_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:math:1.0"
        )
    )->_non_existent (_ev);
}
void POA_math::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t128_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t128_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t128_switch_tag)
        {
        case (unsigned int) 9:
          {
            unsigned int _t129_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t129_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t129_switch_tag)
              {
              case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
                {
                  unsigned int _t130_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t130_switch_tag)
                    {
                    case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                      {
                        char _t131_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t131_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t131_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t132_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort273);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t132_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t132_principal_len, _flick_abort273);
                                flick_iiopxx_decode_new_glob(_t132_principal_len);
                                flick_iiopxx_decode_new_chunk(_t132_principal_len);
                                flick_iiopxx_decode_end_chunk(_t132_principal_len);
                                flick_iiopxx_decode_end_glob(_t132_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort273);
                                flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->addshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t133_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t133_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort273);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort273);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t133_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t133_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort279);
                                        break;
                                        {
                                        _flick_abort279:
                                          goto _flick_abort273;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort280);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort280:
                                          goto _flick_abort273;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort273:
                                  goto _flick_abort272;
                                }
                              }
                              break;
                              {
                              _flick_abort272:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
                {
                  unsigned int _t134_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t134_switch_tag)
                    {
                    case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                      {
                        char _t135_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t135_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t135_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t136_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort282);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t136_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t136_principal_len, _flick_abort282);
                                flick_iiopxx_decode_new_glob(_t136_principal_len);
                                flick_iiopxx_decode_new_chunk(_t136_principal_len);
                                flick_iiopxx_decode_end_chunk(_t136_principal_len);
                                flick_iiopxx_decode_end_glob(_t136_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort282);
                                flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->subshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t137_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort282);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort282);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t137_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t137_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort288);
                                        break;
                                        {
                                        _flick_abort288:
                                          goto _flick_abort282;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort289:
                                          goto _flick_abort282;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort282:
                                  goto _flick_abort281;
                                }
                              }
                              break;
                              {
                              _flick_abort281:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t138_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t138_switch_tag)
                    {
                    case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                      {
                        char _t139_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t139_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t139_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t140_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_a;
                                CORBA::Long _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort291);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t140_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t140_principal_len, _flick_abort291);
                                flick_iiopxx_decode_new_glob(_t140_principal_len);
                                flick_iiopxx_decode_new_chunk(_t140_principal_len);
                                flick_iiopxx_decode_end_chunk(_t140_principal_len);
                                flick_iiopxx_decode_end_glob(_t140_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                flick_iiopxx_check_span(8, _flick_abort291);
                                flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                                flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(8);
                                flick_iiopxx_decode_end_glob(11);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->multlong(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t141_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t141_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort291);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort291);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t141_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t141_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort297);
                                        break;
                                        {
                                        _flick_abort297:
                                          goto _flick_abort291;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort298);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort298:
                                          goto _flick_abort291;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort291:
                                  goto _flick_abort290;
                                }
                              }
                              break;
                              {
                              _flick_abort290:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t142_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t142_switch_tag)
              {
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t143_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t143_switch_tag)
                    {
                    case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                      {
                        unsigned short int _t144_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t144_switch_tag)
                          {
                          case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t145_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort300);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t145_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t145_principal_len, _flick_abort300);
                                flick_iiopxx_decode_new_glob(_t145_principal_len);
                                flick_iiopxx_decode_new_chunk(_t145_principal_len);
                                flick_iiopxx_decode_end_chunk(_t145_principal_len);
                                flick_iiopxx_decode_end_glob(_t145_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort300);
                                flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->multshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t146_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t146_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort300);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort300);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t146_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t146_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort306);
                                        break;
                                        {
                                        _flick_abort306:
                                          goto _flick_abort300;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort307);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort307:
                                          goto _flick_abort300;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort300:
                                  goto _flick_abort299;
                                }
                              }
                              break;
                              {
                              _flick_abort299:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t147_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t147_switch_tag)
              {
              case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
                {
                  unsigned int _t148_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t148_switch_tag)
                    {
                    case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t149_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort309);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t149_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t149_principal_len, _flick_abort309);
                          flick_iiopxx_decode_new_glob(_t149_principal_len);
                          flick_iiopxx_decode_new_chunk(_t149_principal_len);
                          flick_iiopxx_decode_end_chunk(_t149_principal_len);
                          flick_iiopxx_decode_end_glob(_t149_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort309);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->addlong(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t150_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t150_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort309);
                            flick_iiopxx_encode_new_glob(8, _flick_abort309);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t150_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t150_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort315);
                                  break;
                                  {
                                  _flick_abort315:
                                    goto _flick_abort309;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort316);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort316:
                                    goto _flick_abort309;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort309:
                            goto _flick_abort308;
                          }
                        }
                        break;
                        {
                        _flick_abort308:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
                {
                  unsigned int _t151_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t151_switch_tag)
                    {
                    case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t152_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort318);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t152_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t152_principal_len, _flick_abort318);
                          flick_iiopxx_decode_new_glob(_t152_principal_len);
                          flick_iiopxx_decode_new_chunk(_t152_principal_len);
                          flick_iiopxx_decode_end_chunk(_t152_principal_len);
                          flick_iiopxx_decode_end_glob(_t152_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort318);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->sublong(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t153_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t153_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort318);
                            flick_iiopxx_encode_new_glob(8, _flick_abort318);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t153_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t153_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort324);
                                  break;
                                  {
                                  _flick_abort324:
                                    goto _flick_abort318;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort325);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort325:
                                    goto _flick_abort318;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort318:
                            goto _flick_abort317;
                          }
                        }
                        break;
                        {
                        _flick_abort317:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 12:
          {
            unsigned int _t154_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t154_switch_tag)
              {
              case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
                {
                  unsigned int _t155_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t155_switch_tag)
                    {
                    case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                      {
                        unsigned int _t156_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t156_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t156_switch_tag)
                          {
                          case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t157_principal_len;
                                CORBA::Long _return;
                                long10 _local_a;
                                CORBA::ULong _t158_array_iter;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort327);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_swap_decode_unsigned32(0, _t157_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t157_principal_len, _flick_abort327);
                                flick_iiopxx_decode_new_glob(_t157_principal_len);
                                flick_iiopxx_decode_new_chunk(_t157_principal_len);
                                flick_iiopxx_decode_end_chunk(_t157_principal_len);
                                flick_iiopxx_decode_end_glob(_t157_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(47);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort327);
                                flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                if (_local_a._length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort327);
                                flick_iiopxx_check_span(_local_a._length * 4, _flick_abort327);
                                for (_t158_array_iter = 0; _t158_array_iter < _local_a._length; _t158_array_iter++)
                                  {
                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t158_array_iter], CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    continue;
                                  }

                                flick_iiopxx_decode_end_glob(47);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->addlonglist(_local_a, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t159_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t159_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort327);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort327);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t159_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t159_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort338);
                                        break;
                                        {
                                        _flick_abort338:
                                          goto _flick_abort327;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort339:
                                          goto _flick_abort327;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort327:
                                  goto _flick_abort326;
                                }
                              }
                              break;
                              {
                              _flick_abort326:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 13:
          {
            unsigned int _t160_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t160_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t160_switch_tag)
              {
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t161_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t161_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t161_switch_tag)
                    {
                    case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                      {
                        unsigned int _t162_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t162_switch_tag)
                          {
                          case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                            {
                              char _t163_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t163_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t163_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_math *_local_this;
                                      unsigned int _t164_principal_len;
                                      CORBA::Long _return;
                                      long10 _local_a;
                                      CORBA::ULong _t165_array_iter;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort341);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_swap_decode_unsigned32(3, _t164_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t164_principal_len, _flick_abort341);
                                      flick_iiopxx_decode_new_glob(_t164_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t164_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t164_principal_len);
                                      flick_iiopxx_decode_end_glob(_t164_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(47);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort341);
                                      flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      if (_local_a._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort341);
                                      flick_iiopxx_check_span(_local_a._length * 4, _flick_abort341);
                                      for (_t165_array_iter = 0; _t165_array_iter < _local_a._length; _t165_array_iter++)
                                        {
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t165_array_iter], CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          continue;
                                        }

                                      flick_iiopxx_decode_end_glob(47);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->multlonglist(_local_a, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t166_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t166_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort341);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort341);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t166_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t166_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort352);
                                              break;
                                              {
                                              _flick_abort352:
                                                goto _flick_abort341;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort353);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort353:
                                                goto _flick_abort341;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort341:
                                        goto _flick_abort340;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort340:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t167_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t167_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t168_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t168_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t168_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t169_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t170_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort355);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t169_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t169_principal_len, _flick_abort355);
                          flick_iiopxx_decode_new_glob(_t169_principal_len);
                          flick_iiopxx_decode_new_chunk(_t169_principal_len);
                          flick_iiopxx_decode_end_chunk(_t169_principal_len);
                          flick_iiopxx_decode_end_glob(_t169_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort355);
                          flick_cdr_swap_decode_unsigned32(0, _t170_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t170_temp_string_len);
                          flick_iiopxx_check_span(1 * _t170_temp_string_len, _flick_abort355);
                          flick_iiopxx_decode_new_chunk(1 * _t170_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t170_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t170_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t171_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort355);
                            flick_iiopxx_encode_new_glob(5, _flick_abort355);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t171_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t171_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort363);
                                  break;
                                  {
                                  _flick_abort363:
                                    goto _flick_abort355;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort364);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort364:
                                    goto _flick_abort355;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort355:
                            goto _flick_abort354;
                          }
                        }
                        break;
                        {
                        _flick_abort354:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t42_switch_tag;

      flick_iiopxx_decode_new_glob(24);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t42_switch_tag)
        {
        case (unsigned int) 9:
          {
            unsigned int _t43_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t43_switch_tag)
              {
              case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
                {
                  unsigned int _t44_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t44_switch_tag)
                    {
                    case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                      {
                        char _t45_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t45_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t45_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t46_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort92);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t46_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t46_principal_len, _flick_abort92);
                                flick_iiopxx_decode_new_glob(_t46_principal_len);
                                flick_iiopxx_decode_new_chunk(_t46_principal_len);
                                flick_iiopxx_decode_end_chunk(_t46_principal_len);
                                flick_iiopxx_decode_end_glob(_t46_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort92);
                                flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->addshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t47_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t47_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort92);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort92);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t47_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t47_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort98);
                                        break;
                                        {
                                        _flick_abort98:
                                          goto _flick_abort92;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort99:
                                          goto _flick_abort92;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort92:
                                  goto _flick_abort91;
                                }
                              }
                              break;
                              {
                              _flick_abort91:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
                {
                  unsigned int _t48_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t48_switch_tag)
                    {
                    case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                      {
                        char _t49_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t49_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t49_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t50_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort101);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t50_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t50_principal_len, _flick_abort101);
                                flick_iiopxx_decode_new_glob(_t50_principal_len);
                                flick_iiopxx_decode_new_chunk(_t50_principal_len);
                                flick_iiopxx_decode_end_chunk(_t50_principal_len);
                                flick_iiopxx_decode_end_glob(_t50_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort101);
                                flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->subshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t51_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort101);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort101);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t51_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t51_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort107);
                                        break;
                                        {
                                        _flick_abort107:
                                          goto _flick_abort101;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort108:
                                          goto _flick_abort101;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort101:
                                  goto _flick_abort100;
                                }
                              }
                              break;
                              {
                              _flick_abort100:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t52_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t52_switch_tag)
                    {
                    case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                      {
                        char _t53_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t53_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t53_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t54_principal_len;
                                CORBA::Long _return;
                                CORBA::Long _local_a;
                                CORBA::Long _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort110);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t54_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t54_principal_len, _flick_abort110);
                                flick_iiopxx_decode_new_glob(_t54_principal_len);
                                flick_iiopxx_decode_new_chunk(_t54_principal_len);
                                flick_iiopxx_decode_end_chunk(_t54_principal_len);
                                flick_iiopxx_decode_end_glob(_t54_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                flick_iiopxx_check_span(8, _flick_abort110);
                                flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                                flick_cdr_decode_signed32(4, _local_b, CORBA::Long );

                                flick_iiopxx_decode_end_chunk(8);
                                flick_iiopxx_decode_end_glob(11);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->multlong(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t55_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t55_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort110);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort110);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t55_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t55_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort116);
                                        break;
                                        {
                                        _flick_abort116:
                                          goto _flick_abort110;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort117:
                                          goto _flick_abort110;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort110:
                                  goto _flick_abort109;
                                }
                              }
                              break;
                              {
                              _flick_abort109:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t56_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t56_switch_tag)
              {
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t57_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t57_switch_tag)
                    {
                    case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                      {
                        unsigned short int _t58_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t58_switch_tag)
                          {
                          case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t59_principal_len;
                                CORBA::Short _return;
                                CORBA::Short _local_a;
                                CORBA::Short _local_b;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort119);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t59_principal_len, _flick_abort119);
                                flick_iiopxx_decode_new_glob(_t59_principal_len);
                                flick_iiopxx_decode_new_chunk(_t59_principal_len);
                                flick_iiopxx_decode_end_chunk(_t59_principal_len);
                                flick_iiopxx_decode_end_glob(_t59_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort119);
                                flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                                flick_cdr_decode_signed16(2, _local_b, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->multshort(_local_a, _local_b, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t60_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t60_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort119);
                                  flick_iiopxx_encode_new_glob(6, _flick_abort119);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t60_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t60_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(2);
                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(2);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(6);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort125);
                                        break;
                                        {
                                        _flick_abort125:
                                          goto _flick_abort119;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                                        flick_iiopxx_encode_end_glob(6);
                                        break;
                                        {
                                        _flick_abort126:
                                          goto _flick_abort119;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort119:
                                  goto _flick_abort118;
                                }
                              }
                              break;
                              {
                              _flick_abort118:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t61_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t61_switch_tag)
              {
              case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
                {
                  unsigned int _t62_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t62_switch_tag)
                    {
                    case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t63_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort128);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t63_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t63_principal_len, _flick_abort128);
                          flick_iiopxx_decode_new_glob(_t63_principal_len);
                          flick_iiopxx_decode_new_chunk(_t63_principal_len);
                          flick_iiopxx_decode_end_chunk(_t63_principal_len);
                          flick_iiopxx_decode_end_glob(_t63_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort128);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->addlong(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t64_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t64_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort128);
                            flick_iiopxx_encode_new_glob(8, _flick_abort128);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t64_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t64_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort134);
                                  break;
                                  {
                                  _flick_abort134:
                                    goto _flick_abort128;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort135:
                                    goto _flick_abort128;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort128:
                            goto _flick_abort127;
                          }
                        }
                        break;
                        {
                        _flick_abort127:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
                {
                  unsigned int _t65_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t65_switch_tag)
                    {
                    case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t66_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort137);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t66_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t66_principal_len, _flick_abort137);
                          flick_iiopxx_decode_new_glob(_t66_principal_len);
                          flick_iiopxx_decode_new_chunk(_t66_principal_len);
                          flick_iiopxx_decode_end_chunk(_t66_principal_len);
                          flick_iiopxx_decode_end_glob(_t66_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort137);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->sublong(_local_a, _local_b, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t67_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t67_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort137);
                            flick_iiopxx_encode_new_glob(8, _flick_abort137);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t67_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t67_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(4);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(8);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort143);
                                  break;
                                  {
                                  _flick_abort143:
                                    goto _flick_abort137;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                                  flick_iiopxx_encode_end_glob(8);
                                  break;
                                  {
                                  _flick_abort144:
                                    goto _flick_abort137;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort137:
                            goto _flick_abort136;
                          }
                        }
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 12:
          {
            unsigned int _t68_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t68_switch_tag)
              {
              case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
                {
                  unsigned int _t69_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t69_switch_tag)
                    {
                    case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                      {
                        unsigned int _t70_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t70_switch_tag)
                          {
                          case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                            {
                              {
                                POA_math *_local_this;
                                unsigned int _t71_principal_len;
                                CORBA::Long _return;
                                long10 _local_a;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort146);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t71_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(24);
                                flick_iiopxx_check_span(_t71_principal_len, _flick_abort146);
                                flick_iiopxx_decode_new_glob(_t71_principal_len);
                                flick_iiopxx_decode_new_chunk(_t71_principal_len);
                                flick_iiopxx_decode_end_chunk(_t71_principal_len);
                                flick_iiopxx_decode_end_glob(_t71_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(47);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort146);
                                flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                if (_local_a._length > 10)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort146);
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_check_span(4 * _local_a._length, _flick_abort146);
                                flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                                flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                                flick_iiopxx_decode_end_chunk(4 * _local_a._length);

                                flick_iiopxx_decode_end_glob(47);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->addlonglist(_local_a, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t72_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t72_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort146);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort146);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t72_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t72_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort154);
                                        break;
                                        {
                                        _flick_abort154:
                                          goto _flick_abort146;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort155);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort155:
                                          goto _flick_abort146;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort145;
                                }
                              }
                              break;
                              {
                              _flick_abort145:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 13:
          {
            unsigned int _t73_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t73_switch_tag)
              {
              case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
                {
                  unsigned int _t74_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t74_switch_tag)
                    {
                    case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                      {
                        unsigned int _t75_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t75_switch_tag)
                          {
                          case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                            {
                              char _t76_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t76_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t76_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_math *_local_this;
                                      unsigned int _t77_principal_len;
                                      CORBA::Long _return;
                                      long10 _local_a;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort157);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(7);
                                      flick_cdr_decode_unsigned32(3, _t77_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(7);
                                      flick_iiopxx_decode_end_glob(24);
                                      flick_iiopxx_check_span(_t77_principal_len, _flick_abort157);
                                      flick_iiopxx_decode_new_glob(_t77_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t77_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t77_principal_len);
                                      flick_iiopxx_decode_end_glob(_t77_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(47);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort157);
                                      flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      if (_local_a._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort157);
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_check_span(4 * _local_a._length, _flick_abort157);
                                      flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                                      flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                                      flick_iiopxx_decode_end_chunk(4 * _local_a._length);

                                      flick_iiopxx_decode_end_glob(47);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->multlonglist(_local_a, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t78_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort157);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort157);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t78_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t78_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort165);
                                              break;
                                              {
                                              _flick_abort165:
                                                goto _flick_abort157;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort166:
                                                goto _flick_abort157;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort157:
                                        goto _flick_abort156;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort156:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(24);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(24);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 6:
          {
            unsigned int _t79_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t79_switch_tag)
              {
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t80_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t80_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_math *_local_this;
                          unsigned int _t81_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t82_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort168);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t81_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(24);
                          flick_iiopxx_check_span(_t81_principal_len, _flick_abort168);
                          flick_iiopxx_decode_new_glob(_t81_principal_len);
                          flick_iiopxx_decode_new_chunk(_t81_principal_len);
                          flick_iiopxx_decode_end_chunk(_t81_principal_len);
                          flick_iiopxx_decode_end_glob(_t81_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort168);
                          flick_cdr_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t82_temp_string_len);
                          flick_iiopxx_check_span(1 * _t82_temp_string_len, _flick_abort168);
                          flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t82_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t83_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort168);
                            flick_iiopxx_encode_new_glob(5, _flick_abort168);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t83_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t83_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort176);
                                  break;
                                  {
                                  _flick_abort176:
                                    goto _flick_abort168;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort177);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort177:
                                    goto _flick_abort168;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort168:
                            goto _flick_abort167;
                          }
                        }
                        break;
                        {
                        _flick_abort167:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(24);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(24);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(24);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
