#include "arrayez-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrayez[] = {
	"IDL:arrayez:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t arrayez_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t70_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t70_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t70_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t71_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t72_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t73_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t73_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t73_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t74_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t75_storage[2048];
                              flick_unsigned32_t _t76_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t77_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort168);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t74_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t74_principal_len, _flick_abort168);
                              flick_khazana_decode_new_glob(_t74_principal_len);
                              flick_khazana_decode_new_chunk(_t74_principal_len);
                              flick_khazana_decode_end_chunk(_t74_principal_len);
                              flick_khazana_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(14336);
                              _local_a = (CORBA_long *)_t75_storage;
                              for (_t76_array_iter = 0; _t76_array_iter < 2048; _t76_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort172);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t76_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort172:
                                    goto _flick_abort168;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t77_storage);
                              flick_khazana_decode_end_glob(14336);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort168);
                                flick_khazana_encode_new_glob(8, _flick_abort168);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort179);
                                      break;
                                      {
                                      _flick_abort179:
                                        goto _flick_abort168;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort180);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort168;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort168:
                                goto _flick_abort167;
                              }
                            }
                            break;
                            {
                            _flick_abort167:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t78_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t78_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t78_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t79_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t80_storage[2048];
                              flick_unsigned32_t _t81_array_iter;
                              CORBA_long *_local_b;
                              CORBA_long _t82_storage[2048];
                              CORBA_Environment *_ev;
                              CORBA_Environment _t83_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort182);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t79_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t79_principal_len, _flick_abort182);
                              flick_khazana_decode_new_glob(_t79_principal_len);
                              flick_khazana_decode_new_chunk(_t79_principal_len);
                              flick_khazana_decode_end_chunk(_t79_principal_len);
                              flick_khazana_decode_end_glob(_t79_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(14336);
                              _local_a = (CORBA_long *)_t80_storage;
                              for (_t81_array_iter = 0; _t81_array_iter < 2048; _t81_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort186);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t81_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort186:
                                    goto _flick_abort182;
                                  }
                                }
                              _local_b = (CORBA_long *)_t82_storage;
                              _ev = (CORBA_Environment *)(&_t83_storage);
                              flick_khazana_decode_end_glob(14336);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort182);
                                flick_khazana_encode_new_glob(8, _flick_abort182);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(8192, _flick_abort195);
                                      flick_khazana_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      flick_khazana_encode_end_chunk(8192);
                                      flick_khazana_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort195:
                                        goto _flick_abort182;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort198);
                                      break;
                                      {
                                      _flick_abort198:
                                        goto _flick_abort182;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort199);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort182;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort182:
                                goto _flick_abort181;
                              }
                            }
                            break;
                            {
                            _flick_abort181:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t84_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t84_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t85_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t85_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t86_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t86_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t86_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t87_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t87_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t87_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    unsigned int _t88_principal_len;
                                    CORBA_long _return;
                                    CORBA_long *_local_a;
                                    CORBA_long _t89_storage[2048];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t90_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort201);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t88_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_check_span(_t88_principal_len, _flick_abort201);
                                    flick_khazana_decode_new_glob(_t88_principal_len);
                                    flick_khazana_decode_new_chunk(_t88_principal_len);
                                    flick_khazana_decode_end_chunk(_t88_principal_len);
                                    flick_khazana_decode_end_glob(_t88_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (CORBA_long *)_t89_storage;
                                    _ev = (CORBA_Environment *)(&_t90_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort201);
                                      flick_khazana_encode_new_glob(8, _flick_abort201);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(8192, _flick_abort209);
                                            flick_khazana_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            flick_khazana_encode_end_chunk(8192);
                                            flick_khazana_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort209:
                                              goto _flick_abort201;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort212);
                                            break;
                                            {
                                            _flick_abort212:
                                              goto _flick_abort201;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort213);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort213:
                                              goto _flick_abort201;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort201:
                                      goto _flick_abort200;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort200:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t91_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t91_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t92_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t92_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t92_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t93_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t94_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t95_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort215);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t93_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t93_principal_len, _flick_abort215);
                        flick_khazana_decode_new_glob(_t93_principal_len);
                        flick_khazana_decode_new_chunk(_t93_principal_len);
                        flick_khazana_decode_end_chunk(_t93_principal_len);
                        flick_khazana_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort215);
                        flick_cdr_swap_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t94_temp_string_len);
                        flick_khazana_check_span(1 * _t94_temp_string_len, _flick_abort215);
                        flick_khazana_decode_new_chunk(1 * _t94_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t94_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t94_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t95_storage);
                        _par = flick_interface_parents_arrayez;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort215);
                          flick_khazana_encode_new_glob(5, _flick_abort215);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort223);
                                break;
                                {
                                _flick_abort223:
                                  goto _flick_abort215;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort224);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort224:
                                  goto _flick_abort215;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort215:
                          goto _flick_abort214;
                        }
                      }
                      break;
                      {
                      _flick_abort214:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t23_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t24_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t24_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t25_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t25_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t25_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t26_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t27_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort57);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t26_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t26_principal_len, _flick_abort57);
                              flick_khazana_decode_new_glob(_t26_principal_len);
                              flick_khazana_decode_new_chunk(_t26_principal_len);
                              flick_khazana_decode_end_chunk(_t26_principal_len);
                              flick_khazana_decode_end_glob(_t26_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(8195);
                              flick_khazana_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_khazana_check_span(8192, _flick_abort57);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              _ev = (CORBA_Environment *)(&_t27_storage);
                              flick_khazana_decode_end_chunk(8192);
                              flick_khazana_decode_end_glob(8195);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort57);
                                flick_khazana_encode_new_glob(8, _flick_abort57);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort65);
                                      break;
                                      {
                                      _flick_abort65:
                                        goto _flick_abort57;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort66:
                                        goto _flick_abort57;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort57:
                                goto _flick_abort56;
                              }
                            }
                            break;
                            {
                            _flick_abort56:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t28_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t28_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t28_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t29_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long *_local_b;
                              CORBA_long _t30_storage[2048];
                              CORBA_Environment *_ev;
                              CORBA_Environment _t31_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort68);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t29_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t29_principal_len, _flick_abort68);
                              flick_khazana_decode_new_glob(_t29_principal_len);
                              flick_khazana_decode_new_chunk(_t29_principal_len);
                              flick_khazana_decode_end_chunk(_t29_principal_len);
                              flick_khazana_decode_end_glob(_t29_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(8195);
                              flick_khazana_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_khazana_check_span(8192, _flick_abort68);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              _local_b = (CORBA_long *)_t30_storage;
                              _ev = (CORBA_Environment *)(&_t31_storage);
                              flick_khazana_decode_end_chunk(8192);
                              flick_khazana_decode_end_glob(8195);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort68);
                                flick_khazana_encode_new_glob(8, _flick_abort68);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      flick_khazana_encode_new_glob(8192, _flick_abort78);
                                      flick_khazana_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      flick_khazana_encode_end_chunk(8192);
                                      flick_khazana_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort78:
                                        goto _flick_abort68;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort81);
                                      break;
                                      {
                                      _flick_abort81:
                                        goto _flick_abort68;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort82:
                                        goto _flick_abort68;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort68:
                                goto _flick_abort67;
                              }
                            }
                            break;
                            {
                            _flick_abort67:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t32_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t32_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t33_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t33_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t34_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t34_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t35_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t35_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t35_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    unsigned int _t36_principal_len;
                                    CORBA_long _return;
                                    CORBA_long *_local_a;
                                    CORBA_long _t37_storage[2048];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t38_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort84);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t36_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(20);
                                    flick_khazana_check_span(_t36_principal_len, _flick_abort84);
                                    flick_khazana_decode_new_glob(_t36_principal_len);
                                    flick_khazana_decode_new_chunk(_t36_principal_len);
                                    flick_khazana_decode_end_chunk(_t36_principal_len);
                                    flick_khazana_decode_end_glob(_t36_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (CORBA_long *)_t37_storage;
                                    _ev = (CORBA_Environment *)(&_t38_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort84);
                                      flick_khazana_encode_new_glob(8, _flick_abort84);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(8192, _flick_abort92);
                                            flick_khazana_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            flick_khazana_encode_end_chunk(8192);
                                            flick_khazana_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort92:
                                              goto _flick_abort84;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort95);
                                            break;
                                            {
                                            _flick_abort95:
                                              goto _flick_abort84;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort96:
                                              goto _flick_abort84;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort84:
                                      goto _flick_abort83;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort83:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_khazana_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t41_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort98);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t41_principal_len, _flick_abort98);
                        flick_khazana_decode_new_glob(_t41_principal_len);
                        flick_khazana_decode_new_chunk(_t41_principal_len);
                        flick_khazana_decode_end_chunk(_t41_principal_len);
                        flick_khazana_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort98);
                        flick_cdr_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t42_temp_string_len);
                        flick_khazana_check_span(1 * _t42_temp_string_len, _flick_abort98);
                        flick_khazana_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t42_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        _par = flick_interface_parents_arrayez;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort98);
                          flick_khazana_encode_new_glob(5, _flick_abort98);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort106);
                                break;
                                {
                                _flick_abort106:
                                  goto _flick_abort98;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort98;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort98:
                          goto _flick_abort97;
                        }
                      }
                      break;
                      {
                      _flick_abort97:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

