#include "mig-arrays-ool-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t oolarrays_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t47_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t47_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t47_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t48_principal_len;
            kern_return_t _return;
            t64B _local_foo;
            flick_unsigned32_t _t49_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort336);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t48_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t48_principal_len, _flick_abort336);
            flick_khazana_decode_new_glob(_t48_principal_len);
            flick_khazana_decode_new_chunk(_t48_principal_len);
            flick_khazana_decode_end_chunk(_t48_principal_len);
            flick_khazana_decode_end_glob(_t48_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(112);
            for (_t49_array_iter = 0; _t49_array_iter < 16; _t49_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort340);
                flick_cdr_swap_decode_signed32(0, (*_local_foo)[_t49_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort340:
                  goto _flick_abort336;
                }
              }
            flick_khazana_decode_end_glob(112);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort336);
              flick_khazana_encode_new_glob(4, _flick_abort336);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort346);
                    break;
                    {
                    _flick_abort346:
                      goto _flick_abort336;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort336:
              goto _flick_abort335;
            }
          }
          break;
          {
          _flick_abort335:
            goto _flick_abort2;
          }
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t50_principal_len;
            kern_return_t _return;
            t128B _local_foo;
            flick_unsigned32_t _t51_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort348);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t50_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t50_principal_len, _flick_abort348);
            flick_khazana_decode_new_glob(_t50_principal_len);
            flick_khazana_decode_new_chunk(_t50_principal_len);
            flick_khazana_decode_end_chunk(_t50_principal_len);
            flick_khazana_decode_end_glob(_t50_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(224);
            for (_t51_array_iter = 0; _t51_array_iter < 32; _t51_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort352);
                flick_cdr_swap_decode_signed32(0, (*_local_foo)[_t51_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort352:
                  goto _flick_abort348;
                }
              }
            flick_khazana_decode_end_glob(224);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort348);
              flick_khazana_encode_new_glob(4, _flick_abort348);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort358);
                    break;
                    {
                    _flick_abort358:
                      goto _flick_abort348;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort348:
              goto _flick_abort347;
            }
          }
          break;
          {
          _flick_abort347:
            goto _flick_abort2;
          }
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t52_principal_len;
            kern_return_t _return;
            t256B _local_foo;
            flick_unsigned32_t _t53_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort360);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t52_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t52_principal_len, _flick_abort360);
            flick_khazana_decode_new_glob(_t52_principal_len);
            flick_khazana_decode_new_chunk(_t52_principal_len);
            flick_khazana_decode_end_chunk(_t52_principal_len);
            flick_khazana_decode_end_glob(_t52_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(448);
            for (_t53_array_iter = 0; _t53_array_iter < 64; _t53_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort364);
                flick_cdr_swap_decode_signed32(0, (*_local_foo)[_t53_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort364:
                  goto _flick_abort360;
                }
              }
            flick_khazana_decode_end_glob(448);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort360);
              flick_khazana_encode_new_glob(4, _flick_abort360);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort370);
                    break;
                    {
                    _flick_abort370:
                      goto _flick_abort360;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort360:
              goto _flick_abort359;
            }
          }
          break;
          {
          _flick_abort359:
            goto _flick_abort2;
          }
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t54_principal_len;
            kern_return_t _return;
            t512B _local_foo;
            flick_unsigned32_t _t55_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort372);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t54_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t54_principal_len, _flick_abort372);
            flick_khazana_decode_new_glob(_t54_principal_len);
            flick_khazana_decode_new_chunk(_t54_principal_len);
            flick_khazana_decode_end_chunk(_t54_principal_len);
            flick_khazana_decode_end_glob(_t54_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(896);
            for (_t55_array_iter = 0; _t55_array_iter < 128; _t55_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort376);
                flick_cdr_swap_decode_signed32(0, (*_local_foo)[_t55_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort376:
                  goto _flick_abort372;
                }
              }
            flick_khazana_decode_end_glob(896);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort372);
              flick_khazana_encode_new_glob(4, _flick_abort372);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort382);
                    break;
                    {
                    _flick_abort382:
                      goto _flick_abort372;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort372:
              goto _flick_abort371;
            }
          }
          break;
          {
          _flick_abort371:
            goto _flick_abort2;
          }
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t56_principal_len;
            kern_return_t _return;
            t1K _local_data;
            flick_unsigned32_t _t57_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort384);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t56_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t56_principal_len, _flick_abort384);
            flick_khazana_decode_new_glob(_t56_principal_len);
            flick_khazana_decode_new_chunk(_t56_principal_len);
            flick_khazana_decode_end_chunk(_t56_principal_len);
            flick_khazana_decode_end_glob(_t56_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(1792);
            for (_t57_array_iter = 0; _t57_array_iter < 256; _t57_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort388);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t57_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort388:
                  goto _flick_abort384;
                }
              }
            flick_khazana_decode_end_glob(1792);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort384);
              flick_khazana_encode_new_glob(4, _flick_abort384);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort394);
                    break;
                    {
                    _flick_abort394:
                      goto _flick_abort384;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort384:
              goto _flick_abort383;
            }
          }
          break;
          {
          _flick_abort383:
            goto _flick_abort2;
          }
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t58_principal_len;
            kern_return_t _return;
            t2K _local_data;
            flick_unsigned32_t _t59_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort396);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t58_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t58_principal_len, _flick_abort396);
            flick_khazana_decode_new_glob(_t58_principal_len);
            flick_khazana_decode_new_chunk(_t58_principal_len);
            flick_khazana_decode_end_chunk(_t58_principal_len);
            flick_khazana_decode_end_glob(_t58_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3584);
            for (_t59_array_iter = 0; _t59_array_iter < 512; _t59_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort400);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t59_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort400:
                  goto _flick_abort396;
                }
              }
            flick_khazana_decode_end_glob(3584);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort396);
              flick_khazana_encode_new_glob(4, _flick_abort396);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort406);
                    break;
                    {
                    _flick_abort406:
                      goto _flick_abort396;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort396:
              goto _flick_abort395;
            }
          }
          break;
          {
          _flick_abort395:
            goto _flick_abort2;
          }
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t60_principal_len;
            kern_return_t _return;
            t4K _local_data;
            flick_unsigned32_t _t61_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort408);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t60_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t60_principal_len, _flick_abort408);
            flick_khazana_decode_new_glob(_t60_principal_len);
            flick_khazana_decode_new_chunk(_t60_principal_len);
            flick_khazana_decode_end_chunk(_t60_principal_len);
            flick_khazana_decode_end_glob(_t60_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(7168);
            for (_t61_array_iter = 0; _t61_array_iter < 1024; _t61_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort412);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t61_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort412:
                  goto _flick_abort408;
                }
              }
            flick_khazana_decode_end_glob(7168);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort408);
              flick_khazana_encode_new_glob(4, _flick_abort408);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort418);
                    break;
                    {
                    _flick_abort418:
                      goto _flick_abort408;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort408:
              goto _flick_abort407;
            }
          }
          break;
          {
          _flick_abort407:
            goto _flick_abort2;
          }
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t62_principal_len;
            kern_return_t _return;
            t8K _local_data;
            flick_unsigned32_t _t63_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort420);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t62_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t62_principal_len, _flick_abort420);
            flick_khazana_decode_new_glob(_t62_principal_len);
            flick_khazana_decode_new_chunk(_t62_principal_len);
            flick_khazana_decode_end_chunk(_t62_principal_len);
            flick_khazana_decode_end_glob(_t62_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(14336);
            for (_t63_array_iter = 0; _t63_array_iter < 2048; _t63_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort424);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t63_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort424:
                  goto _flick_abort420;
                }
              }
            flick_khazana_decode_end_glob(14336);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort420);
              flick_khazana_encode_new_glob(4, _flick_abort420);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort430);
                    break;
                    {
                    _flick_abort430:
                      goto _flick_abort420;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort420:
              goto _flick_abort419;
            }
          }
          break;
          {
          _flick_abort419:
            goto _flick_abort2;
          }
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t64_principal_len;
            kern_return_t _return;
            t16K _local_data;
            flick_unsigned32_t _t65_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort432);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t64_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t64_principal_len, _flick_abort432);
            flick_khazana_decode_new_glob(_t64_principal_len);
            flick_khazana_decode_new_chunk(_t64_principal_len);
            flick_khazana_decode_end_chunk(_t64_principal_len);
            flick_khazana_decode_end_glob(_t64_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(28672);
            for (_t65_array_iter = 0; _t65_array_iter < 4096; _t65_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort436);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t65_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort436:
                  goto _flick_abort432;
                }
              }
            flick_khazana_decode_end_glob(28672);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort432);
              flick_khazana_encode_new_glob(4, _flick_abort432);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort442);
                    break;
                    {
                    _flick_abort442:
                      goto _flick_abort432;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort432:
              goto _flick_abort431;
            }
          }
          break;
          {
          _flick_abort431:
            goto _flick_abort2;
          }
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t66_principal_len;
            kern_return_t _return;
            t32K _local_data;
            flick_unsigned32_t _t67_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort444);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t66_principal_len, _flick_abort444);
            flick_khazana_decode_new_glob(_t66_principal_len);
            flick_khazana_decode_new_chunk(_t66_principal_len);
            flick_khazana_decode_end_chunk(_t66_principal_len);
            flick_khazana_decode_end_glob(_t66_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(57344);
            for (_t67_array_iter = 0; _t67_array_iter < 8192; _t67_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort448);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t67_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort448:
                  goto _flick_abort444;
                }
              }
            flick_khazana_decode_end_glob(57344);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort444);
              flick_khazana_encode_new_glob(4, _flick_abort444);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort454);
                    break;
                    {
                    _flick_abort454:
                      goto _flick_abort444;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort444:
              goto _flick_abort443;
            }
          }
          break;
          {
          _flick_abort443:
            goto _flick_abort2;
          }
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t68_principal_len;
            kern_return_t _return;
            t64K _local_data;
            flick_unsigned32_t _t69_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort456);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t68_principal_len, _flick_abort456);
            flick_khazana_decode_new_glob(_t68_principal_len);
            flick_khazana_decode_new_chunk(_t68_principal_len);
            flick_khazana_decode_end_chunk(_t68_principal_len);
            flick_khazana_decode_end_glob(_t68_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(114688);
            for (_t69_array_iter = 0; _t69_array_iter < 16384; _t69_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort460);
                flick_cdr_swap_decode_signed32(0, (*_local_data)[_t69_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort460:
                  goto _flick_abort456;
                }
              }
            flick_khazana_decode_end_glob(114688);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort456);
              flick_khazana_encode_new_glob(4, _flick_abort456);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort466);
                    break;
                    {
                    _flick_abort466:
                      goto _flick_abort456;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort456:
              goto _flick_abort455;
            }
          }
          break;
          {
          _flick_abort455:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t12_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t13_principal_len;
            kern_return_t _return;
            t64B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort104);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t13_principal_len, _flick_abort104);
            flick_khazana_decode_new_glob(_t13_principal_len);
            flick_khazana_decode_new_chunk(_t13_principal_len);
            flick_khazana_decode_end_chunk(_t13_principal_len);
            flick_khazana_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(67);
            flick_khazana_decode_new_chunk_align(64, 2, 0, 0);
            flick_khazana_check_span(64, _flick_abort104);
            flick_cdr_decode_bcopy(0, *_local_foo, 64);
            flick_khazana_decode_end_chunk(64);
            flick_khazana_decode_end_glob(67);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort104);
              flick_khazana_encode_new_glob(4, _flick_abort104);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t14_principal_len;
            kern_return_t _return;
            t128B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort113);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t14_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t14_principal_len, _flick_abort113);
            flick_khazana_decode_new_glob(_t14_principal_len);
            flick_khazana_decode_new_chunk(_t14_principal_len);
            flick_khazana_decode_end_chunk(_t14_principal_len);
            flick_khazana_decode_end_glob(_t14_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(131);
            flick_khazana_decode_new_chunk_align(128, 2, 0, 0);
            flick_khazana_check_span(128, _flick_abort113);
            flick_cdr_decode_bcopy(0, *_local_foo, 128);
            flick_khazana_decode_end_chunk(128);
            flick_khazana_decode_end_glob(131);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort113);
              flick_khazana_encode_new_glob(4, _flick_abort113);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort120);
                    break;
                    {
                    _flick_abort120:
                      goto _flick_abort113;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort113:
              goto _flick_abort112;
            }
          }
          break;
          {
          _flick_abort112:
            goto _flick_abort2;
          }
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t15_principal_len;
            kern_return_t _return;
            t256B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort122);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t15_principal_len, _flick_abort122);
            flick_khazana_decode_new_glob(_t15_principal_len);
            flick_khazana_decode_new_chunk(_t15_principal_len);
            flick_khazana_decode_end_chunk(_t15_principal_len);
            flick_khazana_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(259);
            flick_khazana_decode_new_chunk_align(256, 2, 0, 0);
            flick_khazana_check_span(256, _flick_abort122);
            flick_cdr_decode_bcopy(0, *_local_foo, 256);
            flick_khazana_decode_end_chunk(256);
            flick_khazana_decode_end_glob(259);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort122);
              flick_khazana_encode_new_glob(4, _flick_abort122);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort129);
                    break;
                    {
                    _flick_abort129:
                      goto _flick_abort122;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t16_principal_len;
            kern_return_t _return;
            t512B _local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort131);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t16_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t16_principal_len, _flick_abort131);
            flick_khazana_decode_new_glob(_t16_principal_len);
            flick_khazana_decode_new_chunk(_t16_principal_len);
            flick_khazana_decode_end_chunk(_t16_principal_len);
            flick_khazana_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(515);
            flick_khazana_decode_new_chunk_align(512, 2, 0, 0);
            flick_khazana_check_span(512, _flick_abort131);
            flick_cdr_decode_bcopy(0, *_local_foo, 512);
            flick_khazana_decode_end_chunk(512);
            flick_khazana_decode_end_glob(515);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort131);
              flick_khazana_encode_new_glob(4, _flick_abort131);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort138);
                    break;
                    {
                    _flick_abort138:
                      goto _flick_abort131;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort131:
              goto _flick_abort130;
            }
          }
          break;
          {
          _flick_abort130:
            goto _flick_abort2;
          }
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t17_principal_len;
            kern_return_t _return;
            t1K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort140);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t17_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t17_principal_len, _flick_abort140);
            flick_khazana_decode_new_glob(_t17_principal_len);
            flick_khazana_decode_new_chunk(_t17_principal_len);
            flick_khazana_decode_end_chunk(_t17_principal_len);
            flick_khazana_decode_end_glob(_t17_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(1027);
            flick_khazana_decode_new_chunk_align(1024, 2, 0, 0);
            flick_khazana_check_span(1024, _flick_abort140);
            flick_cdr_decode_bcopy(0, *_local_data, 1024);
            flick_khazana_decode_end_chunk(1024);
            flick_khazana_decode_end_glob(1027);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort140);
              flick_khazana_encode_new_glob(4, _flick_abort140);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort140;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort2;
          }
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t18_principal_len;
            kern_return_t _return;
            t2K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort149);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t18_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t18_principal_len, _flick_abort149);
            flick_khazana_decode_new_glob(_t18_principal_len);
            flick_khazana_decode_new_chunk(_t18_principal_len);
            flick_khazana_decode_end_chunk(_t18_principal_len);
            flick_khazana_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(2051);
            flick_khazana_decode_new_chunk_align(2048, 2, 0, 0);
            flick_khazana_check_span(2048, _flick_abort149);
            flick_cdr_decode_bcopy(0, *_local_data, 2048);
            flick_khazana_decode_end_chunk(2048);
            flick_khazana_decode_end_glob(2051);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort149);
              flick_khazana_encode_new_glob(4, _flick_abort149);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort156);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort149;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort149:
              goto _flick_abort148;
            }
          }
          break;
          {
          _flick_abort148:
            goto _flick_abort2;
          }
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t19_principal_len;
            kern_return_t _return;
            t4K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort158);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t19_principal_len, _flick_abort158);
            flick_khazana_decode_new_glob(_t19_principal_len);
            flick_khazana_decode_new_chunk(_t19_principal_len);
            flick_khazana_decode_end_chunk(_t19_principal_len);
            flick_khazana_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(4099);
            flick_khazana_decode_new_chunk_align(4096, 2, 0, 0);
            flick_khazana_check_span(4096, _flick_abort158);
            flick_cdr_decode_bcopy(0, *_local_data, 4096);
            flick_khazana_decode_end_chunk(4096);
            flick_khazana_decode_end_glob(4099);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort158);
              flick_khazana_encode_new_glob(4, _flick_abort158);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort165);
                    break;
                    {
                    _flick_abort165:
                      goto _flick_abort158;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort158:
              goto _flick_abort157;
            }
          }
          break;
          {
          _flick_abort157:
            goto _flick_abort2;
          }
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t20_principal_len;
            kern_return_t _return;
            t8K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort167);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t20_principal_len, _flick_abort167);
            flick_khazana_decode_new_glob(_t20_principal_len);
            flick_khazana_decode_new_chunk(_t20_principal_len);
            flick_khazana_decode_end_chunk(_t20_principal_len);
            flick_khazana_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(8195);
            flick_khazana_decode_new_chunk_align(8192, 2, 0, 0);
            flick_khazana_check_span(8192, _flick_abort167);
            flick_cdr_decode_bcopy(0, *_local_data, 8192);
            flick_khazana_decode_end_chunk(8192);
            flick_khazana_decode_end_glob(8195);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort167);
              flick_khazana_encode_new_glob(4, _flick_abort167);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort174);
                    break;
                    {
                    _flick_abort174:
                      goto _flick_abort167;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort167:
              goto _flick_abort166;
            }
          }
          break;
          {
          _flick_abort166:
            goto _flick_abort2;
          }
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t21_principal_len;
            kern_return_t _return;
            t16K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort176);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t21_principal_len, _flick_abort176);
            flick_khazana_decode_new_glob(_t21_principal_len);
            flick_khazana_decode_new_chunk(_t21_principal_len);
            flick_khazana_decode_end_chunk(_t21_principal_len);
            flick_khazana_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(16384, 2, 0, 0);
            flick_khazana_check_span(16384, _flick_abort176);
            flick_cdr_decode_bcopy(0, *_local_data, 16384);
            flick_khazana_decode_end_chunk(16384);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort176);
              flick_khazana_encode_new_glob(4, _flick_abort176);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort183);
                    break;
                    {
                    _flick_abort183:
                      goto _flick_abort176;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort176:
              goto _flick_abort175;
            }
          }
          break;
          {
          _flick_abort175:
            goto _flick_abort2;
          }
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t22_principal_len;
            kern_return_t _return;
            t32K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort185);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t22_principal_len, _flick_abort185);
            flick_khazana_decode_new_glob(_t22_principal_len);
            flick_khazana_decode_new_chunk(_t22_principal_len);
            flick_khazana_decode_end_chunk(_t22_principal_len);
            flick_khazana_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(32768, 2, 0, 0);
            flick_khazana_check_span(32768, _flick_abort185);
            flick_cdr_decode_bcopy(0, *_local_data, 32768);
            flick_khazana_decode_end_chunk(32768);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort185);
              flick_khazana_encode_new_glob(4, _flick_abort185);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort192);
                    break;
                    {
                    _flick_abort192:
                      goto _flick_abort185;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort185:
              goto _flick_abort184;
            }
          }
          break;
          {
          _flick_abort184:
            goto _flick_abort2;
          }
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t23_principal_len;
            kern_return_t _return;
            t64K _local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort194);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t23_principal_len, _flick_abort194);
            flick_khazana_decode_new_glob(_t23_principal_len);
            flick_khazana_decode_new_chunk(_t23_principal_len);
            flick_khazana_decode_end_chunk(_t23_principal_len);
            flick_khazana_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(65536, 2, 0, 0);
            flick_khazana_check_span(65536, _flick_abort194);
            flick_cdr_decode_bcopy(0, *_local_data, 65536);
            flick_khazana_decode_end_chunk(65536);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort194);
              flick_khazana_encode_new_glob(4, _flick_abort194);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort201);
                    break;
                    {
                    _flick_abort201:
                      goto _flick_abort194;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort194:
              goto _flick_abort193;
            }
          }
          break;
          {
          _flick_abort193:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

