#include "mig-arrays-ool-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t oolarrays_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t1_switch_tag;

    flick_trapeze_decode_new_glob(72);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t1_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t64B _local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort84);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(68, _flick_abort84);
            flick_trapeze_decode_new_chunk(68);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_bcopy(4, *_local_foo, 64);
            flick_trapeze_decode_end_chunk(68);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort84);
              flick_trapeze_encode_new_glob(12, _flick_abort84);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort84:
              goto _flick_abort83;
            }
          }
          break;
          {
          _flick_abort83:
            goto _flick_abort2;
          }
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t128B _local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort93);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_foo, 4 * 32);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort93);
              flick_trapeze_encode_new_glob(12, _flick_abort93);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort93:
              goto _flick_abort92;
            }
          }
          break;
          {
          _flick_abort92:
            goto _flick_abort2;
          }
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t256B _local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort100);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_foo, 4 * 64);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort100);
              flick_trapeze_encode_new_glob(12, _flick_abort100);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort100:
              goto _flick_abort99;
            }
          }
          break;
          {
          _flick_abort99:
            goto _flick_abort2;
          }
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t512B _local_foo;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort107);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_foo, 4 * 128);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort107);
              flick_trapeze_encode_new_glob(12, _flick_abort107);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort107:
              goto _flick_abort106;
            }
          }
          break;
          {
          _flick_abort106:
            goto _flick_abort2;
          }
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t1K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort114);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 256);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort114);
              flick_trapeze_encode_new_glob(12, _flick_abort114);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort114:
              goto _flick_abort113;
            }
          }
          break;
          {
          _flick_abort113:
            goto _flick_abort2;
          }
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t2K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort121);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 512);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort121);
              flick_trapeze_encode_new_glob(12, _flick_abort121);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort121:
              goto _flick_abort120;
            }
          }
          break;
          {
          _flick_abort120:
            goto _flick_abort2;
          }
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t4K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort128);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 1024);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort128);
              flick_trapeze_encode_new_glob(12, _flick_abort128);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort2;
          }
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t8K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort135);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 2048);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort135);
              flick_trapeze_encode_new_glob(12, _flick_abort135);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort135:
              goto _flick_abort134;
            }
          }
          break;
          {
          _flick_abort134:
            goto _flick_abort2;
          }
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t16K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort142);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 4096);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort142);
              flick_trapeze_encode_new_glob(12, _flick_abort142);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort142:
              goto _flick_abort141;
            }
          }
          break;
          {
          _flick_abort141:
            goto _flick_abort2;
          }
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t32K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort149);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 8192);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort149);
              flick_trapeze_encode_new_glob(12, _flick_abort149);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort149:
              goto _flick_abort148;
            }
          }
          break;
          {
          _flick_abort148:
            goto _flick_abort2;
          }
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            t64K _local_data;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort156);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(*_local_data, 4 * 16384);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort156);
              flick_trapeze_encode_new_glob(12, _flick_abort156);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort156:
              goto _flick_abort155;
            }
          }
          break;
          {
          _flick_abort155:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

