#include "mig-simple-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t time_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 400:
        {
          {
            mach_port_t _local_server_port;
            kern_return_t _return;
            int _local_format;
            int *_local_time;
            int _t4_storage;

            flick_trapeze_server_decode_target(_local_server_port, 0, cdr, _flick_abort19);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_format, int );
            _local_time = (int *)(&_t4_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = get_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_server_port, 0, cdr, _flick_abort19);
              flick_trapeze_encode_new_glob(12, _flick_abort19);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort19:
              goto _flick_abort18;
            }
          }
          break;
          {
          _flick_abort18:
            goto _flick_abort2;
          }
        }
      case (signed int) 401:
        {
          {
            mach_port_t _local_server_port;
            kern_return_t _return;
            foo_int _local_format;
            foo_int *_local_time;
            foo_int _t5_storage;

            flick_trapeze_server_decode_target(_local_server_port, 0, cdr, _flick_abort26);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_format, foo_int );
            _local_time = (foo_int *)(&_t5_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_time(_local_server_port, _local_format, _local_time);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_server_port, 0, cdr, _flick_abort26);
              flick_trapeze_encode_new_glob(12, _flick_abort26);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_time, foo_int );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort26:
              goto _flick_abort25;
            }
          }
          break;
          {
          _flick_abort25:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

