#include "oneway-server.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	"IDL:onewaytest:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t21_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t21_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 0:
        {
          {
            onewaytest _obj;
            CORBA_short _return;
            CORBA_long *_local_x;
            CORBA_long _t22_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort63);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort63);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_x = (CORBA_long *)(&_t22_storage);
            flick_cdr_decode_signed32(4, *_local_x, CORBA_long );
            _ev = (CORBA_Environment *)(&_t23_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = onewaytest_shortlong(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort63);
              flick_trapeze_encode_new_glob(12, _flick_abort63);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
                    break;
                    {
                    _flick_abort70:
                      goto _flick_abort63;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort63:
              goto _flick_abort62;
            }
          }
          break;
          {
          _flick_abort62:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            onewaytest _obj;
            CORBA_long _local_x;
            CORBA_Environment *_ev;
            CORBA_Environment _t24_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort72);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort72);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_x, CORBA_long );
            _ev = (CORBA_Environment *)(&_t24_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            onewaytest_voidlong(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort72);
              flick_trapeze_encode_new_glob(12, _flick_abort72);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
                    break;
                    {
                    _flick_abort79:
                      goto _flick_abort72;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort72:
              goto _flick_abort71;
            }
          }
          break;
          {
          _flick_abort71:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            onewaytest _obj;
            CORBA_long _local_x;
            CORBA_Environment *_ev;
            CORBA_Environment _t25_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort81);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort81);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_x, CORBA_long );
            _ev = (CORBA_Environment *)(&_t25_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            onewaytest_onewaylong(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort81:
              goto _flick_abort80;
            }
          }
          break;
          {
          _flick_abort80:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            onewaytest _obj;
            CORBA_char *_local_x;
            flick_unsigned32_t _t26_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t27_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort83);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort83);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _t26_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_x, 1 * _t26_temp_string_len);
            _ev = (CORBA_Environment *)(&_t27_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            onewaytest_onewaystring(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort83:
              goto _flick_abort82;
            }
          }
          break;
          {
          _flick_abort82:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            onewaytest _obj;
            CORBA_char *_return;
            CORBA_Environment *_ev;
            CORBA_Environment _t28_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort85);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t28_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = onewaytest_stringreturn(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort85);
              flick_trapeze_encode_new_glob(12, _flick_abort85);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t30_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t30_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t30_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t30_temp_string_len);
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                    break;
                    {
                    _flick_abort92:
                      goto _flick_abort85;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort85:
              goto _flick_abort84;
            }
          }
          break;
          {
          _flick_abort84:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            onewaytest _obj;
            CORBA_long _return;
            CORBA_char **_local_x;
            CORBA_char *_t31_storage;
            flick_unsigned32_t _t32_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t33_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort94);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort94);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_x = (CORBA_char **)(&_t31_storage);
            flick_cdr_decode_unsigned32(4, _t32_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(*_local_x, 1 * _t32_temp_string_len);
            _ev = (CORBA_Environment *)(&_t33_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = onewaytest_longstring(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort94);
              flick_trapeze_encode_new_glob(12, _flick_abort94);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t35_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, *_local_x, flick_unsigned32_t , _t35_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_unsigned32(4, _t35_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(*_local_x, 1 * _t35_temp_string_len);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                    break;
                    {
                    _flick_abort101:
                      goto _flick_abort94;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort94:
              goto _flick_abort93;
            }
          }
          break;
          {
          _flick_abort93:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            onewaytest _obj;
            CORBA_char *_return;
            CORBA_long *_local_x;
            CORBA_long _t36_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t37_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort103);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_x = (CORBA_long *)(&_t36_storage);
            _ev = (CORBA_Environment *)(&_t37_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = onewaytest_stringlong(_obj, _local_x, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort103);
              flick_trapeze_encode_new_glob(12, _flick_abort103);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t39_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t39_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8);
                    flick_cdr_encode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return, 1 * _t39_temp_string_len);
                    flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                    break;
                    {
                    _flick_abort110:
                      goto _flick_abort103;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort103:
              goto _flick_abort102;
            }
          }
          break;
          {
          _flick_abort102:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t40_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t41_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort112);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort112);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t40_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t40_temp_string_len);
            _ev = (CORBA_Environment *)(&_t41_storage);
            _par = flick_interface_parents_onewaytest;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort112);
              flick_trapeze_encode_new_glob(12, _flick_abort112);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                    break;
                    {
                    _flick_abort119:
                      goto _flick_abort112;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort112:
              goto _flick_abort111;
            }
          }
          break;
          {
          _flick_abort111:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

