#include "turtle-server-client.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	"IDL:Server:1.0",
	0
};

/* */

CORBA_long Server_SetSize(Server _obj, CORBA_long width, CORBA_long height, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort1);
  }
  {
    flick_trapeze_encode_new_glob(16, _flick_abort1);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 0, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, width, CORBA_long );
    flick_cdr_encode_signed32(12, height, CORBA_long );
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort3);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort3);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort8);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort8:
              goto _flick_abort3;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort9);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort9:
              goto _flick_abort3;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort10);
            break;
            {
            _flick_abort10:
              goto _flick_abort3;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort3:
  _flick_abort1:
    flick_corba_client_error(cdr, trapeze, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_AddWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort12);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort12);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 1, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx, CORBA_long );
    flick_cdr_encode_signed32(12, starty, CORBA_long );
    flick_cdr_encode_signed32(16, endx, CORBA_long );
    flick_cdr_encode_signed32(20, endy, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort14);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort19);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort19:
              goto _flick_abort14;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort20);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort20:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21);
            break;
            {
            _flick_abort21:
              goto _flick_abort14;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort14:
  _flick_abort12:
    flick_corba_client_error(cdr, trapeze, _flick_abort11);
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_DelWall(Server _obj, CORBA_long startx, CORBA_long starty, CORBA_long endx, CORBA_long endy, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort23);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort23);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 2, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, startx, CORBA_long );
    flick_cdr_encode_signed32(12, starty, CORBA_long );
    flick_cdr_encode_signed32(16, endx, CORBA_long );
    flick_cdr_encode_signed32(20, endy, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort25);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort30);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort30:
              goto _flick_abort25;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort31);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort31:
              goto _flick_abort25;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort32);
            break;
            {
            _flick_abort32:
              goto _flick_abort25;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort25:
  _flick_abort23:
    flick_corba_client_error(cdr, trapeze, _flick_abort22);
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_AddRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_long color, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort34);
  }
  {
    flick_trapeze_encode_new_glob(28, _flick_abort34);
    flick_trapeze_encode_new_chunk(28);
    flick_cdr_encode_signed32(0, 3, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left, CORBA_long );
    flick_cdr_encode_signed32(12, top, CORBA_long );
    flick_cdr_encode_signed32(16, right, CORBA_long );
    flick_cdr_encode_signed32(20, bottom, CORBA_long );
    flick_cdr_encode_signed32(24, color, CORBA_long );
    flick_trapeze_encode_end_chunk(28);
    flick_trapeze_encode_end_glob(28);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort36);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort36);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort41);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort41:
              goto _flick_abort36;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort42);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort42:
              goto _flick_abort36;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
            break;
            {
            _flick_abort43:
              goto _flick_abort36;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort36:
  _flick_abort34:
    flick_corba_client_error(cdr, trapeze, _flick_abort33);
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_DelRect(Server _obj, CORBA_long left, CORBA_long top, CORBA_long right, CORBA_long bottom, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort45);
  }
  {
    flick_trapeze_encode_new_glob(24, _flick_abort45);
    flick_trapeze_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 4, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, left, CORBA_long );
    flick_cdr_encode_signed32(12, top, CORBA_long );
    flick_cdr_encode_signed32(16, right, CORBA_long );
    flick_cdr_encode_signed32(20, bottom, CORBA_long );
    flick_trapeze_encode_end_chunk(24);
    flick_trapeze_encode_end_glob(24);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort47);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort47);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort52);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort52:
              goto _flick_abort47;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort53);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort53:
              goto _flick_abort47;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort54);
            break;
            {
            _flick_abort54:
              goto _flick_abort47;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort47:
  _flick_abort45:
    flick_corba_client_error(cdr, trapeze, _flick_abort44);
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_SetTurtle(Server _obj, CORBA_long x, CORBA_long y, CORBA_long angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort56);
  }
  {
    flick_trapeze_encode_new_glob(20, _flick_abort56);
    flick_trapeze_encode_new_chunk(20);
    flick_cdr_encode_signed32(0, 5, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, x, CORBA_long );
    flick_cdr_encode_signed32(12, y, CORBA_long );
    flick_cdr_encode_signed32(16, angle, CORBA_long );
    flick_trapeze_encode_end_chunk(20);
    flick_trapeze_encode_end_glob(20);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort58);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_check_span(4, _flick_abort58);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(4, _flick_abort63);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_trapeze_decode_end_chunk(4);
            break;
            {
            _flick_abort63:
              goto _flick_abort58;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort64);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort64:
              goto _flick_abort58;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
            break;
            {
            _flick_abort65:
              goto _flick_abort58;
            }
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort58:
  _flick_abort56:
    flick_corba_client_error(cdr, trapeze, _flick_abort55);
  _flick_abort55:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

CORBA_long Server_GetTurtle(Server _obj, CORBA_long *x, CORBA_long *y, CORBA_long *angle, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int _msg_ctl_len;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_trapeze_client_encode_target(_obj, 0, cdr, _flick_abort67);
  }
  {
    flick_trapeze_encode_new_glob(8, _flick_abort67);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6, flick_signed32_t );
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL, unsigned int );
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, _msg_ctl_len, TPZ_CTRL))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
  flick_trapeze_client_start_decode();
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_trapeze_decode_new_glob(20);
      flick_trapeze_check_span(4, _flick_abort69);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major, CORBA_exception_type );
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_check_span(16, _flick_abort74);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _return, CORBA_long );
            flick_cdr_decode_signed32(4, *x, CORBA_long );
            flick_cdr_decode_signed32(8, *y, CORBA_long );
            flick_cdr_decode_signed32(12, *angle, CORBA_long );
            flick_trapeze_decode_end_chunk(16);
            break;
            {
            _flick_abort74:
              goto _flick_abort69;
            }
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_trapeze_check_span(8, _flick_abort75);
            flick_trapeze_decode_new_chunk(8);
            flick_trapeze_decode_system_exception(0, _ev, corba);
            flick_trapeze_decode_end_chunk(8);
            break;
            {
            _flick_abort75:
              goto _flick_abort69;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
            break;
            {
            _flick_abort76:
              goto _flick_abort69;
            }
          }
        }
      flick_trapeze_decode_end_glob(20);
    }
  flick_trapeze_client_end_decode();
  return _return;
  {
  _flick_abort69:
  _flick_abort67:
    flick_corba_client_error(cdr, trapeze, _flick_abort66);
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

