#include "parm_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_intf[] = {
	"IDL:intf:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t intf_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t1088_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1088_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t1088_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t1089_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1089_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1089_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t1090_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1090_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1090_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t1091_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t1092_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t1093_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1094_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2566);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1091_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1091_principal_len, _flick_abort2566);
                        flick_iiop_decode_new_glob(_t1091_principal_len);
                        flick_iiop_decode_new_chunk(_t1091_principal_len);
                        flick_iiop_decode_end_chunk(_t1091_principal_len);
                        flick_iiop_decode_end_glob(_t1091_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiop_check_span(4, _flick_abort2566);
                        flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t1092_storage);
                        flick_cdr_swap_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t1093_storage);
                        _ev = (CORBA_Environment *)(&_t1094_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2566);
                          flick_iiop_encode_new_glob(10, _flick_abort2566);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_iiop_encode_end_chunk(6);
                                flick_iiop_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2572);
                                break;
                                {
                                _flick_abort2572:
                                  goto _flick_abort2566;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2573);
                                flick_iiop_encode_end_glob(10);
                                break;
                                {
                                _flick_abort2573:
                                  goto _flick_abort2566;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2566:
                          goto _flick_abort2565;
                        }
                      }
                      break;
                      {
                      _flick_abort2565:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t1095_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1095_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1095_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        intf _obj;
                        unsigned int _t1096_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t1097_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t1098_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1099_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2575);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1096_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1096_principal_len, _flick_abort2575);
                        flick_iiop_decode_new_glob(_t1096_principal_len);
                        flick_iiop_decode_new_chunk(_t1096_principal_len);
                        flick_iiop_decode_end_chunk(_t1096_principal_len);
                        flick_iiop_decode_end_glob(_t1096_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort2575);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t1097_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t1098_storage);
                        _ev = (CORBA_Environment *)(&_t1099_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2575);
                          flick_iiop_encode_new_glob(16, _flick_abort2575);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2581);
                                break;
                                {
                                _flick_abort2581:
                                  goto _flick_abort2575;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2582);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort2582:
                                  goto _flick_abort2575;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2575:
                          goto _flick_abort2574;
                        }
                      }
                      break;
                      {
                      _flick_abort2574:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t1100_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1100_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1100_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t1101_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t1102_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t1103_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1104_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2584);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1101_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1101_principal_len, _flick_abort2584);
                        flick_iiop_decode_new_glob(_t1101_principal_len);
                        flick_iiop_decode_new_chunk(_t1101_principal_len);
                        flick_iiop_decode_end_chunk(_t1101_principal_len);
                        flick_iiop_decode_end_glob(_t1101_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort2584);
                        flick_cdr_swap_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t1102_storage);
                        flick_cdr_swap_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t1103_storage);
                        _ev = (CORBA_Environment *)(&_t1104_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2584);
                          flick_iiop_encode_new_glob(16, _flick_abort2584);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2590);
                                break;
                                {
                                _flick_abort2590:
                                  goto _flick_abort2584;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2591);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort2591:
                                  goto _flick_abort2584;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2584:
                          goto _flick_abort2583;
                        }
                      }
                      break;
                      {
                      _flick_abort2583:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t1105_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1105_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1105_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t1106_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t1107_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t1108_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1109_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2593);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1106_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1106_principal_len + 2, _flick_abort2593);
                        flick_iiop_decode_new_glob(_t1106_principal_len);
                        flick_iiop_decode_new_chunk(_t1106_principal_len);
                        flick_iiop_decode_end_chunk(_t1106_principal_len);
                        flick_iiop_decode_end_glob(_t1106_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t1107_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t1108_storage);
                        _ev = (CORBA_Environment *)(&_t1109_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2593);
                          flick_iiop_encode_new_glob(7, _flick_abort2593);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2599);
                                break;
                                {
                                _flick_abort2599:
                                  goto _flick_abort2593;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2600);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort2600:
                                  goto _flick_abort2593;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2593:
                          goto _flick_abort2592;
                        }
                      }
                      break;
                      {
                      _flick_abort2592:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1110_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1110_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1110_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1111_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1112_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1113_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2602);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1111_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1111_principal_len, _flick_abort2602);
                        flick_iiop_decode_new_glob(_t1111_principal_len);
                        flick_iiop_decode_new_chunk(_t1111_principal_len);
                        flick_iiop_decode_end_chunk(_t1111_principal_len);
                        flick_iiop_decode_end_glob(_t1111_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort2602);
                        flick_cdr_swap_decode_unsigned32(0, _t1112_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t1112_temp_string_len);
                        flick_iiop_check_span(1 * _t1112_temp_string_len, _flick_abort2602);
                        flick_iiop_decode_new_chunk(1 * _t1112_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t1112_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t1112_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1113_storage);
                        _par = flick_interface_parents_intf;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2602);
                          flick_iiop_encode_new_glob(5, _flick_abort2602);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2610);
                                break;
                                {
                                _flick_abort2610:
                                  goto _flick_abort2602;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2611);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2611:
                                  goto _flick_abort2602;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2602:
                          goto _flick_abort2601;
                        }
                      }
                      break;
                      {
                      _flick_abort2601:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1114_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1114_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1114_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t1115_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1115_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1115_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t1116_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t1117_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t1118_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1119_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2613);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1116_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1116_principal_len, _flick_abort2613);
                        flick_iiop_decode_new_glob(_t1116_principal_len);
                        flick_iiop_decode_new_chunk(_t1116_principal_len);
                        flick_iiop_decode_end_chunk(_t1116_principal_len);
                        flick_iiop_decode_end_glob(_t1116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort2613);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t1117_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t1118_storage);
                        _ev = (CORBA_Environment *)(&_t1119_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2613);
                          flick_iiop_encode_new_glob(16, _flick_abort2613);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2619);
                                break;
                                {
                                _flick_abort2619:
                                  goto _flick_abort2613;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2620);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort2620:
                                  goto _flick_abort2613;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2613:
                          goto _flick_abort2612;
                        }
                      }
                      break;
                      {
                      _flick_abort2612:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t1120_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1120_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1120_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t1121_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t1122_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t1123_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1124_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2622);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1121_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1121_principal_len + 2, _flick_abort2622);
                        flick_iiop_decode_new_glob(_t1121_principal_len);
                        flick_iiop_decode_new_chunk(_t1121_principal_len);
                        flick_iiop_decode_end_chunk(_t1121_principal_len);
                        flick_iiop_decode_end_glob(_t1121_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t1122_storage);
                        flick_cdr_swap_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t1123_storage);
                        _ev = (CORBA_Environment *)(&_t1124_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2622);
                          flick_iiop_encode_new_glob(7, _flick_abort2622);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2628);
                                break;
                                {
                                _flick_abort2628:
                                  goto _flick_abort2622;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2629);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort2629:
                                  goto _flick_abort2622;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2622:
                          goto _flick_abort2621;
                        }
                      }
                      break;
                      {
                      _flick_abort2621:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t1125_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1125_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t1125_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t1126_principal_len;
                        Enumeration _return;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration _t1127_storage;
                        Enumeration *_local_c;
                        Enumeration _t1128_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1129_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2631);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1126_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1126_principal_len, _flick_abort2631);
                        flick_iiop_decode_new_glob(_t1126_principal_len);
                        flick_iiop_decode_new_chunk(_t1126_principal_len);
                        flick_iiop_decode_end_chunk(_t1126_principal_len);
                        flick_iiop_decode_end_glob(_t1126_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort2631);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (Enumeration *)(&_t1127_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (Enumeration *)(&_t1128_storage);
                        _ev = (CORBA_Environment *)(&_t1129_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2631);
                          flick_iiop_encode_new_glob(16, _flick_abort2631);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2637);
                                break;
                                {
                                _flick_abort2637:
                                  goto _flick_abort2631;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2638);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort2638:
                                  goto _flick_abort2631;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2631:
                          goto _flick_abort2630;
                        }
                      }
                      break;
                      {
                      _flick_abort2630:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t1130_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1130_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1130_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t1131_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1131_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1131_switch_tag)
                  {
                  case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                    {
                      char _t1132_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1132_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1132_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1133_principal_len;
                              CORBA_long_long _return;
                              CORBA_long_long _local_a;
                              CORBA_long_long *_local_b;
                              CORBA_long_long _t1134_storage;
                              CORBA_long_long *_local_c;
                              CORBA_long_long _t1135_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1136_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2640);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t1133_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1133_principal_len, _flick_abort2640);
                              flick_iiop_decode_new_glob(_t1133_principal_len);
                              flick_iiop_decode_new_chunk(_t1133_principal_len);
                              flick_iiop_decode_end_chunk(_t1133_principal_len);
                              flick_iiop_decode_end_glob(_t1133_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort2640);
                              flick_cdr_swap_decode_signed64(0, _local_a, CORBA_long_long );
                              _local_b = (CORBA_long_long *)(&_t1134_storage);
                              flick_cdr_swap_decode_signed64(8, *_local_b, CORBA_long_long );
                              _local_c = (CORBA_long_long *)(&_t1135_storage);
                              _ev = (CORBA_Environment *)(&_t1136_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_LongLong(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2640);
                                flick_iiop_encode_new_glob(32, _flick_abort2640);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_signed64(0, _return, CORBA_long_long );
                                      flick_cdr_encode_signed64(8, *_local_b, CORBA_long_long );
                                      flick_cdr_encode_signed64(16, *_local_c, CORBA_long_long );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2646);
                                      break;
                                      {
                                      _flick_abort2646:
                                        goto _flick_abort2640;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2647);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort2647:
                                        goto _flick_abort2640;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2640:
                                goto _flick_abort2639;
                              }
                            }
                            break;
                            {
                            _flick_abort2639:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t1137_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1137_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1137_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t1138_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1138_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1138_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1139_principal_len;
                              struct VUnion *_return;
                              struct VUnion *_local_a;
                              struct VUnion _t1140_storage;
                              struct VUnion *_local_b;
                              struct VUnion _t1143_storage;
                              struct VUnion **_local_c;
                              struct VUnion *_t1146_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1147_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2649);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t1139_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1139_principal_len, _flick_abort2649);
                              flick_iiop_decode_new_glob(_t1139_principal_len);
                              flick_iiop_decode_new_chunk(_t1139_principal_len);
                              flick_iiop_decode_end_chunk(_t1139_principal_len);
                              flick_iiop_decode_end_glob(_t1139_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VUnion *)(&_t1140_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(5, _flick_abort2649);
                              flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t1142_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort2655);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t1142_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t1142_temp_string_len);
                                    flick_iiop_check_span(1 * _t1142_temp_string_len, _flick_abort2655);
                                    flick_iiop_decode_new_chunk(1 * _t1142_temp_string_len);
                                    flick_cdr_swap_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t1142_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t1142_temp_string_len);
                                    break;
                                    {
                                    _flick_abort2655:
                                      goto _flick_abort2649;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                  }
                                }
                              _local_b = (struct VUnion *)(&_t1143_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(5, _flick_abort2649);
                              flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t1145_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort2666);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t1145_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t1145_temp_string_len);
                                    flick_iiop_check_span(1 * _t1145_temp_string_len, _flick_abort2666);
                                    flick_iiop_decode_new_chunk(1 * _t1145_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1145_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2666);
                                      _local_b->_u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b->_u.a, 1 * _t1145_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t1145_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t1145_temp_string_len);
                                    break;
                                  _flick_abort_block3449:
                                    {
                                      CORBA_flick_free(_local_b->_u.a);
                                    _flick_abort2666:
                                      goto _flick_abort2649;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                  }
                                _flick_abort_block3448:
                                  {
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        goto _flick_abort_block3449;
                                      default:
                                        goto _flick_abort2649;
                                      }
                                  }
                                }
                              _local_c = (struct VUnion **)(&_t1146_storage);
                              _ev = (CORBA_Environment *)(&_t1147_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2671);
                                flick_iiop_encode_new_glob(12, _flick_abort2671);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t1155_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t1155_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t1155_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(12);
                                            flick_iiop_encode_new_glob(1 * _t1155_temp_string_len, _flick_abort2709);
                                            flick_iiop_encode_new_chunk(1 * _t1155_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t1155_temp_string_len);
                                            CORBA_flick_free(_return->_u.a);
                                            _return->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t1155_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t1155_temp_string_len);
                                            break;
                                            {
                                            _flick_abort2709:
                                              goto _flick_abort2703;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = (struct VUnion *)0;
                                      flick_iiop_encode_new_glob(11, _flick_abort2703);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_local_b->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t1157_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t1157_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t1157_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t1157_temp_string_len, _flick_abort2718);
                                            flick_iiop_encode_new_chunk(1 * _t1157_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t1157_temp_string_len);
                                            CORBA_flick_free(_local_b->_u.a);
                                            _local_b->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t1157_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t1157_temp_string_len);
                                            break;
                                            {
                                            _flick_abort2718:
                                              goto _flick_abort2703;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiop_encode_new_glob(11, _flick_abort2703);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch ((*_local_c)->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t1159_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t1159_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t1159_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t1159_temp_string_len, _flick_abort2727);
                                            flick_iiop_encode_new_chunk(1 * _t1159_temp_string_len);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t1159_temp_string_len);
                                            CORBA_flick_free((*_local_c)->_u.a);
                                            (*_local_c)->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t1159_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t1159_temp_string_len);
                                            break;
                                            {
                                            _flick_abort2727:
                                              goto _flick_abort2703;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct VUnion *)0;
                                      break;
                                      {
                                      _flick_abort2703:
                                        goto _flick_abort2671;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2731);
                                      break;
                                      {
                                      _flick_abort2731:
                                        goto _flick_abort2671;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2732);
                                      flick_iiop_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort2732:
                                        goto _flick_abort2671;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2671:
                                goto _flick_abort_block3448;
                              _flick_abort2649:
                                goto _flick_abort2648;
                              }
                            }
                            break;
                            {
                            _flick_abort2648:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226817):
              {
                unsigned int _t1160_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1160_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1160_switch_tag)
                  {
                  case /* rray */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920098681):
                    {
                      char _t1161_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1161_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1161_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1162_principal_len;
                              VArray_slice *_return;
                              CORBA_char **_local_a;
                              CORBA_char *_t1166_storage[10];
                              flick_unsigned32_t _t1167_array_iter;
                              CORBA_char **_local_b;
                              CORBA_char *_t1173_storage[10];
                              flick_unsigned32_t _t1174_array_iter;
                              VArray_slice **_local_c;
                              VArray_slice *_t1177_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1178_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2734);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t1162_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1162_principal_len, _flick_abort2734);
                              flick_iiop_decode_new_glob(_t1162_principal_len);
                              flick_iiop_decode_new_chunk(_t1162_principal_len);
                              flick_iiop_decode_end_chunk(_t1162_principal_len);
                              flick_iiop_decode_end_glob(_t1162_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_char **)_t1166_storage;
                              for (_t1167_array_iter = 0; _t1167_array_iter < 10; _t1167_array_iter++)
                                {
                                  flick_unsigned32_t _t1169_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort2744);
                                  flick_cdr_swap_decode_unsigned32(0, _t1169_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t1169_temp_string_len);
                                  flick_iiop_check_span(1 * _t1169_temp_string_len, _flick_abort2744);
                                  flick_iiop_decode_new_chunk(1 * _t1169_temp_string_len);
                                  flick_cdr_swap_decode_msgptr(0, _local_a[_t1167_array_iter], CORBA_char *);
                                  flick_iiop_decode_end_chunk(1 * _t1169_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t1169_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort2744:
                                    goto _flick_abort2734;
                                  }
                                }
                              _local_b = (CORBA_char **)_t1173_storage;
                              for (_t1174_array_iter = 0; _t1174_array_iter < 10; _t1174_array_iter++)
                                {
                                  flick_unsigned32_t _t1176_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort2762);
                                  flick_cdr_swap_decode_unsigned32(0, _t1176_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t1176_temp_string_len);
                                  flick_iiop_check_span(1 * _t1176_temp_string_len, _flick_abort2762);
                                  flick_iiop_decode_new_chunk(1 * _t1176_temp_string_len);
                                  {
                                    CORBA_char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1176_temp_string_len * sizeof(CORBA_char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2762);
                                    _local_b[_t1174_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_swap_decode_bcopy(0, _local_b[_t1174_array_iter], 1 * _t1176_temp_string_len);
                                  flick_iiop_decode_end_chunk(1 * _t1176_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t1176_temp_string_len);
                                  continue;
                                _flick_abort_block3585:
                                  {
                                    _t1174_array_iter = 10;
                                  _flick_abort2772:
                                    _t1174_array_iter--;
                                    CORBA_flick_free(_local_b[_t1174_array_iter]);
                                  _flick_abort2762:
                                    if ((unsigned int )_t1174_array_iter > 0)
                                      goto _flick_abort2772;
                                    goto _flick_abort2734;
                                  }
                                }
                              _local_c = (VArray_slice **)(&_t1177_storage);
                              _ev = (CORBA_Environment *)(&_t1178_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarArray(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2774);
                                flick_iiop_encode_new_glob(4, _flick_abort2774);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t1200_array_iter;
                                      flick_unsigned32_t _t1206_array_iter;
                                      flick_unsigned32_t _t1212_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      for (_t1200_array_iter = 0; _t1200_array_iter < 10; _t1200_array_iter++)
                                        {
                                          flick_unsigned32_t _t1202_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return[_t1200_array_iter], flick_unsigned32_t , _t1202_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort2834);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1202_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1202_temp_string_len, _flick_abort2834);
                                          flick_iiop_encode_new_chunk(1 * _t1202_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return[_t1200_array_iter], 1 * _t1202_temp_string_len);
                                          CORBA_flick_free(_return[_t1200_array_iter]);
                                          _return[_t1200_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1202_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1202_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort2834:
                                            goto _flick_abort2824;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char **)0;
                                      for (_t1206_array_iter = 0; _t1206_array_iter < 10; _t1206_array_iter++)
                                        {
                                          flick_unsigned32_t _t1208_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _local_b[_t1206_array_iter], flick_unsigned32_t , _t1208_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort2849);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1208_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1208_temp_string_len, _flick_abort2849);
                                          flick_iiop_encode_new_chunk(1 * _t1208_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _local_b[_t1206_array_iter], 1 * _t1208_temp_string_len);
                                          CORBA_flick_free(_local_b[_t1206_array_iter]);
                                          _local_b[_t1206_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1208_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1208_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort2849:
                                            goto _flick_abort2824;
                                          }
                                        }
                                      for (_t1212_array_iter = 0; _t1212_array_iter < 10; _t1212_array_iter++)
                                        {
                                          flick_unsigned32_t _t1214_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, (*_local_c)[_t1212_array_iter], flick_unsigned32_t , _t1214_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort2864);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1214_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1214_temp_string_len, _flick_abort2864);
                                          flick_iiop_encode_new_chunk(1 * _t1214_temp_string_len);
                                          flick_cdr_encode_bcopy(0, (*_local_c)[_t1212_array_iter], 1 * _t1214_temp_string_len);
                                          CORBA_flick_free((*_local_c)[_t1212_array_iter]);
                                          (*_local_c)[_t1212_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1214_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1214_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort2864:
                                            goto _flick_abort2824;
                                          }
                                        }
                                      break;
                                      {
                                      _flick_abort2824:
                                        goto _flick_abort2774;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2870);
                                      break;
                                      {
                                      _flick_abort2870:
                                        goto _flick_abort2774;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2871);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort2871:
                                        goto _flick_abort2774;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2774:
                                goto _flick_abort_block3585;
                              _flick_abort2734:
                                goto _flick_abort2733;
                              }
                            }
                            break;
                            {
                            _flick_abort2733:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t1215_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1215_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1215_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t1216_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1216_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1216_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t1217_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1217_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1217_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1218_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t1219_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t1220_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1221_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2873);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t1218_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1218_principal_len, _flick_abort2873);
                              flick_iiop_decode_new_glob(_t1218_principal_len);
                              flick_iiop_decode_new_chunk(_t1218_principal_len);
                              flick_iiop_decode_end_chunk(_t1218_principal_len);
                              flick_iiop_decode_end_glob(_t1218_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2873);
                              flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t1219_storage);
                              flick_cdr_swap_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t1220_storage);
                              _ev = (CORBA_Environment *)(&_t1221_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2873);
                                flick_iiop_encode_new_glob(10, _flick_abort2873);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2879);
                                      break;
                                      {
                                      _flick_abort2879:
                                        goto _flick_abort2873;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2880);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort2880:
                                        goto _flick_abort2873;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2873:
                                goto _flick_abort2872;
                              }
                            }
                            break;
                            {
                            _flick_abort2872:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t1222_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1222_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1222_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t1223_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1223_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1223_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1224_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double _t1225_storage;
                              CORBA_double *_local_c;
                              CORBA_double _t1226_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1227_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2882);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t1224_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1224_principal_len, _flick_abort2882);
                              flick_iiop_decode_new_glob(_t1224_principal_len);
                              flick_iiop_decode_new_chunk(_t1224_principal_len);
                              flick_iiop_decode_end_chunk(_t1224_principal_len);
                              flick_iiop_decode_end_glob(_t1224_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort2882);
                              flick_cdr_swap_decode_float64(0, _local_a, CORBA_double );
                              _local_b = (CORBA_double *)(&_t1225_storage);
                              flick_cdr_swap_decode_float64(8, *_local_b, CORBA_double );
                              _local_c = (CORBA_double *)(&_t1226_storage);
                              _ev = (CORBA_Environment *)(&_t1227_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2882);
                                flick_iiop_encode_new_glob(32, _flick_abort2882);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2888);
                                      break;
                                      {
                                      _flick_abort2888:
                                        goto _flick_abort2882;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2889);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort2889:
                                        goto _flick_abort2882;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2882:
                                goto _flick_abort2881;
                              }
                            }
                            break;
                            {
                            _flick_abort2881:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t1228_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1228_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t1228_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t1229_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t1229_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t1229_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t1230_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t1231_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t1232_storage;
                              flick_unsigned32_t _t1233_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t1234_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1235_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2891);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t1230_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1230_principal_len, _flick_abort2891);
                              flick_iiop_decode_new_glob(_t1230_principal_len);
                              flick_iiop_decode_new_chunk(_t1230_principal_len);
                              flick_iiop_decode_end_chunk(_t1230_principal_len);
                              flick_iiop_decode_end_glob(_t1230_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2891);
                              flick_cdr_swap_decode_unsigned32(0, _t1231_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t1231_temp_string_len);
                              flick_iiop_check_span(1 * _t1231_temp_string_len, _flick_abort2891);
                              flick_iiop_decode_new_chunk(1 * _t1231_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t1231_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t1231_temp_string_len);
                              _local_b = (CORBA_char **)(&_t1232_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2891);
                              flick_cdr_swap_decode_unsigned32(0, _t1233_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t1233_temp_string_len);
                              flick_iiop_check_span(1 * _t1233_temp_string_len, _flick_abort2891);
                              flick_iiop_decode_new_chunk(1 * _t1233_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1233_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2891);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t1233_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t1233_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t1233_temp_string_len);
                              _local_c = (CORBA_char **)(&_t1234_storage);
                              _ev = (CORBA_Environment *)(&_t1235_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2896);
                                flick_iiop_encode_new_glob(8, _flick_abort2896);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t1239_temp_string_len;
                                      flick_unsigned32_t _t1240_temp_string_len;
                                      flick_unsigned32_t _t1241_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1239_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t1240_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t1241_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t1239_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t1239_temp_string_len, _flick_abort2907);
                                      flick_iiop_encode_new_chunk(1 * _t1239_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t1239_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1239_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1239_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort2907);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1240_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t1240_temp_string_len, _flick_abort2907);
                                      flick_iiop_encode_new_chunk(1 * _t1240_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t1240_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1240_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1240_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort2907);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1241_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t1241_temp_string_len, _flick_abort2907);
                                      flick_iiop_encode_new_chunk(1 * _t1241_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t1241_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1241_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1241_temp_string_len);
                                      break;
                                      {
                                      _flick_abort2907:
                                        goto _flick_abort2896;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2914);
                                      break;
                                      {
                                      _flick_abort2914:
                                        goto _flick_abort2896;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2915);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort2915:
                                        goto _flick_abort2896;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2896:
                                CORBA_flick_free(*_local_b);
                              _flick_abort2891:
                                goto _flick_abort2890;
                              }
                            }
                            break;
                            {
                            _flick_abort2890:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t1242_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1242_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1242_switch_tag)
            {
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned int _t1243_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1243_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1243_switch_tag)
                  {
                  case /* gLon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1733062510):
                    {
                      unsigned short int _t1244_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t1244_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t1244_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              intf _obj;
                              unsigned int _t1245_principal_len;
                              CORBA_unsigned_long_long _return;
                              CORBA_unsigned_long_long _local_a;
                              CORBA_unsigned_long_long *_local_b;
                              CORBA_unsigned_long_long _t1246_storage;
                              CORBA_unsigned_long_long *_local_c;
                              CORBA_unsigned_long_long _t1247_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1248_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2917);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t1245_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1245_principal_len, _flick_abort2917);
                              flick_iiop_decode_new_glob(_t1245_principal_len);
                              flick_iiop_decode_new_chunk(_t1245_principal_len);
                              flick_iiop_decode_end_chunk(_t1245_principal_len);
                              flick_iiop_decode_end_glob(_t1245_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort2917);
                              flick_cdr_swap_decode_unsigned64(0, _local_a, CORBA_unsigned_long_long );
                              _local_b = (CORBA_unsigned_long_long *)(&_t1246_storage);
                              flick_cdr_swap_decode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
                              _local_c = (CORBA_unsigned_long_long *)(&_t1247_storage);
                              _ev = (CORBA_Environment *)(&_t1248_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_ULongLong(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2917);
                                flick_iiop_encode_new_glob(32, _flick_abort2917);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_unsigned64(0, _return, CORBA_unsigned_long_long );
                                      flick_cdr_encode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
                                      flick_cdr_encode_unsigned64(16, *_local_c, CORBA_unsigned_long_long );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2923);
                                      break;
                                      {
                                      _flick_abort2923:
                                        goto _flick_abort2917;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2924);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort2924:
                                        goto _flick_abort2917;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2917:
                                goto _flick_abort2916;
                              }
                            }
                            break;
                            {
                            _flick_abort2916:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Obje */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331849829):
              {
                unsigned int _t1249_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1249_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1249_switch_tag)
                  {
                  case /* ctRe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668567653):
                    {
                      unsigned short int _t1250_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t1250_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t1250_switch_tag)
                        {
                        case /* f */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26112):
                          {
                            {
                              intf _obj;
                              unsigned int _t1251_principal_len;
                              intf _return;
                              intf _local_a;
                              intf *_local_b;
                              intf _t1252_storage;
                              intf *_local_c;
                              intf _t1253_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1254_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2926);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t1251_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1251_principal_len, _flick_abort2926);
                              flick_iiop_decode_new_glob(_t1251_principal_len);
                              flick_iiop_decode_new_chunk(_t1251_principal_len);
                              flick_iiop_decode_end_chunk(_t1251_principal_len);
                              flick_iiop_decode_end_glob(_t1251_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_IOR(iiop, _local_a, 1);
                              flick_iiop_mark_port_for_cleanup(_local_a, 1);
                              _local_b = (intf *)(&_t1252_storage);
                              flick_cdr_swap_decode_IOR(iiop, *_local_b, 1);
                              flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                              _local_c = (intf *)(&_t1253_storage);
                              _ev = (CORBA_Environment *)(&_t1254_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_ObjectRef(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2926);
                                flick_iiop_encode_new_glob(4, _flick_abort2926);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort2931);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort2931);
                                      CORBA_object_flick_free(*_local_b);
                                      *_local_b = (void *)0;
                                      flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort2931);
                                      CORBA_object_flick_free(*_local_c);
                                      *_local_c = (void *)0;
                                      break;
                                      {
                                      _flick_abort2931:
                                        goto _flick_abort2926;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2932);
                                      break;
                                      {
                                      _flick_abort2932:
                                        goto _flick_abort2926;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2933);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort2933:
                                        goto _flick_abort2926;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2926:
                                goto _flick_abort2925;
                              }
                            }
                            break;
                            {
                            _flick_abort2925:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t1255_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1255_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1255_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t1256_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t1256_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t1256_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              intf _obj;
                              unsigned int _t1257_principal_len;
                              struct VStruct *_return;
                              struct VStruct *_local_a;
                              struct VStruct _t1258_storage;
                              flick_unsigned32_t _t1259_temp_string_len;
                              struct VStruct *_local_b;
                              struct VStruct _t1260_storage;
                              flick_unsigned32_t _t1261_temp_string_len;
                              struct VStruct **_local_c;
                              struct VStruct *_t1262_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1263_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2935);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t1257_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1257_principal_len, _flick_abort2935);
                              flick_iiop_decode_new_glob(_t1257_principal_len);
                              flick_iiop_decode_new_chunk(_t1257_principal_len);
                              flick_iiop_decode_end_chunk(_t1257_principal_len);
                              flick_iiop_decode_end_glob(_t1257_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VStruct *)(&_t1258_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2935);
                              flick_cdr_swap_decode_unsigned32(0, _t1259_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t1259_temp_string_len);
                              flick_iiop_check_span(1 * _t1259_temp_string_len, _flick_abort2935);
                              flick_iiop_decode_new_chunk(1 * _t1259_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t1259_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t1259_temp_string_len);
                              _local_b = (struct VStruct *)(&_t1260_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2935);
                              flick_cdr_swap_decode_unsigned32(0, _t1261_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t1261_temp_string_len);
                              flick_iiop_check_span(1 * _t1261_temp_string_len, _flick_abort2935);
                              flick_iiop_decode_new_chunk(1 * _t1261_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1261_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2935);
                                _local_b->a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->a, 1 * _t1261_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t1261_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t1261_temp_string_len);
                              _local_c = (struct VStruct **)(&_t1262_storage);
                              _ev = (CORBA_Environment *)(&_t1263_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2940);
                                flick_iiop_encode_new_glob(8, _flick_abort2940);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t1267_temp_string_len;
                                      flick_unsigned32_t _t1268_temp_string_len;
                                      flick_unsigned32_t _t1269_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t1267_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t1268_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t1269_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t1267_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t1267_temp_string_len, _flick_abort2951);
                                      flick_iiop_encode_new_chunk(1 * _t1267_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t1267_temp_string_len);
                                      CORBA_flick_free(_return->a);
                                      _return->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1267_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1267_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (struct VStruct *)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort2951);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1268_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t1268_temp_string_len, _flick_abort2951);
                                      flick_iiop_encode_new_chunk(1 * _t1268_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->a, 1 * _t1268_temp_string_len);
                                      CORBA_flick_free(_local_b->a);
                                      _local_b->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1268_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1268_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort2951);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1269_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t1269_temp_string_len, _flick_abort2951);
                                      flick_iiop_encode_new_chunk(1 * _t1269_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->a, 1 * _t1269_temp_string_len);
                                      CORBA_flick_free((*_local_c)->a);
                                      (*_local_c)->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t1269_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t1269_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct VStruct *)0;
                                      break;
                                      {
                                      _flick_abort2951:
                                        goto _flick_abort2940;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2958);
                                      break;
                                      {
                                      _flick_abort2958:
                                        goto _flick_abort2940;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2959);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort2959:
                                        goto _flick_abort2940;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2940:
                                CORBA_flick_free(_local_b->a);
                              _flick_abort2935:
                                goto _flick_abort2934;
                              }
                            }
                            break;
                            {
                            _flick_abort2934:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t1270_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1270_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1270_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t1271_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1271_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1271_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        intf _obj;
                        unsigned int _t1272_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t1273_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t1274_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1275_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2961);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t1272_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t1272_principal_len + 2, _flick_abort2961);
                        flick_iiop_decode_new_glob(_t1272_principal_len);
                        flick_iiop_decode_new_chunk(_t1272_principal_len);
                        flick_iiop_decode_end_chunk(_t1272_principal_len);
                        flick_iiop_decode_end_glob(_t1272_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t1273_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t1274_storage);
                        _ev = (CORBA_Environment *)(&_t1275_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2961);
                          flick_iiop_encode_new_glob(7, _flick_abort2961);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2967);
                                break;
                                {
                                _flick_abort2967:
                                  goto _flick_abort2961;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2968);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort2968:
                                  goto _flick_abort2961;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort2961:
                          goto _flick_abort2960;
                        }
                      }
                      break;
                      {
                      _flick_abort2960:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t1276_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1276_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1276_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t1277_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1277_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1277_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t1278_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1278_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1278_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              intf _obj;
                              unsigned int _t1279_principal_len;
                              struct FStruct _return;
                              struct FStruct *_local_a;
                              struct FStruct _t1280_storage;
                              struct FStruct *_local_b;
                              struct FStruct _t1281_storage;
                              struct FStruct *_local_c;
                              struct FStruct _t1282_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1283_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2970);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t1279_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1279_principal_len, _flick_abort2970);
                              flick_iiop_decode_new_glob(_t1279_principal_len);
                              flick_iiop_decode_new_chunk(_t1279_principal_len);
                              flick_iiop_decode_end_chunk(_t1279_principal_len);
                              flick_iiop_decode_end_glob(_t1279_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = (struct FStruct *)(&_t1280_storage);
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2970);
                              flick_cdr_swap_decode_signed16(0, _local_a->a, CORBA_short );
                              _local_b = (struct FStruct *)(&_t1281_storage);
                              flick_cdr_swap_decode_signed16(2, _local_b->a, CORBA_short );
                              _local_c = (struct FStruct *)(&_t1282_storage);
                              _ev = (CORBA_Environment *)(&_t1283_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2970);
                                flick_iiop_encode_new_glob(10, _flick_abort2970);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                                      flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2976);
                                      break;
                                      {
                                      _flick_abort2976:
                                        goto _flick_abort2970;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2977);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort2977:
                                        goto _flick_abort2970;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2970:
                                goto _flick_abort2969;
                              }
                            }
                            break;
                            {
                            _flick_abort2969:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t1284_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1284_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1284_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t1285_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1285_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1285_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              intf _obj;
                              unsigned int _t1286_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t1287_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t1288_storage;
                              flick_unsigned32_t _t1289_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t1290_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1291_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2979);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t1286_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1286_principal_len, _flick_abort2979);
                              flick_iiop_decode_new_glob(_t1286_principal_len);
                              flick_iiop_decode_new_chunk(_t1286_principal_len);
                              flick_iiop_decode_end_chunk(_t1286_principal_len);
                              flick_iiop_decode_end_glob(_t1286_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(56);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2979);
                              flick_cdr_swap_decode_unsigned32(0, _t1287_temp_string_len, flick_unsigned32_t );
                              if (_t1287_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2979);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t1287_temp_string_len, _flick_abort2979);
                              flick_iiop_decode_new_chunk(1 * _t1287_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t1287_temp_string_len);
                              _local_b = (CORBA_char **)(&_t1288_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort2979);
                              flick_cdr_swap_decode_unsigned32(0, _t1289_temp_string_len, flick_unsigned32_t );
                              if (_t1289_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2979);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t1289_temp_string_len, _flick_abort2979);
                              flick_iiop_decode_new_chunk(1 * _t1289_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2979);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t1289_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t1289_temp_string_len);
                              _local_c = (CORBA_char **)(&_t1290_storage);
                              _ev = (CORBA_Environment *)(&_t1291_storage);
                              flick_iiop_decode_end_glob(56);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2984);
                                flick_iiop_encode_new_glob(85, _flick_abort2984);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t1295_temp_string_len;
                                      flick_unsigned32_t _t1296_temp_string_len;
                                      flick_unsigned32_t _t1297_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1295_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t1296_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t1297_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t1295_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t1295_temp_string_len, flick_unsigned32_t );
                                      if (_t1295_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2995);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t1295_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t1295_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t1296_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1296_temp_string_len, flick_unsigned32_t );
                                      if (_t1296_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2995);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t1296_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t1296_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t1297_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t1297_temp_string_len, flick_unsigned32_t );
                                      if (_t1297_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2995);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t1297_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t1297_temp_string_len);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort2995:
                                        goto _flick_abort2984;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(85);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3002);
                                      break;
                                      {
                                      _flick_abort3002:
                                        goto _flick_abort2984;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3003);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort3003:
                                        goto _flick_abort2984;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort2984:
                                CORBA_flick_free(*_local_b);
                              _flick_abort2979:
                                goto _flick_abort2978;
                              }
                            }
                            break;
                            {
                            _flick_abort2978:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t1298_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1298_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1298_switch_tag)
                  {
                  case /* eque */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701934437):
                    {
                      unsigned int _t1299_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1299_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1299_switch_tag)
                        {
                        case /* nce */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852007680):
                          {
                            {
                              intf _obj;
                              unsigned int _t1300_principal_len;
                              UVSequence *_return;
                              UVSequence *_local_a;
                              UVSequence _t1301_storage;
                              CORBA_unsigned_long _t1305_array_iter;
                              UVSequence *_local_b;
                              UVSequence _t1308_storage;
                              CORBA_unsigned_long _t1312_array_iter;
                              UVSequence **_local_c;
                              UVSequence *_t1315_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t1316_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3005);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t1300_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t1300_principal_len, _flick_abort3005);
                              flick_iiop_decode_new_glob(_t1300_principal_len);
                              flick_iiop_decode_new_chunk(_t1300_principal_len);
                              flick_iiop_decode_end_chunk(_t1300_principal_len);
                              flick_iiop_decode_end_glob(_t1300_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (UVSequence *)(&_t1301_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort3005);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3005);
                                _local_a->_buffer = _t_alloc_ptr;
                                _local_a->_maximum = _local_a->_length;
                                _local_a->_release = 1;
                              }
                              for (_t1305_array_iter = 0; _t1305_array_iter < _local_a->_length; _t1305_array_iter++)
                                {
                                  flick_unsigned32_t _t1307_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort3016);
                                  flick_cdr_swap_decode_unsigned32(0, _t1307_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t1307_temp_string_len);
                                  flick_iiop_check_span(1 * _t1307_temp_string_len, _flick_abort3016);
                                  flick_iiop_decode_new_chunk(1 * _t1307_temp_string_len);
                                  flick_cdr_swap_decode_msgptr(0, _local_a->_buffer[_t1305_array_iter], CORBA_char *);
                                  flick_iiop_decode_end_chunk(1 * _t1307_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t1307_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort3016:
                                    goto _flick_abort3015;
                                  }
                                }
                              _local_b = (UVSequence *)(&_t1308_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort3015);
                              flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3015);
                                _local_b->_buffer = _t_alloc_ptr;
                                _local_b->_maximum = _local_b->_length;
                                _local_b->_release = 1;
                              }
                              for (_t1312_array_iter = 0; _t1312_array_iter < _local_b->_length; _t1312_array_iter++)
                                {
                                  flick_unsigned32_t _t1314_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort3035);
                                  flick_cdr_swap_decode_unsigned32(0, _t1314_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t1314_temp_string_len);
                                  flick_iiop_check_span(1 * _t1314_temp_string_len, _flick_abort3035);
                                  flick_iiop_decode_new_chunk(1 * _t1314_temp_string_len);
                                  {
                                    CORBA_char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1314_temp_string_len * sizeof(CORBA_char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3035);
                                    _local_b->_buffer[_t1312_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_swap_decode_bcopy(0, _local_b->_buffer[_t1312_array_iter], 1 * _t1314_temp_string_len);
                                  flick_iiop_decode_end_chunk(1 * _t1314_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t1314_temp_string_len);
                                  continue;
                                _flick_abort_block3936:
                                  {
                                    _t1312_array_iter = _local_b->_length;
                                  _flick_abort3045:
                                    _t1312_array_iter--;
                                    CORBA_flick_free(_local_b->_buffer[_t1312_array_iter]);
                                  _flick_abort3035:
                                    if ((unsigned int )_t1312_array_iter > 0)
                                      goto _flick_abort3045;
                                    goto _flick_abort3034;
                                  }
                                }
                              _local_c = (UVSequence **)(&_t1315_storage);
                              _ev = (CORBA_Environment *)(&_t1316_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarSequence(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3047);
                                flick_iiop_encode_new_glob(8, _flick_abort3047);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t1338_array_iter;
                                      CORBA_unsigned_long _t1344_array_iter;
                                      CORBA_unsigned_long _t1350_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      for (_t1338_array_iter = 0; _t1338_array_iter < _return->_length; _t1338_array_iter++)
                                        {
                                          flick_unsigned32_t _t1340_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t1338_array_iter], flick_unsigned32_t , _t1340_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort3107);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1340_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1340_temp_string_len, _flick_abort3107);
                                          flick_iiop_encode_new_chunk(1 * _t1340_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t1338_array_iter], 1 * _t1340_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t1338_array_iter]);
                                          _return->_buffer[_t1338_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1340_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1340_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort3107:
                                            goto _flick_abort3097;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = (CORBA_char **)0;
                                      CORBA_flick_free(_return);
                                      _return = (UVSequence *)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort3097);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t1344_array_iter = 0; _t1344_array_iter < _local_b->_length; _t1344_array_iter++)
                                        {
                                          flick_unsigned32_t _t1346_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _local_b->_buffer[_t1344_array_iter], flick_unsigned32_t , _t1346_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort3122);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1346_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1346_temp_string_len, _flick_abort3122);
                                          flick_iiop_encode_new_chunk(1 * _t1346_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _local_b->_buffer[_t1344_array_iter], 1 * _t1346_temp_string_len);
                                          CORBA_flick_free(_local_b->_buffer[_t1344_array_iter]);
                                          _local_b->_buffer[_t1344_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1346_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1346_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort3122:
                                            goto _flick_abort3097;
                                          }
                                        }
                                      if (_local_b->_release)
                                        CORBA_flick_free(_local_b->_buffer);
                                      _local_b->_maximum = 0;
                                      _local_b->_release = 0;
                                      _local_b->_buffer = (CORBA_char **)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort3097);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t1350_array_iter = 0; _t1350_array_iter < (*_local_c)->_length; _t1350_array_iter++)
                                        {
                                          flick_unsigned32_t _t1352_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->_buffer[_t1350_array_iter], flick_unsigned32_t , _t1352_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort3137);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t1352_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t1352_temp_string_len, _flick_abort3137);
                                          flick_iiop_encode_new_chunk(1 * _t1352_temp_string_len);
                                          flick_cdr_encode_bcopy(0, (*_local_c)->_buffer[_t1350_array_iter], 1 * _t1352_temp_string_len);
                                          CORBA_flick_free((*_local_c)->_buffer[_t1350_array_iter]);
                                          (*_local_c)->_buffer[_t1350_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t1352_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t1352_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort3137:
                                            goto _flick_abort3097;
                                          }
                                        }
                                      if ((*_local_c)->_release)
                                        CORBA_flick_free((*_local_c)->_buffer);
                                      (*_local_c)->_maximum = 0;
                                      (*_local_c)->_release = 0;
                                      (*_local_c)->_buffer = (CORBA_char **)0;
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (UVSequence *)0;
                                      break;
                                      {
                                      _flick_abort3097:
                                        goto _flick_abort3047;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3143);
                                      break;
                                      {
                                      _flick_abort3143:
                                        goto _flick_abort3047;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3144);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort3144:
                                        goto _flick_abort3047;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort3047:
                                goto _flick_abort_block3936;
                              _flick_abort3034:
                                CORBA_flick_free(_local_b->_buffer);
                              _flick_abort3015:
                                auto_flick_free(_local_a->_buffer);
                              _flick_abort3005:
                                goto _flick_abort3004;
                              }
                            }
                            break;
                            {
                            _flick_abort3004:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t1353_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1353_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1353_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t1354_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1354_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1354_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t1355_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t1355_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t1355_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t1356_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1356_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t1356_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t1357_principal_len;
                                    struct FUnion _return;
                                    struct FUnion *_local_a;
                                    struct FUnion _t1358_storage;
                                    struct FUnion *_local_b;
                                    struct FUnion _t1359_storage;
                                    struct FUnion *_local_c;
                                    struct FUnion _t1360_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1361_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3146);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t1357_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t1357_principal_len, _flick_abort3146);
                                    flick_iiop_decode_new_glob(_t1357_principal_len);
                                    flick_iiop_decode_new_chunk(_t1357_principal_len);
                                    flick_iiop_decode_end_chunk(_t1357_principal_len);
                                    flick_iiop_decode_end_glob(_t1357_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = (struct FUnion *)(&_t1358_storage);
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(5, _flick_abort3146);
                                    flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort3150);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort3150:
                                            goto _flick_abort3146;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = (struct FUnion *)(&_t1359_storage);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(5, _flick_abort3146);
                                    flick_cdr_swap_decode_signed32(0, _local_b->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort3155);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort3155:
                                            goto _flick_abort3146;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = (struct FUnion *)(&_t1360_storage);
                                    _ev = (CORBA_Environment *)(&_t1361_storage);
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3146);
                                      flick_iiop_encode_new_glob(34, _flick_abort3146);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_b->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_c->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(34);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3192);
                                            break;
                                            {
                                            _flick_abort3192:
                                              goto _flick_abort3146;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3193);
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort3193:
                                              goto _flick_abort3146;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort3146:
                                      goto _flick_abort3145;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort3145:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  case /* dArr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1682010738):
                    {
                      unsigned short int _t1362_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t1362_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t1362_switch_tag)
                        {
                        case /* ay */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24953):
                          {
                            char _t1363_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t1363_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t1363_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t1364_principal_len;
                                    FArray_slice *_return;
                                    CORBA_long *_local_a;
                                    CORBA_long _t1365_storage[10];
                                    flick_unsigned32_t _t1366_array_iter;
                                    CORBA_long *_local_b;
                                    CORBA_long _t1367_storage[10];
                                    flick_unsigned32_t _t1368_array_iter;
                                    CORBA_long *_local_c;
                                    CORBA_long _t1369_storage[10];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1370_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3195);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t1364_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t1364_principal_len, _flick_abort3195);
                                    flick_iiop_decode_new_glob(_t1364_principal_len);
                                    flick_iiop_decode_new_chunk(_t1364_principal_len);
                                    flick_iiop_decode_end_chunk(_t1364_principal_len);
                                    flick_iiop_decode_end_glob(_t1364_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiop_decode_new_glob(110);
                                    _local_a = (CORBA_long *)_t1365_storage;
                                    for (_t1366_array_iter = 0; _t1366_array_iter < 10; _t1366_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_iiop_check_span(4, _flick_abort3199);
                                        flick_cdr_swap_decode_signed32(0, _local_a[_t1366_array_iter], CORBA_long );
                                        flick_iiop_decode_end_chunk(4);
                                        continue;
                                        {
                                        _flick_abort3199:
                                          goto _flick_abort3195;
                                        }
                                      }
                                    _local_b = (CORBA_long *)_t1367_storage;
                                    flick_iiop_check_span(10 * 4, _flick_abort3195);
                                    for (_t1368_array_iter = 0; _t1368_array_iter < 10; _t1368_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_b[_t1368_array_iter], CORBA_long );
                                        flick_iiop_decode_end_chunk(4);
                                        continue;
                                      }
                                    _local_c = (CORBA_long *)_t1369_storage;
                                    _ev = (CORBA_Environment *)(&_t1370_storage);
                                    flick_iiop_decode_end_glob(110);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedArray(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3195);
                                      flick_iiop_encode_new_glob(124, _flick_abort3195);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(120);
                                            flick_cdr_encode_bcopy(0, _return, 40);
                                            CORBA_flick_free(_return);
                                            _return = (CORBA_long *)0;
                                            flick_cdr_encode_bcopy(40, _local_b, 40);
                                            flick_cdr_encode_bcopy(80, _local_c, 40);
                                            flick_iiop_encode_end_chunk(120);
                                            flick_iiop_encode_end_glob(124);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(124);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3224);
                                            break;
                                            {
                                            _flick_abort3224:
                                              goto _flick_abort3195;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3225);
                                            flick_iiop_encode_end_glob(124);
                                            break;
                                            {
                                            _flick_abort3225:
                                              goto _flick_abort3195;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort3195:
                                      goto _flick_abort3194;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort3194:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1371_switch_tag;

          flick_iiop_check_span(28, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1371_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1371_switch_tag)
            {
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t1372_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1372_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1372_switch_tag)
                  {
                  case /* dedF */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366406):
                    {
                      unsigned int _t1373_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1373_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1373_switch_tag)
                        {
                        case /* ixed */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769497956):
                          {
                            unsigned int _t1374_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1374_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1374_switch_tag)
                              {
                              case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
                                {
                                  unsigned int _t1375_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1375_switch_tag, unsigned int );
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t1375_switch_tag)
                                    {
                                    case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                                      {
                                        char _t1376_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1376_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1376_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                intf _obj;
                                                unsigned int _t1377_principal_len;
                                                BFSequence *_return;
                                                BFSequence *_local_a;
                                                BFSequence _t1378_storage;
                                                CORBA_long _t1379_storage[10];
                                                CORBA_unsigned_long _t1380_array_iter;
                                                BFSequence *_local_b;
                                                BFSequence _t1381_storage;
                                                CORBA_unsigned_long _t1382_array_iter;
                                                BFSequence **_local_c;
                                                BFSequence *_t1383_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1384_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3227);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1377_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(32);
                                                flick_iiop_check_span(_t1377_principal_len, _flick_abort3227);
                                                flick_iiop_decode_new_glob(_t1377_principal_len);
                                                flick_iiop_decode_new_chunk(_t1377_principal_len);
                                                flick_iiop_decode_end_chunk(_t1377_principal_len);
                                                flick_iiop_decode_end_glob(_t1377_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _local_a = (BFSequence *)(&_t1378_storage);
                                                flick_iiop_decode_new_glob(91);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort3227);
                                                flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                if (_local_a->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3227);
                                                _local_a->_buffer = (CORBA_long *)_t1379_storage;
                                                _local_a->_maximum = 10;
                                                _local_a->_release = 0;
                                                flick_iiop_check_span(_local_a->_length * 4 + 4, _flick_abort3227);
                                                for (_t1380_array_iter = 0; _t1380_array_iter < _local_a->_length; _t1380_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t1380_array_iter], CORBA_long );
                                                    flick_iiop_decode_end_chunk(4);
                                                    continue;
                                                  }
                                                _local_b = (BFSequence *)(&_t1381_storage);
                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                if (_local_b->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3227);
                                                {
                                                  CORBA_long *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3227);
                                                  _local_b->_buffer = _t_alloc_ptr;
                                                  _local_b->_maximum = 10;
                                                  _local_b->_release = 1;
                                                }
                                                flick_iiop_check_span(_local_b->_length * 4, _flick_abort3236);
                                                for (_t1382_array_iter = 0; _t1382_array_iter < _local_b->_length; _t1382_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(4);
                                                    flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t1382_array_iter], CORBA_long );
                                                    flick_iiop_decode_end_chunk(4);
                                                    continue;
                                                  }
                                                _local_c = (BFSequence **)(&_t1383_storage);
                                                _ev = (CORBA_Environment *)(&_t1384_storage);
                                                flick_iiop_decode_end_glob(91);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = intf_BoundedFixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3236);
                                                  flick_iiop_encode_new_glob(136, _flick_abort3236);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                                        if (_return->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3249);
                                                        flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                                        if (_return->_release)
                                                          CORBA_flick_free(_return->_buffer);
                                                        _return->_maximum = 0;
                                                        _return->_release = 0;
                                                        _return->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                                        CORBA_flick_free(_return);
                                                        _return = (BFSequence *)0;
                                                        flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                                        flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                        if (_local_b->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3249);
                                                        flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                                        if (_local_b->_release)
                                                          CORBA_flick_free(_local_b->_buffer);
                                                        _local_b->_maximum = 0;
                                                        _local_b->_release = 0;
                                                        _local_b->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                                        flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                                        if ((*_local_c)->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3249);
                                                        flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                                        if ((*_local_c)->_release)
                                                          CORBA_flick_free((*_local_c)->_buffer);
                                                        (*_local_c)->_maximum = 0;
                                                        (*_local_c)->_release = 0;
                                                        (*_local_c)->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                                        CORBA_flick_free(*_local_c);
                                                        *_local_c = (BFSequence *)0;
                                                        flick_iiop_encode_end_glob(136);
                                                        break;
                                                        {
                                                        _flick_abort3249:
                                                          goto _flick_abort3236;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(136);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3256);
                                                        break;
                                                        {
                                                        _flick_abort3256:
                                                          goto _flick_abort3236;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3257);
                                                        flick_iiop_encode_end_glob(136);
                                                        break;
                                                        {
                                                        _flick_abort3257:
                                                          goto _flick_abort3236;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort3236:
                                                  CORBA_flick_free(_local_b->_buffer);
                                                _flick_abort3227:
                                                  goto _flick_abort3226;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort3226:
                                                goto _flick_abort2;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t1385_switch_tag;

          flick_iiop_check_span(24, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1385_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1385_switch_tag)
            {
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t1386_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1386_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1386_switch_tag)
                  {
                  case /* dedV */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366422):
                    {
                      unsigned int _t1387_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1387_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1387_switch_tag)
                        {
                        case /* arSe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634882405):
                          {
                            unsigned int _t1388_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1388_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t1388_switch_tag)
                              {
                              case /* quen */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1903519086):
                                {
                                  unsigned short int _t1389_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t1389_switch_tag, unsigned short int );
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t1389_switch_tag)
                                    {
                                    case /* ce */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25445):
                                      {
                                        char _t1390_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1390_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t1390_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                intf _obj;
                                                unsigned int _t1391_principal_len;
                                                BVSequence *_return;
                                                BVSequence *_local_a;
                                                BVSequence _t1392_storage;
                                                CORBA_char *_t1396_storage[10];
                                                CORBA_unsigned_long _t1397_array_iter;
                                                BVSequence *_local_b;
                                                BVSequence _t1400_storage;
                                                CORBA_unsigned_long _t1404_array_iter;
                                                BVSequence **_local_c;
                                                BVSequence *_t1407_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1408_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3259);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t1391_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(32);
                                                flick_iiop_check_span(_t1391_principal_len, _flick_abort3259);
                                                flick_iiop_decode_new_glob(_t1391_principal_len);
                                                flick_iiop_decode_new_chunk(_t1391_principal_len);
                                                flick_iiop_decode_end_chunk(_t1391_principal_len);
                                                flick_iiop_decode_end_glob(_t1391_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _local_a = (BVSequence *)(&_t1392_storage);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort3259);
                                                flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                if (_local_a->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3259);
                                                _local_a->_buffer = (CORBA_char **)_t1396_storage;
                                                _local_a->_maximum = 10;
                                                _local_a->_release = 0;
                                                for (_t1397_array_iter = 0; _t1397_array_iter < _local_a->_length; _t1397_array_iter++)
                                                  {
                                                    flick_unsigned32_t _t1399_temp_string_len;

                                                    flick_iiop_decode_new_glob(7);
                                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                    flick_iiop_check_span(4, _flick_abort3269);
                                                    flick_cdr_swap_decode_unsigned32(0, _t1399_temp_string_len, flick_unsigned32_t );
                                                    flick_iiop_decode_end_chunk(4);
                                                    flick_iiop_decode_end_glob(7);
                                                    flick_iiop_decode_new_glob(1 * _t1399_temp_string_len);
                                                    flick_iiop_check_span(1 * _t1399_temp_string_len, _flick_abort3269);
                                                    flick_iiop_decode_new_chunk(1 * _t1399_temp_string_len);
                                                    flick_cdr_swap_decode_msgptr(0, _local_a->_buffer[_t1397_array_iter], CORBA_char *);
                                                    flick_iiop_decode_end_chunk(1 * _t1399_temp_string_len);
                                                    flick_iiop_decode_end_glob(1 * _t1399_temp_string_len);
                                                    continue;
                                                    {
                                                    _flick_abort3269:
                                                      goto _flick_abort3259;
                                                    }
                                                  }
                                                _local_b = (BVSequence *)(&_t1400_storage);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort3259);
                                                flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                if (_local_b->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3259);
                                                {
                                                  CORBA_char **_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(10 * sizeof(CORBA_char *)));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3259);
                                                  _local_b->_buffer = _t_alloc_ptr;
                                                  _local_b->_maximum = 10;
                                                  _local_b->_release = 1;
                                                }
                                                for (_t1404_array_iter = 0; _t1404_array_iter < _local_b->_length; _t1404_array_iter++)
                                                  {
                                                    flick_unsigned32_t _t1406_temp_string_len;

                                                    flick_iiop_decode_new_glob(7);
                                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                    flick_iiop_check_span(4, _flick_abort3288);
                                                    flick_cdr_swap_decode_unsigned32(0, _t1406_temp_string_len, flick_unsigned32_t );
                                                    flick_iiop_decode_end_chunk(4);
                                                    flick_iiop_decode_end_glob(7);
                                                    flick_iiop_decode_new_glob(1 * _t1406_temp_string_len);
                                                    flick_iiop_check_span(1 * _t1406_temp_string_len, _flick_abort3288);
                                                    flick_iiop_decode_new_chunk(1 * _t1406_temp_string_len);
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t1406_temp_string_len * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3288);
                                                      _local_b->_buffer[_t1404_array_iter] = _t_alloc_ptr;
                                                    }
                                                    flick_cdr_swap_decode_bcopy(0, _local_b->_buffer[_t1404_array_iter], 1 * _t1406_temp_string_len);
                                                    flick_iiop_decode_end_chunk(1 * _t1406_temp_string_len);
                                                    flick_iiop_decode_end_glob(1 * _t1406_temp_string_len);
                                                    continue;
                                                  _flick_abort_block4266:
                                                    {
                                                      _t1404_array_iter = _local_b->_length;
                                                    _flick_abort3298:
                                                      _t1404_array_iter--;
                                                      CORBA_flick_free(_local_b->_buffer[_t1404_array_iter]);
                                                    _flick_abort3288:
                                                      if ((unsigned int )_t1404_array_iter > 0)
                                                        goto _flick_abort3298;
                                                      goto _flick_abort3287;
                                                    }
                                                  }
                                                _local_c = (BVSequence **)(&_t1407_storage);
                                                _ev = (CORBA_Environment *)(&_t1408_storage);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = intf_BoundedVarSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3300);
                                                  flick_iiop_encode_new_glob(8, _flick_abort3300);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        CORBA_unsigned_long _t1430_array_iter;
                                                        CORBA_unsigned_long _t1436_array_iter;
                                                        CORBA_unsigned_long _t1442_array_iter;

                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(8);
                                                        if (_return->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3350);
                                                        for (_t1430_array_iter = 0; _t1430_array_iter < _return->_length; _t1430_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t1432_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t1430_array_iter], flick_unsigned32_t , _t1432_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort3360);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t1432_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t1432_temp_string_len, _flick_abort3360);
                                                            flick_iiop_encode_new_chunk(1 * _t1432_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t1430_array_iter], 1 * _t1432_temp_string_len);
                                                            CORBA_flick_free(_return->_buffer[_t1430_array_iter]);
                                                            _return->_buffer[_t1430_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t1432_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t1432_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort3360:
                                                              goto _flick_abort3350;
                                                            }
                                                          }
                                                        if (_return->_release)
                                                          CORBA_flick_free(_return->_buffer);
                                                        _return->_maximum = 0;
                                                        _return->_release = 0;
                                                        _return->_buffer = (CORBA_char **)0;
                                                        CORBA_flick_free(_return);
                                                        _return = (BVSequence *)0;
                                                        flick_iiop_encode_new_glob(7, _flick_abort3350);
                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                        flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(7);
                                                        if (_local_b->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3350);
                                                        for (_t1436_array_iter = 0; _t1436_array_iter < _local_b->_length; _t1436_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t1438_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, _local_b->_buffer[_t1436_array_iter], flick_unsigned32_t , _t1438_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort3375);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t1438_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t1438_temp_string_len, _flick_abort3375);
                                                            flick_iiop_encode_new_chunk(1 * _t1438_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, _local_b->_buffer[_t1436_array_iter], 1 * _t1438_temp_string_len);
                                                            CORBA_flick_free(_local_b->_buffer[_t1436_array_iter]);
                                                            _local_b->_buffer[_t1436_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t1438_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t1438_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort3375:
                                                              goto _flick_abort3350;
                                                            }
                                                          }
                                                        if (_local_b->_release)
                                                          CORBA_flick_free(_local_b->_buffer);
                                                        _local_b->_maximum = 0;
                                                        _local_b->_release = 0;
                                                        _local_b->_buffer = (CORBA_char **)0;
                                                        flick_iiop_encode_new_glob(7, _flick_abort3350);
                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(7);
                                                        if ((*_local_c)->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3350);
                                                        for (_t1442_array_iter = 0; _t1442_array_iter < (*_local_c)->_length; _t1442_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t1444_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_buffer[_t1442_array_iter], flick_unsigned32_t , _t1444_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort3390);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t1444_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t1444_temp_string_len, _flick_abort3390);
                                                            flick_iiop_encode_new_chunk(1 * _t1444_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, (*_local_c)->_buffer[_t1442_array_iter], 1 * _t1444_temp_string_len);
                                                            CORBA_flick_free((*_local_c)->_buffer[_t1442_array_iter]);
                                                            (*_local_c)->_buffer[_t1442_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t1444_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t1444_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort3390:
                                                              goto _flick_abort3350;
                                                            }
                                                          }
                                                        if ((*_local_c)->_release)
                                                          CORBA_flick_free((*_local_c)->_buffer);
                                                        (*_local_c)->_maximum = 0;
                                                        (*_local_c)->_release = 0;
                                                        (*_local_c)->_buffer = (CORBA_char **)0;
                                                        CORBA_flick_free(*_local_c);
                                                        *_local_c = (BVSequence *)0;
                                                        break;
                                                        {
                                                        _flick_abort3350:
                                                          goto _flick_abort3300;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3396);
                                                        break;
                                                        {
                                                        _flick_abort3396:
                                                          goto _flick_abort3300;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3397);
                                                        flick_iiop_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort3397:
                                                          goto _flick_abort3300;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort3300:
                                                  goto _flick_abort_block4266;
                                                _flick_abort3287:
                                                  CORBA_flick_free(_local_b->_buffer);
                                                _flick_abort3259:
                                                  goto _flick_abort3258;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort3258:
                                                goto _flick_abort2;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t1445_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1445_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t1445_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t1446_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1446_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t1446_switch_tag)
                  {
                  case /* dSeq */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683187057):
                    {
                      unsigned int _t1447_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1447_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t1447_switch_tag)
                        {
                        case /* uenc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969581667):
                          {
                            unsigned short int _t1448_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t1448_switch_tag, unsigned short int );
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t1448_switch_tag)
                              {
                              case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t1449_principal_len;
                                    UFSequence *_return;
                                    UFSequence *_local_a;
                                    UFSequence _t1450_storage;
                                    CORBA_unsigned_long _t1451_array_iter;
                                    UFSequence *_local_b;
                                    UFSequence _t1452_storage;
                                    CORBA_unsigned_long _t1453_array_iter;
                                    UFSequence **_local_c;
                                    UFSequence *_t1454_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1455_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3399);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_swap_decode_unsigned32(2, _t1449_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t1449_principal_len, _flick_abort3399);
                                    flick_iiop_decode_new_glob(_t1449_principal_len);
                                    flick_iiop_decode_new_chunk(_t1449_principal_len);
                                    flick_iiop_decode_end_chunk(_t1449_principal_len);
                                    flick_iiop_decode_end_glob(_t1449_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (UFSequence *)(&_t1450_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort3399);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(4 * _local_a->_length);
                                    {
                                      CORBA_long *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_long )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3399);
                                      _local_a->_buffer = _t_alloc_ptr;
                                      _local_a->_maximum = _local_a->_length;
                                      _local_a->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_a->_length * 4 + 4, _flick_abort3403);
                                    for (_t1451_array_iter = 0; _t1451_array_iter < _local_a->_length; _t1451_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t1451_array_iter], CORBA_long );
                                        flick_iiop_decode_end_chunk(4);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(4 * _local_a->_length);
                                    _local_b = (UFSequence *)(&_t1452_storage);
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_iiop_decode_new_glob(4 * _local_b->_length);
                                    {
                                      CORBA_long *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3403);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    flick_iiop_check_span(_local_b->_length * 4, _flick_abort3409);
                                    for (_t1453_array_iter = 0; _t1453_array_iter < _local_b->_length; _t1453_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t1453_array_iter], CORBA_long );
                                        flick_iiop_decode_end_chunk(4);
                                        continue;
                                      }
                                    flick_iiop_decode_end_glob(4 * _local_b->_length);
                                    _local_c = (UFSequence **)(&_t1454_storage);
                                    _ev = (CORBA_Environment *)(&_t1455_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3409);
                                      flick_iiop_encode_new_glob(8, _flick_abort3409);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(4 * _return->_length, _flick_abort3422);
                                            flick_iiop_encode_new_chunk(4 * _return->_length);
                                            flick_cdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * _return->_length);
                                            flick_iiop_encode_end_glob(4 * _return->_length);
                                            CORBA_flick_free(_return);
                                            _return = (UFSequence *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort3422);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            flick_iiop_encode_new_glob(4 * _local_b->_length, _flick_abort3422);
                                            flick_iiop_encode_new_chunk(4 * _local_b->_length);
                                            flick_cdr_encode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * _local_b->_length);
                                            flick_iiop_encode_end_glob(4 * _local_b->_length);
                                            flick_iiop_encode_new_glob(4, _flick_abort3422);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            flick_iiop_encode_new_glob(4 * (*_local_c)->_length, _flick_abort3422);
                                            flick_iiop_encode_new_chunk(4 * (*_local_c)->_length);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * (*_local_c)->_length);
                                            flick_iiop_encode_end_glob(4 * (*_local_c)->_length);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (UFSequence *)0;
                                            break;
                                            {
                                            _flick_abort3422:
                                              goto _flick_abort3409;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3429);
                                            break;
                                            {
                                            _flick_abort3429:
                                              goto _flick_abort3409;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3430);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort3430:
                                              goto _flick_abort3409;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort3409:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort3403:
                                      auto_flick_free(_local_a->_buffer);
                                    _flick_abort3399:
                                      goto _flick_abort3398;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort3398:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t360_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t360_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t360_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t361_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t361_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t361_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t362_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t362_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t362_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t363_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t364_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t365_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t366_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort852);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t363_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t363_principal_len, _flick_abort852);
                        flick_iiop_decode_new_glob(_t363_principal_len);
                        flick_iiop_decode_new_chunk(_t363_principal_len);
                        flick_iiop_decode_end_chunk(_t363_principal_len);
                        flick_iiop_decode_end_glob(_t363_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiop_check_span(4, _flick_abort852);
                        flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t364_storage);
                        flick_cdr_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t365_storage);
                        _ev = (CORBA_Environment *)(&_t366_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort852);
                          flick_iiop_encode_new_glob(10, _flick_abort852);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_iiop_encode_end_chunk(6);
                                flick_iiop_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort858);
                                break;
                                {
                                _flick_abort858:
                                  goto _flick_abort852;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort859);
                                flick_iiop_encode_end_glob(10);
                                break;
                                {
                                _flick_abort859:
                                  goto _flick_abort852;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort852:
                          goto _flick_abort851;
                        }
                      }
                      break;
                      {
                      _flick_abort851:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t367_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t367_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t367_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        intf _obj;
                        unsigned int _t368_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t369_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t370_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t371_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort861);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t368_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t368_principal_len, _flick_abort861);
                        flick_iiop_decode_new_glob(_t368_principal_len);
                        flick_iiop_decode_new_chunk(_t368_principal_len);
                        flick_iiop_decode_end_chunk(_t368_principal_len);
                        flick_iiop_decode_end_glob(_t368_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort861);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t369_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t370_storage);
                        _ev = (CORBA_Environment *)(&_t371_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort861);
                          flick_iiop_encode_new_glob(16, _flick_abort861);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort867);
                                break;
                                {
                                _flick_abort867:
                                  goto _flick_abort861;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort868);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort868:
                                  goto _flick_abort861;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort861:
                          goto _flick_abort860;
                        }
                      }
                      break;
                      {
                      _flick_abort860:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t372_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t372_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t372_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t373_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t374_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t375_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t376_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort870);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t373_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t373_principal_len, _flick_abort870);
                        flick_iiop_decode_new_glob(_t373_principal_len);
                        flick_iiop_decode_new_chunk(_t373_principal_len);
                        flick_iiop_decode_end_chunk(_t373_principal_len);
                        flick_iiop_decode_end_glob(_t373_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort870);
                        flick_cdr_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t374_storage);
                        flick_cdr_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t375_storage);
                        _ev = (CORBA_Environment *)(&_t376_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort870);
                          flick_iiop_encode_new_glob(16, _flick_abort870);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort876);
                                break;
                                {
                                _flick_abort876:
                                  goto _flick_abort870;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort877);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort877:
                                  goto _flick_abort870;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort870:
                          goto _flick_abort869;
                        }
                      }
                      break;
                      {
                      _flick_abort869:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t377_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t377_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t377_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        intf _obj;
                        unsigned int _t378_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t379_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t380_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t381_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort879);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t378_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t378_principal_len + 2, _flick_abort879);
                        flick_iiop_decode_new_glob(_t378_principal_len);
                        flick_iiop_decode_new_chunk(_t378_principal_len);
                        flick_iiop_decode_end_chunk(_t378_principal_len);
                        flick_iiop_decode_end_glob(_t378_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t379_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t380_storage);
                        _ev = (CORBA_Environment *)(&_t381_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort879);
                          flick_iiop_encode_new_glob(7, _flick_abort879);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort885);
                                break;
                                {
                                _flick_abort885:
                                  goto _flick_abort879;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort886);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort886:
                                  goto _flick_abort879;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort879:
                          goto _flick_abort878;
                        }
                      }
                      break;
                      {
                      _flick_abort878:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t382_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t382_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t382_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t383_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t384_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t385_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort888);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t383_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t383_principal_len, _flick_abort888);
                        flick_iiop_decode_new_glob(_t383_principal_len);
                        flick_iiop_decode_new_chunk(_t383_principal_len);
                        flick_iiop_decode_end_chunk(_t383_principal_len);
                        flick_iiop_decode_end_glob(_t383_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort888);
                        flick_cdr_decode_unsigned32(0, _t384_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t384_temp_string_len);
                        flick_iiop_check_span(1 * _t384_temp_string_len, _flick_abort888);
                        flick_iiop_decode_new_chunk(1 * _t384_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t384_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t384_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t385_storage);
                        _par = flick_interface_parents_intf;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort888);
                          flick_iiop_encode_new_glob(5, _flick_abort888);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort896);
                                break;
                                {
                                _flick_abort896:
                                  goto _flick_abort888;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort897);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort897:
                                  goto _flick_abort888;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort888:
                          goto _flick_abort887;
                        }
                      }
                      break;
                      {
                      _flick_abort887:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t386_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t386_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t386_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t387_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t387_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t387_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t388_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t389_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t390_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t391_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort899);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t388_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t388_principal_len, _flick_abort899);
                        flick_iiop_decode_new_glob(_t388_principal_len);
                        flick_iiop_decode_new_chunk(_t388_principal_len);
                        flick_iiop_decode_end_chunk(_t388_principal_len);
                        flick_iiop_decode_end_glob(_t388_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort899);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t389_storage);
                        flick_cdr_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t390_storage);
                        _ev = (CORBA_Environment *)(&_t391_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort899);
                          flick_iiop_encode_new_glob(16, _flick_abort899);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort905);
                                break;
                                {
                                _flick_abort905:
                                  goto _flick_abort899;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort906);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort906:
                                  goto _flick_abort899;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort899:
                          goto _flick_abort898;
                        }
                      }
                      break;
                      {
                      _flick_abort898:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t392_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t392_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t392_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t393_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t394_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t395_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t396_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort908);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t393_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t393_principal_len + 2, _flick_abort908);
                        flick_iiop_decode_new_glob(_t393_principal_len);
                        flick_iiop_decode_new_chunk(_t393_principal_len);
                        flick_iiop_decode_end_chunk(_t393_principal_len);
                        flick_iiop_decode_end_glob(_t393_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t394_storage);
                        flick_cdr_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t395_storage);
                        _ev = (CORBA_Environment *)(&_t396_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort908);
                          flick_iiop_encode_new_glob(7, _flick_abort908);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort914);
                                break;
                                {
                                _flick_abort914:
                                  goto _flick_abort908;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort915);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort915:
                                  goto _flick_abort908;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort908:
                          goto _flick_abort907;
                        }
                      }
                      break;
                      {
                      _flick_abort907:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t397_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t397_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t397_switch_tag)
                  {
                  case 0:
                    {
                      {
                        intf _obj;
                        unsigned int _t398_principal_len;
                        Enumeration _return;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration _t399_storage;
                        Enumeration *_local_c;
                        Enumeration _t400_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t401_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort917);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t398_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t398_principal_len, _flick_abort917);
                        flick_iiop_decode_new_glob(_t398_principal_len);
                        flick_iiop_decode_new_chunk(_t398_principal_len);
                        flick_iiop_decode_end_chunk(_t398_principal_len);
                        flick_iiop_decode_end_glob(_t398_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort917);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_enum );
                        _local_b = (Enumeration *)(&_t399_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_enum );
                        _local_c = (Enumeration *)(&_t400_storage);
                        _ev = (CORBA_Environment *)(&_t401_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort917);
                          flick_iiop_encode_new_glob(16, _flick_abort917);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_enum );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_enum );
                                flick_iiop_encode_end_chunk(12);
                                flick_iiop_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort923);
                                break;
                                {
                                _flick_abort923:
                                  goto _flick_abort917;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort924);
                                flick_iiop_encode_end_glob(16);
                                break;
                                {
                                _flick_abort924:
                                  goto _flick_abort917;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort917:
                          goto _flick_abort916;
                        }
                      }
                      break;
                      {
                      _flick_abort916:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t402_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t402_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t403_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t403_switch_tag)
                  {
                  case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                    {
                      char _t404_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t404_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t404_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t405_principal_len;
                              CORBA_long_long _return;
                              CORBA_long_long _local_a;
                              CORBA_long_long *_local_b;
                              CORBA_long_long _t406_storage;
                              CORBA_long_long *_local_c;
                              CORBA_long_long _t407_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t408_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort926);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t405_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t405_principal_len, _flick_abort926);
                              flick_iiop_decode_new_glob(_t405_principal_len);
                              flick_iiop_decode_new_chunk(_t405_principal_len);
                              flick_iiop_decode_end_chunk(_t405_principal_len);
                              flick_iiop_decode_end_glob(_t405_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort926);
                              flick_cdr_decode_signed64(0, _local_a, CORBA_long_long );
                              _local_b = (CORBA_long_long *)(&_t406_storage);
                              flick_cdr_decode_signed64(8, *_local_b, CORBA_long_long );
                              _local_c = (CORBA_long_long *)(&_t407_storage);
                              _ev = (CORBA_Environment *)(&_t408_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_LongLong(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort926);
                                flick_iiop_encode_new_glob(32, _flick_abort926);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_signed64(0, _return, CORBA_long_long );
                                      flick_cdr_encode_signed64(8, *_local_b, CORBA_long_long );
                                      flick_cdr_encode_signed64(16, *_local_c, CORBA_long_long );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort932);
                                      break;
                                      {
                                      _flick_abort932:
                                        goto _flick_abort926;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort933);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort933:
                                        goto _flick_abort926;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort926:
                                goto _flick_abort925;
                              }
                            }
                            break;
                            {
                            _flick_abort925:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t409_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t409_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t409_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t410_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t410_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t410_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t411_principal_len;
                              struct VUnion *_return;
                              struct VUnion *_local_a;
                              struct VUnion _t412_storage;
                              struct VUnion *_local_b;
                              struct VUnion _t415_storage;
                              struct VUnion **_local_c;
                              struct VUnion *_t418_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t419_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort935);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t411_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t411_principal_len, _flick_abort935);
                              flick_iiop_decode_new_glob(_t411_principal_len);
                              flick_iiop_decode_new_chunk(_t411_principal_len);
                              flick_iiop_decode_end_chunk(_t411_principal_len);
                              flick_iiop_decode_end_glob(_t411_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VUnion *)(&_t412_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(5, _flick_abort935);
                              flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t414_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort941);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t414_temp_string_len);
                                    flick_iiop_check_span(1 * _t414_temp_string_len, _flick_abort941);
                                    flick_iiop_decode_new_chunk(1 * _t414_temp_string_len);
                                    flick_cdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t414_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t414_temp_string_len);
                                    break;
                                    {
                                    _flick_abort941:
                                      goto _flick_abort935;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                  }
                                }
                              _local_b = (struct VUnion *)(&_t415_storage);
                              flick_iiop_decode_new_glob(11);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(5, _flick_abort935);
                              flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t417_temp_string_len;

                                    flick_iiop_check_span(4, _flick_abort952);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t417_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(11);
                                    flick_iiop_decode_new_glob(1 * _t417_temp_string_len);
                                    flick_iiop_check_span(1 * _t417_temp_string_len, _flick_abort952);
                                    flick_iiop_decode_new_chunk(1 * _t417_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t417_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort952);
                                      _local_b->_u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b->_u.a, 1 * _t417_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t417_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t417_temp_string_len);
                                    break;
                                  _flick_abort_block1228:
                                    {
                                      CORBA_flick_free(_local_b->_u.a);
                                    _flick_abort952:
                                      goto _flick_abort935;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(11);
                                    break;
                                  }
                                _flick_abort_block1227:
                                  {
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        goto _flick_abort_block1228;
                                      default:
                                        goto _flick_abort935;
                                      }
                                  }
                                }
                              _local_c = (struct VUnion **)(&_t418_storage);
                              _ev = (CORBA_Environment *)(&_t419_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort957);
                                flick_iiop_encode_new_glob(12, _flick_abort957);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t427_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return->_u.a, flick_unsigned32_t , _t427_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t427_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(12);
                                            flick_iiop_encode_new_glob(1 * _t427_temp_string_len, _flick_abort995);
                                            flick_iiop_encode_new_chunk(1 * _t427_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t427_temp_string_len);
                                            CORBA_flick_free(_return->_u.a);
                                            _return->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t427_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t427_temp_string_len);
                                            break;
                                            {
                                            _flick_abort995:
                                              goto _flick_abort989;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = (struct VUnion *)0;
                                      flick_iiop_encode_new_glob(11, _flick_abort989);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_local_b->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t429_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _local_b->_u.a, flick_unsigned32_t , _t429_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t429_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t429_temp_string_len, _flick_abort1004);
                                            flick_iiop_encode_new_chunk(1 * _t429_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b->_u.a, 1 * _t429_temp_string_len);
                                            CORBA_flick_free(_local_b->_u.a);
                                            _local_b->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t429_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t429_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1004:
                                              goto _flick_abort989;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiop_encode_new_glob(11, _flick_abort989);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->_d, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      switch ((*_local_c)->_d)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t431_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_u.a, flick_unsigned32_t , _t431_temp_string_len);

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t431_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(11);
                                            flick_iiop_encode_new_glob(1 * _t431_temp_string_len, _flick_abort1013);
                                            flick_iiop_encode_new_chunk(1 * _t431_temp_string_len);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_u.a, 1 * _t431_temp_string_len);
                                            CORBA_flick_free((*_local_c)->_u.a);
                                            (*_local_c)->_u.a = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t431_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t431_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1013:
                                              goto _flick_abort989;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, (*_local_c)->_u.z, CORBA_char );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct VUnion *)0;
                                      break;
                                      {
                                      _flick_abort989:
                                        goto _flick_abort957;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1017);
                                      break;
                                      {
                                      _flick_abort1017:
                                        goto _flick_abort957;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1018);
                                      flick_iiop_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort1018:
                                        goto _flick_abort957;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort957:
                                goto _flick_abort_block1227;
                              _flick_abort935:
                                goto _flick_abort934;
                              }
                            }
                            break;
                            {
                            _flick_abort934:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226817):
              {
                unsigned int _t432_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t432_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t432_switch_tag)
                  {
                  case /* rray */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920098681):
                    {
                      char _t433_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t433_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t433_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t434_principal_len;
                              VArray_slice *_return;
                              CORBA_char **_local_a;
                              CORBA_char *_t438_storage[10];
                              flick_unsigned32_t _t439_array_iter;
                              CORBA_char **_local_b;
                              CORBA_char *_t445_storage[10];
                              flick_unsigned32_t _t446_array_iter;
                              VArray_slice **_local_c;
                              VArray_slice *_t449_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t450_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1020);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t434_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t434_principal_len, _flick_abort1020);
                              flick_iiop_decode_new_glob(_t434_principal_len);
                              flick_iiop_decode_new_chunk(_t434_principal_len);
                              flick_iiop_decode_end_chunk(_t434_principal_len);
                              flick_iiop_decode_end_glob(_t434_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (CORBA_char **)_t438_storage;
                              for (_t439_array_iter = 0; _t439_array_iter < 10; _t439_array_iter++)
                                {
                                  flick_unsigned32_t _t441_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort1030);
                                  flick_cdr_decode_unsigned32(0, _t441_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t441_temp_string_len);
                                  flick_iiop_check_span(1 * _t441_temp_string_len, _flick_abort1030);
                                  flick_iiop_decode_new_chunk(1 * _t441_temp_string_len);
                                  flick_cdr_decode_msgptr(0, _local_a[_t439_array_iter], CORBA_char *);
                                  flick_iiop_decode_end_chunk(1 * _t441_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t441_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1030:
                                    goto _flick_abort1020;
                                  }
                                }
                              _local_b = (CORBA_char **)_t445_storage;
                              for (_t446_array_iter = 0; _t446_array_iter < 10; _t446_array_iter++)
                                {
                                  flick_unsigned32_t _t448_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort1048);
                                  flick_cdr_decode_unsigned32(0, _t448_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t448_temp_string_len);
                                  flick_iiop_check_span(1 * _t448_temp_string_len, _flick_abort1048);
                                  flick_iiop_decode_new_chunk(1 * _t448_temp_string_len);
                                  {
                                    CORBA_char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t448_temp_string_len * sizeof(CORBA_char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1048);
                                    _local_b[_t446_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_decode_bcopy(0, _local_b[_t446_array_iter], 1 * _t448_temp_string_len);
                                  flick_iiop_decode_end_chunk(1 * _t448_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t448_temp_string_len);
                                  continue;
                                _flick_abort_block1364:
                                  {
                                    _t446_array_iter = 10;
                                  _flick_abort1058:
                                    _t446_array_iter--;
                                    CORBA_flick_free(_local_b[_t446_array_iter]);
                                  _flick_abort1048:
                                    if ((unsigned int )_t446_array_iter > 0)
                                      goto _flick_abort1058;
                                    goto _flick_abort1020;
                                  }
                                }
                              _local_c = (VArray_slice **)(&_t449_storage);
                              _ev = (CORBA_Environment *)(&_t450_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarArray(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1060);
                                flick_iiop_encode_new_glob(4, _flick_abort1060);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t472_array_iter;
                                      flick_unsigned32_t _t478_array_iter;
                                      flick_unsigned32_t _t484_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      for (_t472_array_iter = 0; _t472_array_iter < 10; _t472_array_iter++)
                                        {
                                          flick_unsigned32_t _t474_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return[_t472_array_iter], flick_unsigned32_t , _t474_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1120);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t474_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t474_temp_string_len, _flick_abort1120);
                                          flick_iiop_encode_new_chunk(1 * _t474_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return[_t472_array_iter], 1 * _t474_temp_string_len);
                                          CORBA_flick_free(_return[_t472_array_iter]);
                                          _return[_t472_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t474_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t474_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1120:
                                            goto _flick_abort1110;
                                          }
                                        }
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char **)0;
                                      for (_t478_array_iter = 0; _t478_array_iter < 10; _t478_array_iter++)
                                        {
                                          flick_unsigned32_t _t480_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _local_b[_t478_array_iter], flick_unsigned32_t , _t480_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1135);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t480_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t480_temp_string_len, _flick_abort1135);
                                          flick_iiop_encode_new_chunk(1 * _t480_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _local_b[_t478_array_iter], 1 * _t480_temp_string_len);
                                          CORBA_flick_free(_local_b[_t478_array_iter]);
                                          _local_b[_t478_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t480_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t480_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1135:
                                            goto _flick_abort1110;
                                          }
                                        }
                                      for (_t484_array_iter = 0; _t484_array_iter < 10; _t484_array_iter++)
                                        {
                                          flick_unsigned32_t _t486_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, (*_local_c)[_t484_array_iter], flick_unsigned32_t , _t486_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1150);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t486_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t486_temp_string_len, _flick_abort1150);
                                          flick_iiop_encode_new_chunk(1 * _t486_temp_string_len);
                                          flick_cdr_encode_bcopy(0, (*_local_c)[_t484_array_iter], 1 * _t486_temp_string_len);
                                          CORBA_flick_free((*_local_c)[_t484_array_iter]);
                                          (*_local_c)[_t484_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t486_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t486_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1150:
                                            goto _flick_abort1110;
                                          }
                                        }
                                      break;
                                      {
                                      _flick_abort1110:
                                        goto _flick_abort1060;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1156);
                                      break;
                                      {
                                      _flick_abort1156:
                                        goto _flick_abort1060;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1157);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1157:
                                        goto _flick_abort1060;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1060:
                                goto _flick_abort_block1364;
                              _flick_abort1020:
                                goto _flick_abort1019;
                              }
                            }
                            break;
                            {
                            _flick_abort1019:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t487_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t487_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t487_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t488_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t488_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t488_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t489_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t489_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t489_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t490_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t491_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t492_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t493_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1159);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t490_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t490_principal_len, _flick_abort1159);
                              flick_iiop_decode_new_glob(_t490_principal_len);
                              flick_iiop_decode_new_chunk(_t490_principal_len);
                              flick_iiop_decode_end_chunk(_t490_principal_len);
                              flick_iiop_decode_end_glob(_t490_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1159);
                              flick_cdr_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t491_storage);
                              flick_cdr_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t492_storage);
                              _ev = (CORBA_Environment *)(&_t493_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1159);
                                flick_iiop_encode_new_glob(10, _flick_abort1159);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1165);
                                      break;
                                      {
                                      _flick_abort1165:
                                        goto _flick_abort1159;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1166);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1166:
                                        goto _flick_abort1159;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1159:
                                goto _flick_abort1158;
                              }
                            }
                            break;
                            {
                            _flick_abort1158:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t494_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t494_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t494_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t495_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t495_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t495_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t496_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double _t497_storage;
                              CORBA_double *_local_c;
                              CORBA_double _t498_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t499_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1168);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t496_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t496_principal_len, _flick_abort1168);
                              flick_iiop_decode_new_glob(_t496_principal_len);
                              flick_iiop_decode_new_chunk(_t496_principal_len);
                              flick_iiop_decode_end_chunk(_t496_principal_len);
                              flick_iiop_decode_end_glob(_t496_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort1168);
                              flick_cdr_decode_float64(0, _local_a, CORBA_double );
                              _local_b = (CORBA_double *)(&_t497_storage);
                              flick_cdr_decode_float64(8, *_local_b, CORBA_double );
                              _local_c = (CORBA_double *)(&_t498_storage);
                              _ev = (CORBA_Environment *)(&_t499_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1168);
                                flick_iiop_encode_new_glob(32, _flick_abort1168);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1174);
                                      break;
                                      {
                                      _flick_abort1174:
                                        goto _flick_abort1168;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1175);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort1175:
                                        goto _flick_abort1168;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1168:
                                goto _flick_abort1167;
                              }
                            }
                            break;
                            {
                            _flick_abort1167:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t500_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t500_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t500_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t501_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t501_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t501_switch_tag)
                        {
                        case 0:
                          {
                            {
                              intf _obj;
                              unsigned int _t502_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t503_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t504_storage;
                              flick_unsigned32_t _t505_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t506_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t507_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1177);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t502_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t502_principal_len, _flick_abort1177);
                              flick_iiop_decode_new_glob(_t502_principal_len);
                              flick_iiop_decode_new_chunk(_t502_principal_len);
                              flick_iiop_decode_end_chunk(_t502_principal_len);
                              flick_iiop_decode_end_glob(_t502_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1177);
                              flick_cdr_decode_unsigned32(0, _t503_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t503_temp_string_len);
                              flick_iiop_check_span(1 * _t503_temp_string_len, _flick_abort1177);
                              flick_iiop_decode_new_chunk(1 * _t503_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t503_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t503_temp_string_len);
                              _local_b = (CORBA_char **)(&_t504_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1177);
                              flick_cdr_decode_unsigned32(0, _t505_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t505_temp_string_len);
                              flick_iiop_check_span(1 * _t505_temp_string_len, _flick_abort1177);
                              flick_iiop_decode_new_chunk(1 * _t505_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t505_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1177);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t505_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t505_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t505_temp_string_len);
                              _local_c = (CORBA_char **)(&_t506_storage);
                              _ev = (CORBA_Environment *)(&_t507_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1182);
                                flick_iiop_encode_new_glob(8, _flick_abort1182);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t511_temp_string_len;
                                      flick_unsigned32_t _t512_temp_string_len;
                                      flick_unsigned32_t _t513_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t511_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t512_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t513_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t511_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t511_temp_string_len, _flick_abort1193);
                                      flick_iiop_encode_new_chunk(1 * _t511_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t511_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t511_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t511_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1193);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t512_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t512_temp_string_len, _flick_abort1193);
                                      flick_iiop_encode_new_chunk(1 * _t512_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t512_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t512_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t512_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1193);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t513_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t513_temp_string_len, _flick_abort1193);
                                      flick_iiop_encode_new_chunk(1 * _t513_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t513_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t513_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t513_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1193:
                                        goto _flick_abort1182;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1200);
                                      break;
                                      {
                                      _flick_abort1200:
                                        goto _flick_abort1182;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1201);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1201:
                                        goto _flick_abort1182;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1182:
                                CORBA_flick_free(*_local_b);
                              _flick_abort1177:
                                goto _flick_abort1176;
                              }
                            }
                            break;
                            {
                            _flick_abort1176:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t514_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t514_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t514_switch_tag)
            {
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned int _t515_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t515_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t515_switch_tag)
                  {
                  case /* gLon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1733062510):
                    {
                      unsigned short int _t516_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t516_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t516_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              intf _obj;
                              unsigned int _t517_principal_len;
                              CORBA_unsigned_long_long _return;
                              CORBA_unsigned_long_long _local_a;
                              CORBA_unsigned_long_long *_local_b;
                              CORBA_unsigned_long_long _t518_storage;
                              CORBA_unsigned_long_long *_local_c;
                              CORBA_unsigned_long_long _t519_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t520_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1203);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t517_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t517_principal_len, _flick_abort1203);
                              flick_iiop_decode_new_glob(_t517_principal_len);
                              flick_iiop_decode_new_chunk(_t517_principal_len);
                              flick_iiop_decode_end_chunk(_t517_principal_len);
                              flick_iiop_decode_end_glob(_t517_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(23);
                              flick_iiop_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiop_check_span(16, _flick_abort1203);
                              flick_cdr_decode_unsigned64(0, _local_a, CORBA_unsigned_long_long );
                              _local_b = (CORBA_unsigned_long_long *)(&_t518_storage);
                              flick_cdr_decode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
                              _local_c = (CORBA_unsigned_long_long *)(&_t519_storage);
                              _ev = (CORBA_Environment *)(&_t520_storage);
                              flick_iiop_decode_end_chunk(16);
                              flick_iiop_decode_end_glob(23);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_ULongLong(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1203);
                                flick_iiop_encode_new_glob(32, _flick_abort1203);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_unsigned64(0, _return, CORBA_unsigned_long_long );
                                      flick_cdr_encode_unsigned64(8, *_local_b, CORBA_unsigned_long_long );
                                      flick_cdr_encode_unsigned64(16, *_local_c, CORBA_unsigned_long_long );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1209);
                                      break;
                                      {
                                      _flick_abort1209:
                                        goto _flick_abort1203;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1210);
                                      flick_iiop_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort1210:
                                        goto _flick_abort1203;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1203:
                                goto _flick_abort1202;
                              }
                            }
                            break;
                            {
                            _flick_abort1202:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Obje */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331849829):
              {
                unsigned int _t521_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t521_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t521_switch_tag)
                  {
                  case /* ctRe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668567653):
                    {
                      unsigned short int _t522_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t522_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t522_switch_tag)
                        {
                        case /* f */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26112):
                          {
                            {
                              intf _obj;
                              unsigned int _t523_principal_len;
                              intf _return;
                              intf _local_a;
                              intf *_local_b;
                              intf _t524_storage;
                              intf *_local_c;
                              intf _t525_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t526_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1212);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t523_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t523_principal_len, _flick_abort1212);
                              flick_iiop_decode_new_glob(_t523_principal_len);
                              flick_iiop_decode_new_chunk(_t523_principal_len);
                              flick_iiop_decode_end_chunk(_t523_principal_len);
                              flick_iiop_decode_end_glob(_t523_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_IOR(iiop, _local_a, 1);
                              flick_iiop_mark_port_for_cleanup(_local_a, 1);
                              _local_b = (intf *)(&_t524_storage);
                              flick_cdr_decode_IOR(iiop, *_local_b, 1);
                              flick_iiop_mark_port_for_cleanup(*_local_b, 1);
                              _local_c = (intf *)(&_t525_storage);
                              _ev = (CORBA_Environment *)(&_t526_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_ObjectRef(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1212);
                                flick_iiop_encode_new_glob(4, _flick_abort1212);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort1217);
                                      CORBA_object_flick_free(_return);
                                      _return = (void *)0;
                                      flick_cdr_encode_IOR(iiop, *_local_b, 0, _flick_abort1217);
                                      CORBA_object_flick_free(*_local_b);
                                      *_local_b = (void *)0;
                                      flick_cdr_encode_IOR(iiop, *_local_c, 0, _flick_abort1217);
                                      CORBA_object_flick_free(*_local_c);
                                      *_local_c = (void *)0;
                                      break;
                                      {
                                      _flick_abort1217:
                                        goto _flick_abort1212;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1218);
                                      break;
                                      {
                                      _flick_abort1218:
                                        goto _flick_abort1212;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1219);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort1219:
                                        goto _flick_abort1212;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1212:
                                goto _flick_abort1211;
                              }
                            }
                            break;
                            {
                            _flick_abort1211:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t527_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t527_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t527_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t528_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t528_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t528_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              intf _obj;
                              unsigned int _t529_principal_len;
                              struct VStruct *_return;
                              struct VStruct *_local_a;
                              struct VStruct _t530_storage;
                              flick_unsigned32_t _t531_temp_string_len;
                              struct VStruct *_local_b;
                              struct VStruct _t532_storage;
                              flick_unsigned32_t _t533_temp_string_len;
                              struct VStruct **_local_c;
                              struct VStruct *_t534_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t535_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1221);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t529_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t529_principal_len, _flick_abort1221);
                              flick_iiop_decode_new_glob(_t529_principal_len);
                              flick_iiop_decode_new_chunk(_t529_principal_len);
                              flick_iiop_decode_end_chunk(_t529_principal_len);
                              flick_iiop_decode_end_glob(_t529_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct VStruct *)(&_t530_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1221);
                              flick_cdr_decode_unsigned32(0, _t531_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t531_temp_string_len);
                              flick_iiop_check_span(1 * _t531_temp_string_len, _flick_abort1221);
                              flick_iiop_decode_new_chunk(1 * _t531_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t531_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t531_temp_string_len);
                              _local_b = (struct VStruct *)(&_t532_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1221);
                              flick_cdr_decode_unsigned32(0, _t533_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t533_temp_string_len);
                              flick_iiop_check_span(1 * _t533_temp_string_len, _flick_abort1221);
                              flick_iiop_decode_new_chunk(1 * _t533_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t533_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1221);
                                _local_b->a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->a, 1 * _t533_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t533_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t533_temp_string_len);
                              _local_c = (struct VStruct **)(&_t534_storage);
                              _ev = (CORBA_Environment *)(&_t535_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1226);
                                flick_iiop_encode_new_glob(8, _flick_abort1226);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t539_temp_string_len;
                                      flick_unsigned32_t _t540_temp_string_len;
                                      flick_unsigned32_t _t541_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->a, flick_unsigned32_t , _t539_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->a, flick_unsigned32_t , _t540_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->a, flick_unsigned32_t , _t541_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t539_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t539_temp_string_len, _flick_abort1237);
                                      flick_iiop_encode_new_chunk(1 * _t539_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t539_temp_string_len);
                                      CORBA_flick_free(_return->a);
                                      _return->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t539_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t539_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (struct VStruct *)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort1237);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t540_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t540_temp_string_len, _flick_abort1237);
                                      flick_iiop_encode_new_chunk(1 * _t540_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->a, 1 * _t540_temp_string_len);
                                      CORBA_flick_free(_local_b->a);
                                      _local_b->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t540_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t540_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1237);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t541_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t541_temp_string_len, _flick_abort1237);
                                      flick_iiop_encode_new_chunk(1 * _t541_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->a, 1 * _t541_temp_string_len);
                                      CORBA_flick_free((*_local_c)->a);
                                      (*_local_c)->a = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t541_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t541_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct VStruct *)0;
                                      break;
                                      {
                                      _flick_abort1237:
                                        goto _flick_abort1226;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1244);
                                      break;
                                      {
                                      _flick_abort1244:
                                        goto _flick_abort1226;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1245);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1245:
                                        goto _flick_abort1226;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1226:
                                CORBA_flick_free(_local_b->a);
                              _flick_abort1221:
                                goto _flick_abort1220;
                              }
                            }
                            break;
                            {
                            _flick_abort1220:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t542_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t542_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t542_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t543_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t543_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t543_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        intf _obj;
                        unsigned int _t544_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t545_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t546_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t547_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1247);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t544_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_check_span(_t544_principal_len + 2, _flick_abort1247);
                        flick_iiop_decode_new_glob(_t544_principal_len);
                        flick_iiop_decode_new_chunk(_t544_principal_len);
                        flick_iiop_decode_end_chunk(_t544_principal_len);
                        flick_iiop_decode_end_glob(_t544_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t545_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t546_storage);
                        _ev = (CORBA_Environment *)(&_t547_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = intf_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1247);
                          flick_iiop_encode_new_glob(7, _flick_abort1247);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_iiop_encode_end_chunk(3);
                                flick_iiop_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1253);
                                break;
                                {
                                _flick_abort1253:
                                  goto _flick_abort1247;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1254);
                                flick_iiop_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1254:
                                  goto _flick_abort1247;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1247:
                          goto _flick_abort1246;
                        }
                      }
                      break;
                      {
                      _flick_abort1246:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t548_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t548_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t548_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t549_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t549_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t549_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t550_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t550_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              intf _obj;
                              unsigned int _t551_principal_len;
                              struct FStruct _return;
                              struct FStruct *_local_a;
                              struct FStruct _t552_storage;
                              struct FStruct *_local_b;
                              struct FStruct _t553_storage;
                              struct FStruct *_local_c;
                              struct FStruct _t554_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t555_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1256);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t551_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t551_principal_len, _flick_abort1256);
                              flick_iiop_decode_new_glob(_t551_principal_len);
                              flick_iiop_decode_new_chunk(_t551_principal_len);
                              flick_iiop_decode_end_chunk(_t551_principal_len);
                              flick_iiop_decode_end_glob(_t551_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = (struct FStruct *)(&_t552_storage);
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1256);
                              flick_cdr_decode_signed16(0, _local_a->a, CORBA_short );
                              _local_b = (struct FStruct *)(&_t553_storage);
                              flick_cdr_decode_signed16(2, _local_b->a, CORBA_short );
                              _local_c = (struct FStruct *)(&_t554_storage);
                              _ev = (CORBA_Environment *)(&_t555_storage);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1256);
                                flick_iiop_encode_new_glob(10, _flick_abort1256);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_b->a, CORBA_short );
                                      flick_cdr_encode_signed16(4, _local_c->a, CORBA_short );
                                      flick_iiop_encode_end_chunk(6);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1262);
                                      break;
                                      {
                                      _flick_abort1262:
                                        goto _flick_abort1256;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1263);
                                      flick_iiop_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1263:
                                        goto _flick_abort1256;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1256:
                                goto _flick_abort1255;
                              }
                            }
                            break;
                            {
                            _flick_abort1255:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t556_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t556_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t556_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t557_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t557_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t557_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              intf _obj;
                              unsigned int _t558_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t559_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t560_storage;
                              flick_unsigned32_t _t561_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t562_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t563_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1265);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t558_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t558_principal_len, _flick_abort1265);
                              flick_iiop_decode_new_glob(_t558_principal_len);
                              flick_iiop_decode_new_chunk(_t558_principal_len);
                              flick_iiop_decode_end_chunk(_t558_principal_len);
                              flick_iiop_decode_end_glob(_t558_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(56);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1265);
                              flick_cdr_decode_unsigned32(0, _t559_temp_string_len, flick_unsigned32_t );
                              if (_t559_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1265);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t559_temp_string_len, _flick_abort1265);
                              flick_iiop_decode_new_chunk(1 * _t559_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t559_temp_string_len);
                              _local_b = (CORBA_char **)(&_t560_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1265);
                              flick_cdr_decode_unsigned32(0, _t561_temp_string_len, flick_unsigned32_t );
                              if (_t561_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1265);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t561_temp_string_len, _flick_abort1265);
                              flick_iiop_decode_new_chunk(1 * _t561_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1265);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t561_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t561_temp_string_len);
                              _local_c = (CORBA_char **)(&_t562_storage);
                              _ev = (CORBA_Environment *)(&_t563_storage);
                              flick_iiop_decode_end_glob(56);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1270);
                                flick_iiop_encode_new_glob(85, _flick_abort1270);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t567_temp_string_len;
                                      flick_unsigned32_t _t568_temp_string_len;
                                      flick_unsigned32_t _t569_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t567_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t568_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t569_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t567_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t567_temp_string_len, flick_unsigned32_t );
                                      if (_t567_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1281);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t567_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t567_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t568_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t568_temp_string_len, flick_unsigned32_t );
                                      if (_t568_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1281);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t568_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t568_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t569_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t569_temp_string_len, flick_unsigned32_t );
                                      if (_t569_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1281);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t569_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t569_temp_string_len);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1281:
                                        goto _flick_abort1270;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(85);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1288);
                                      break;
                                      {
                                      _flick_abort1288:
                                        goto _flick_abort1270;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1289);
                                      flick_iiop_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1289:
                                        goto _flick_abort1270;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1270:
                                CORBA_flick_free(*_local_b);
                              _flick_abort1265:
                                goto _flick_abort1264;
                              }
                            }
                            break;
                            {
                            _flick_abort1264:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t570_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t570_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t570_switch_tag)
                  {
                  case /* eque */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701934437):
                    {
                      unsigned int _t571_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t571_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t571_switch_tag)
                        {
                        case /* nce */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852007680):
                          {
                            {
                              intf _obj;
                              unsigned int _t572_principal_len;
                              UVSequence *_return;
                              UVSequence *_local_a;
                              UVSequence _t573_storage;
                              CORBA_unsigned_long _t577_array_iter;
                              UVSequence *_local_b;
                              UVSequence _t580_storage;
                              CORBA_unsigned_long _t584_array_iter;
                              UVSequence **_local_c;
                              UVSequence *_t587_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t588_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1291);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t572_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_check_span(_t572_principal_len, _flick_abort1291);
                              flick_iiop_decode_new_glob(_t572_principal_len);
                              flick_iiop_decode_new_chunk(_t572_principal_len);
                              flick_iiop_decode_end_chunk(_t572_principal_len);
                              flick_iiop_decode_end_glob(_t572_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (UVSequence *)(&_t573_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1291);
                              flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(auto_flick_alloc(_local_a->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1291);
                                _local_a->_buffer = _t_alloc_ptr;
                                _local_a->_maximum = _local_a->_length;
                                _local_a->_release = 1;
                              }
                              for (_t577_array_iter = 0; _t577_array_iter < _local_a->_length; _t577_array_iter++)
                                {
                                  flick_unsigned32_t _t579_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort1302);
                                  flick_cdr_decode_unsigned32(0, _t579_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t579_temp_string_len);
                                  flick_iiop_check_span(1 * _t579_temp_string_len, _flick_abort1302);
                                  flick_iiop_decode_new_chunk(1 * _t579_temp_string_len);
                                  flick_cdr_decode_msgptr(0, _local_a->_buffer[_t577_array_iter], CORBA_char *);
                                  flick_iiop_decode_end_chunk(1 * _t579_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t579_temp_string_len);
                                  continue;
                                  {
                                  _flick_abort1302:
                                    goto _flick_abort1301;
                                  }
                                }
                              _local_b = (UVSequence *)(&_t580_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort1301);
                              flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              {
                                CORBA_char **_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_char *)));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1301);
                                _local_b->_buffer = _t_alloc_ptr;
                                _local_b->_maximum = _local_b->_length;
                                _local_b->_release = 1;
                              }
                              for (_t584_array_iter = 0; _t584_array_iter < _local_b->_length; _t584_array_iter++)
                                {
                                  flick_unsigned32_t _t586_temp_string_len;

                                  flick_iiop_decode_new_glob(7);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort1321);
                                  flick_cdr_decode_unsigned32(0, _t586_temp_string_len, flick_unsigned32_t );
                                  flick_iiop_decode_end_chunk(4);
                                  flick_iiop_decode_end_glob(7);
                                  flick_iiop_decode_new_glob(1 * _t586_temp_string_len);
                                  flick_iiop_check_span(1 * _t586_temp_string_len, _flick_abort1321);
                                  flick_iiop_decode_new_chunk(1 * _t586_temp_string_len);
                                  {
                                    CORBA_char *_t_alloc_ptr;

                                    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t586_temp_string_len * sizeof(CORBA_char )));
                                    if (!_t_alloc_ptr)
                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1321);
                                    _local_b->_buffer[_t584_array_iter] = _t_alloc_ptr;
                                  }
                                  flick_cdr_decode_bcopy(0, _local_b->_buffer[_t584_array_iter], 1 * _t586_temp_string_len);
                                  flick_iiop_decode_end_chunk(1 * _t586_temp_string_len);
                                  flick_iiop_decode_end_glob(1 * _t586_temp_string_len);
                                  continue;
                                _flick_abort_block1715:
                                  {
                                    _t584_array_iter = _local_b->_length;
                                  _flick_abort1331:
                                    _t584_array_iter--;
                                    CORBA_flick_free(_local_b->_buffer[_t584_array_iter]);
                                  _flick_abort1321:
                                    if ((unsigned int )_t584_array_iter > 0)
                                      goto _flick_abort1331;
                                    goto _flick_abort1320;
                                  }
                                }
                              _local_c = (UVSequence **)(&_t587_storage);
                              _ev = (CORBA_Environment *)(&_t588_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = intf_VarSequence(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1333);
                                flick_iiop_encode_new_glob(8, _flick_abort1333);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      CORBA_unsigned_long _t610_array_iter;
                                      CORBA_unsigned_long _t616_array_iter;
                                      CORBA_unsigned_long _t622_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      for (_t610_array_iter = 0; _t610_array_iter < _return->_length; _t610_array_iter++)
                                        {
                                          flick_unsigned32_t _t612_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t610_array_iter], flick_unsigned32_t , _t612_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1393);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t612_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t612_temp_string_len, _flick_abort1393);
                                          flick_iiop_encode_new_chunk(1 * _t612_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _return->_buffer[_t610_array_iter], 1 * _t612_temp_string_len);
                                          CORBA_flick_free(_return->_buffer[_t610_array_iter]);
                                          _return->_buffer[_t610_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t612_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t612_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1393:
                                            goto _flick_abort1383;
                                          }
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = (CORBA_char **)0;
                                      CORBA_flick_free(_return);
                                      _return = (UVSequence *)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort1383);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t616_array_iter = 0; _t616_array_iter < _local_b->_length; _t616_array_iter++)
                                        {
                                          flick_unsigned32_t _t618_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, _local_b->_buffer[_t616_array_iter], flick_unsigned32_t , _t618_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1408);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t618_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t618_temp_string_len, _flick_abort1408);
                                          flick_iiop_encode_new_chunk(1 * _t618_temp_string_len);
                                          flick_cdr_encode_bcopy(0, _local_b->_buffer[_t616_array_iter], 1 * _t618_temp_string_len);
                                          CORBA_flick_free(_local_b->_buffer[_t616_array_iter]);
                                          _local_b->_buffer[_t616_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t618_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t618_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1408:
                                            goto _flick_abort1383;
                                          }
                                        }
                                      if (_local_b->_release)
                                        CORBA_flick_free(_local_b->_buffer);
                                      _local_b->_maximum = 0;
                                      _local_b->_release = 0;
                                      _local_b->_buffer = (CORBA_char **)0;
                                      flick_iiop_encode_new_glob(7, _flick_abort1383);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t622_array_iter = 0; _t622_array_iter < (*_local_c)->_length; _t622_array_iter++)
                                        {
                                          flick_unsigned32_t _t624_temp_string_len;

                                          flick_cdr_stringlen(CORBA_char *, (*_local_c)->_buffer[_t622_array_iter], flick_unsigned32_t , _t624_temp_string_len);

                                          flick_iiop_encode_new_glob(7, _flick_abort1423);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_unsigned32(0, _t624_temp_string_len, flick_unsigned32_t );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          flick_iiop_encode_new_glob(1 * _t624_temp_string_len, _flick_abort1423);
                                          flick_iiop_encode_new_chunk(1 * _t624_temp_string_len);
                                          flick_cdr_encode_bcopy(0, (*_local_c)->_buffer[_t622_array_iter], 1 * _t624_temp_string_len);
                                          CORBA_flick_free((*_local_c)->_buffer[_t622_array_iter]);
                                          (*_local_c)->_buffer[_t622_array_iter] = (CORBA_char *)0;
                                          flick_iiop_encode_end_chunk(1 * _t624_temp_string_len);
                                          flick_iiop_encode_end_glob(1 * _t624_temp_string_len);
                                          continue;
                                          {
                                          _flick_abort1423:
                                            goto _flick_abort1383;
                                          }
                                        }
                                      if ((*_local_c)->_release)
                                        CORBA_flick_free((*_local_c)->_buffer);
                                      (*_local_c)->_maximum = 0;
                                      (*_local_c)->_release = 0;
                                      (*_local_c)->_buffer = (CORBA_char **)0;
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (UVSequence *)0;
                                      break;
                                      {
                                      _flick_abort1383:
                                        goto _flick_abort1333;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1429);
                                      break;
                                      {
                                      _flick_abort1429:
                                        goto _flick_abort1333;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1430);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1430:
                                        goto _flick_abort1333;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort1333:
                                goto _flick_abort_block1715;
                              _flick_abort1320:
                                CORBA_flick_free(_local_b->_buffer);
                              _flick_abort1301:
                                auto_flick_free(_local_a->_buffer);
                              _flick_abort1291:
                                goto _flick_abort1290;
                              }
                            }
                            break;
                            {
                            _flick_abort1290:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t625_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t625_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t625_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t626_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t626_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t626_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t627_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t627_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t627_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t628_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t628_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t628_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t629_principal_len;
                                    struct FUnion _return;
                                    struct FUnion *_local_a;
                                    struct FUnion _t630_storage;
                                    struct FUnion *_local_b;
                                    struct FUnion _t631_storage;
                                    struct FUnion *_local_c;
                                    struct FUnion _t632_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t633_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1432);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t629_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t629_principal_len, _flick_abort1432);
                                    flick_iiop_decode_new_glob(_t629_principal_len);
                                    flick_iiop_decode_new_chunk(_t629_principal_len);
                                    flick_iiop_decode_end_chunk(_t629_principal_len);
                                    flick_iiop_decode_end_glob(_t629_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = (struct FUnion *)(&_t630_storage);
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(5, _flick_abort1432);
                                    flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort1436);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1436:
                                            goto _flick_abort1432;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = (struct FUnion *)(&_t631_storage);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(5, _flick_abort1432);
                                    flick_cdr_decode_signed32(0, _local_b->_d, CORBA_long );
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_check_span(4, _flick_abort1441);
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b->_u.x, CORBA_long );
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1441:
                                            goto _flick_abort1432;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b->_u.z, CORBA_char );
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = (struct FUnion *)(&_t632_storage);
                                    _ev = (CORBA_Environment *)(&_t633_storage);
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1432);
                                      flick_iiop_encode_new_glob(34, _flick_abort1432);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_return._d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_b->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c->_d, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            switch (_local_c->_d)
                                              {
                                              case 1:
                                                {
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c->_u.x, CORBA_long );
                                                  flick_iiop_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c->_u.z, CORBA_char );
                                                  flick_iiop_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(34);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1478);
                                            break;
                                            {
                                            _flick_abort1478:
                                              goto _flick_abort1432;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1479);
                                            flick_iiop_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort1479:
                                              goto _flick_abort1432;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1432:
                                      goto _flick_abort1431;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1431:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  case /* dArr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1682010738):
                    {
                      unsigned short int _t634_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t634_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t634_switch_tag)
                        {
                        case /* ay */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24953):
                          {
                            char _t635_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t635_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t635_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t636_principal_len;
                                    FArray_slice *_return;
                                    CORBA_long *_local_a;
                                    CORBA_long *_local_b;
                                    CORBA_long _t637_storage[10];
                                    CORBA_long *_local_c;
                                    CORBA_long _t638_storage[10];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t639_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1481);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t636_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t636_principal_len, _flick_abort1481);
                                    flick_iiop_decode_new_glob(_t636_principal_len);
                                    flick_iiop_decode_new_chunk(_t636_principal_len);
                                    flick_iiop_decode_end_chunk(_t636_principal_len);
                                    flick_iiop_decode_end_glob(_t636_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiop_decode_new_glob(83);
                                    flick_iiop_decode_new_chunk_align(80, 2, 0, 0);
                                    flick_iiop_check_span(80, _flick_abort1481);
                                    flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                                    _local_b = (CORBA_long *)_t637_storage;
                                    flick_cdr_decode_bcopy(40, _local_b, 40);
                                    _local_c = (CORBA_long *)_t638_storage;
                                    _ev = (CORBA_Environment *)(&_t639_storage);
                                    flick_iiop_decode_end_chunk(80);
                                    flick_iiop_decode_end_glob(83);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedArray(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1481);
                                      flick_iiop_encode_new_glob(124, _flick_abort1481);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(120);
                                            flick_cdr_encode_bcopy(0, _return, 40);
                                            CORBA_flick_free(_return);
                                            _return = (CORBA_long *)0;
                                            flick_cdr_encode_bcopy(40, _local_b, 40);
                                            flick_cdr_encode_bcopy(80, _local_c, 40);
                                            flick_iiop_encode_end_chunk(120);
                                            flick_iiop_encode_end_glob(124);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(124);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1504);
                                            break;
                                            {
                                            _flick_abort1504:
                                              goto _flick_abort1481;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1505);
                                            flick_iiop_encode_end_glob(124);
                                            break;
                                            {
                                            _flick_abort1505:
                                              goto _flick_abort1481;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1481:
                                      goto _flick_abort1480;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1480:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t640_switch_tag;

          flick_iiop_check_span(28, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t640_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t640_switch_tag)
            {
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t641_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t641_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t641_switch_tag)
                  {
                  case /* dedF */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366406):
                    {
                      unsigned int _t642_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t642_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t642_switch_tag)
                        {
                        case /* ixed */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769497956):
                          {
                            unsigned int _t643_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t643_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t643_switch_tag)
                              {
                              case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
                                {
                                  unsigned int _t644_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t644_switch_tag, unsigned int );
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t644_switch_tag)
                                    {
                                    case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                                      {
                                        char _t645_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t645_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t645_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                intf _obj;
                                                unsigned int _t646_principal_len;
                                                BFSequence *_return;
                                                BFSequence *_local_a;
                                                BFSequence _t647_storage;
                                                BFSequence *_local_b;
                                                BFSequence _t648_storage;
                                                BFSequence **_local_c;
                                                BFSequence *_t649_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t650_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1507);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t646_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(32);
                                                flick_iiop_check_span(_t646_principal_len, _flick_abort1507);
                                                flick_iiop_decode_new_glob(_t646_principal_len);
                                                flick_iiop_decode_new_chunk(_t646_principal_len);
                                                flick_iiop_decode_end_chunk(_t646_principal_len);
                                                flick_iiop_decode_end_glob(_t646_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _local_a = (BFSequence *)(&_t647_storage);
                                                flick_iiop_decode_new_glob(91);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort1507);
                                                flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                                if (_local_a->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1507);
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_check_span(4 * _local_a->_length + 4, _flick_abort1507);
                                                flick_iiop_decode_new_chunk(4 * _local_a->_length);
                                                flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                                _local_a->_maximum = _local_a->_length;
                                                _local_a->_release = 0;
                                                flick_iiop_decode_end_chunk(4 * _local_a->_length);
                                                _local_b = (BFSequence *)(&_t648_storage);
                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                if (_local_b->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1507);
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_check_span(4 * _local_b->_length, _flick_abort1507);
                                                flick_iiop_decode_new_chunk(4 * _local_b->_length);
                                                {
                                                  CORBA_long *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1507);
                                                  _local_b->_buffer = _t_alloc_ptr;
                                                  _local_b->_maximum = 10;
                                                  _local_b->_release = 1;
                                                }
                                                flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                                flick_iiop_decode_end_chunk(4 * _local_b->_length);
                                                _local_c = (BFSequence **)(&_t649_storage);
                                                _ev = (CORBA_Environment *)(&_t650_storage);
                                                flick_iiop_decode_end_glob(91);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = intf_BoundedFixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1512);
                                                  flick_iiop_encode_new_glob(136, _flick_abort1512);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                                        if (_return->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1523);
                                                        flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                                        if (_return->_release)
                                                          CORBA_flick_free(_return->_buffer);
                                                        _return->_maximum = 0;
                                                        _return->_release = 0;
                                                        _return->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                                        CORBA_flick_free(_return);
                                                        _return = (BFSequence *)0;
                                                        flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                                        flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                        if (_local_b->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1523);
                                                        flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                                        if (_local_b->_release)
                                                          CORBA_flick_free(_local_b->_buffer);
                                                        _local_b->_maximum = 0;
                                                        _local_b->_release = 0;
                                                        _local_b->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                                        flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                                        if ((*_local_c)->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1523);
                                                        flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                                        if ((*_local_c)->_release)
                                                          CORBA_flick_free((*_local_c)->_buffer);
                                                        (*_local_c)->_maximum = 0;
                                                        (*_local_c)->_release = 0;
                                                        (*_local_c)->_buffer = (CORBA_long *)0;
                                                        flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                                        CORBA_flick_free(*_local_c);
                                                        *_local_c = (BFSequence *)0;
                                                        flick_iiop_encode_end_glob(136);
                                                        break;
                                                        {
                                                        _flick_abort1523:
                                                          goto _flick_abort1512;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(136);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1530);
                                                        break;
                                                        {
                                                        _flick_abort1530:
                                                          goto _flick_abort1512;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1531);
                                                        flick_iiop_encode_end_glob(136);
                                                        break;
                                                        {
                                                        _flick_abort1531:
                                                          goto _flick_abort1512;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1512:
                                                  CORBA_flick_free(_local_b->_buffer);
                                                _flick_abort1507:
                                                  goto _flick_abort1506;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1506:
                                                goto _flick_abort2;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t651_switch_tag;

          flick_iiop_check_span(24, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t651_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t651_switch_tag)
            {
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t652_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t652_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t652_switch_tag)
                  {
                  case /* dedV */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366422):
                    {
                      unsigned int _t653_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t653_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t653_switch_tag)
                        {
                        case /* arSe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634882405):
                          {
                            unsigned int _t654_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t654_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t654_switch_tag)
                              {
                              case /* quen */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1903519086):
                                {
                                  unsigned short int _t655_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t655_switch_tag, unsigned short int );
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t655_switch_tag)
                                    {
                                    case /* ce */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25445):
                                      {
                                        char _t656_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t656_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t656_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                intf _obj;
                                                unsigned int _t657_principal_len;
                                                BVSequence *_return;
                                                BVSequence *_local_a;
                                                BVSequence _t658_storage;
                                                CORBA_char *_t662_storage[10];
                                                CORBA_unsigned_long _t663_array_iter;
                                                BVSequence *_local_b;
                                                BVSequence _t666_storage;
                                                CORBA_unsigned_long _t670_array_iter;
                                                BVSequence **_local_c;
                                                BVSequence *_t673_storage;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t674_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1533);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t657_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(32);
                                                flick_iiop_check_span(_t657_principal_len, _flick_abort1533);
                                                flick_iiop_decode_new_glob(_t657_principal_len);
                                                flick_iiop_decode_new_chunk(_t657_principal_len);
                                                flick_iiop_decode_end_chunk(_t657_principal_len);
                                                flick_iiop_decode_end_glob(_t657_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _local_a = (BVSequence *)(&_t658_storage);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort1533);
                                                flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                if (_local_a->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1533);
                                                _local_a->_buffer = (CORBA_char **)_t662_storage;
                                                _local_a->_maximum = 10;
                                                _local_a->_release = 0;
                                                for (_t663_array_iter = 0; _t663_array_iter < _local_a->_length; _t663_array_iter++)
                                                  {
                                                    flick_unsigned32_t _t665_temp_string_len;

                                                    flick_iiop_decode_new_glob(7);
                                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                    flick_iiop_check_span(4, _flick_abort1543);
                                                    flick_cdr_decode_unsigned32(0, _t665_temp_string_len, flick_unsigned32_t );
                                                    flick_iiop_decode_end_chunk(4);
                                                    flick_iiop_decode_end_glob(7);
                                                    flick_iiop_decode_new_glob(1 * _t665_temp_string_len);
                                                    flick_iiop_check_span(1 * _t665_temp_string_len, _flick_abort1543);
                                                    flick_iiop_decode_new_chunk(1 * _t665_temp_string_len);
                                                    flick_cdr_decode_msgptr(0, _local_a->_buffer[_t663_array_iter], CORBA_char *);
                                                    flick_iiop_decode_end_chunk(1 * _t665_temp_string_len);
                                                    flick_iiop_decode_end_glob(1 * _t665_temp_string_len);
                                                    continue;
                                                    {
                                                    _flick_abort1543:
                                                      goto _flick_abort1533;
                                                    }
                                                  }
                                                _local_b = (BVSequence *)(&_t666_storage);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiop_check_span(4, _flick_abort1533);
                                                flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                if (_local_b->_length > 10)
                                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1533);
                                                {
                                                  CORBA_char **_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA_char **)(CORBA_flick_alloc(10 * sizeof(CORBA_char *)));
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1533);
                                                  _local_b->_buffer = _t_alloc_ptr;
                                                  _local_b->_maximum = 10;
                                                  _local_b->_release = 1;
                                                }
                                                for (_t670_array_iter = 0; _t670_array_iter < _local_b->_length; _t670_array_iter++)
                                                  {
                                                    flick_unsigned32_t _t672_temp_string_len;

                                                    flick_iiop_decode_new_glob(7);
                                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                    flick_iiop_check_span(4, _flick_abort1562);
                                                    flick_cdr_decode_unsigned32(0, _t672_temp_string_len, flick_unsigned32_t );
                                                    flick_iiop_decode_end_chunk(4);
                                                    flick_iiop_decode_end_glob(7);
                                                    flick_iiop_decode_new_glob(1 * _t672_temp_string_len);
                                                    flick_iiop_check_span(1 * _t672_temp_string_len, _flick_abort1562);
                                                    flick_iiop_decode_new_chunk(1 * _t672_temp_string_len);
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t672_temp_string_len * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1562);
                                                      _local_b->_buffer[_t670_array_iter] = _t_alloc_ptr;
                                                    }
                                                    flick_cdr_decode_bcopy(0, _local_b->_buffer[_t670_array_iter], 1 * _t672_temp_string_len);
                                                    flick_iiop_decode_end_chunk(1 * _t672_temp_string_len);
                                                    flick_iiop_decode_end_glob(1 * _t672_temp_string_len);
                                                    continue;
                                                  _flick_abort_block2033:
                                                    {
                                                      _t670_array_iter = _local_b->_length;
                                                    _flick_abort1572:
                                                      _t670_array_iter--;
                                                      CORBA_flick_free(_local_b->_buffer[_t670_array_iter]);
                                                    _flick_abort1562:
                                                      if ((unsigned int )_t670_array_iter > 0)
                                                        goto _flick_abort1572;
                                                      goto _flick_abort1561;
                                                    }
                                                  }
                                                _local_c = (BVSequence **)(&_t673_storage);
                                                _ev = (CORBA_Environment *)(&_t674_storage);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = intf_BoundedVarSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1574);
                                                  flick_iiop_encode_new_glob(8, _flick_abort1574);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        CORBA_unsigned_long _t696_array_iter;
                                                        CORBA_unsigned_long _t702_array_iter;
                                                        CORBA_unsigned_long _t708_array_iter;

                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(8);
                                                        if (_return->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1624);
                                                        for (_t696_array_iter = 0; _t696_array_iter < _return->_length; _t696_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t698_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, _return->_buffer[_t696_array_iter], flick_unsigned32_t , _t698_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort1634);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t698_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t698_temp_string_len, _flick_abort1634);
                                                            flick_iiop_encode_new_chunk(1 * _t698_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t696_array_iter], 1 * _t698_temp_string_len);
                                                            CORBA_flick_free(_return->_buffer[_t696_array_iter]);
                                                            _return->_buffer[_t696_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t698_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t698_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort1634:
                                                              goto _flick_abort1624;
                                                            }
                                                          }
                                                        if (_return->_release)
                                                          CORBA_flick_free(_return->_buffer);
                                                        _return->_maximum = 0;
                                                        _return->_release = 0;
                                                        _return->_buffer = (CORBA_char **)0;
                                                        CORBA_flick_free(_return);
                                                        _return = (BVSequence *)0;
                                                        flick_iiop_encode_new_glob(7, _flick_abort1624);
                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                        flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(7);
                                                        if (_local_b->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1624);
                                                        for (_t702_array_iter = 0; _t702_array_iter < _local_b->_length; _t702_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t704_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, _local_b->_buffer[_t702_array_iter], flick_unsigned32_t , _t704_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort1649);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t704_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t704_temp_string_len, _flick_abort1649);
                                                            flick_iiop_encode_new_chunk(1 * _t704_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, _local_b->_buffer[_t702_array_iter], 1 * _t704_temp_string_len);
                                                            CORBA_flick_free(_local_b->_buffer[_t702_array_iter]);
                                                            _local_b->_buffer[_t702_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t704_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t704_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort1649:
                                                              goto _flick_abort1624;
                                                            }
                                                          }
                                                        if (_local_b->_release)
                                                          CORBA_flick_free(_local_b->_buffer);
                                                        _local_b->_maximum = 0;
                                                        _local_b->_release = 0;
                                                        _local_b->_buffer = (CORBA_char **)0;
                                                        flick_iiop_encode_new_glob(7, _flick_abort1624);
                                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                        flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                                        flick_iiop_encode_end_chunk(4);
                                                        flick_iiop_encode_end_glob(7);
                                                        if ((*_local_c)->_length > 10)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1624);
                                                        for (_t708_array_iter = 0; _t708_array_iter < (*_local_c)->_length; _t708_array_iter++)
                                                          {
                                                            flick_unsigned32_t _t710_temp_string_len;

                                                            flick_cdr_stringlen(CORBA_char *, (*_local_c)->_buffer[_t708_array_iter], flick_unsigned32_t , _t710_temp_string_len);

                                                            flick_iiop_encode_new_glob(7, _flick_abort1664);
                                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_cdr_encode_unsigned32(0, _t710_temp_string_len, flick_unsigned32_t );
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(7);
                                                            flick_iiop_encode_new_glob(1 * _t710_temp_string_len, _flick_abort1664);
                                                            flick_iiop_encode_new_chunk(1 * _t710_temp_string_len);
                                                            flick_cdr_encode_bcopy(0, (*_local_c)->_buffer[_t708_array_iter], 1 * _t710_temp_string_len);
                                                            CORBA_flick_free((*_local_c)->_buffer[_t708_array_iter]);
                                                            (*_local_c)->_buffer[_t708_array_iter] = (CORBA_char *)0;
                                                            flick_iiop_encode_end_chunk(1 * _t710_temp_string_len);
                                                            flick_iiop_encode_end_glob(1 * _t710_temp_string_len);
                                                            continue;
                                                            {
                                                            _flick_abort1664:
                                                              goto _flick_abort1624;
                                                            }
                                                          }
                                                        if ((*_local_c)->_release)
                                                          CORBA_flick_free((*_local_c)->_buffer);
                                                        (*_local_c)->_maximum = 0;
                                                        (*_local_c)->_release = 0;
                                                        (*_local_c)->_buffer = (CORBA_char **)0;
                                                        CORBA_flick_free(*_local_c);
                                                        *_local_c = (BVSequence *)0;
                                                        break;
                                                        {
                                                        _flick_abort1624:
                                                          goto _flick_abort1574;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1670);
                                                        break;
                                                        {
                                                        _flick_abort1670:
                                                          goto _flick_abort1574;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1671);
                                                        flick_iiop_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1671:
                                                          goto _flick_abort1574;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1574:
                                                  goto _flick_abort_block2033;
                                                _flick_abort1561:
                                                  CORBA_flick_free(_local_b->_buffer);
                                                _flick_abort1533:
                                                  goto _flick_abort1532;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1532:
                                                goto _flick_abort2;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 14:
        {
          unsigned int _t711_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t711_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t711_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t712_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t712_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t712_switch_tag)
                  {
                  case /* dSeq */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683187057):
                    {
                      unsigned int _t713_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t713_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t713_switch_tag)
                        {
                        case /* uenc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969581667):
                          {
                            unsigned short int _t714_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t714_switch_tag, unsigned short int );
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t714_switch_tag)
                              {
                              case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                {
                                  {
                                    intf _obj;
                                    unsigned int _t715_principal_len;
                                    UFSequence *_return;
                                    UFSequence *_local_a;
                                    UFSequence _t716_storage;
                                    UFSequence *_local_b;
                                    UFSequence _t717_storage;
                                    UFSequence **_local_c;
                                    UFSequence *_t718_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t719_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1673);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(6);
                                    flick_cdr_decode_unsigned32(2, _t715_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(6);
                                    flick_iiop_decode_end_glob(32);
                                    flick_iiop_check_span(_t715_principal_len, _flick_abort1673);
                                    flick_iiop_decode_new_glob(_t715_principal_len);
                                    flick_iiop_decode_new_chunk(_t715_principal_len);
                                    flick_iiop_decode_end_chunk(_t715_principal_len);
                                    flick_iiop_decode_end_glob(_t715_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (UFSequence *)(&_t716_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort1673);
                                    flick_cdr_decode_unsigned32(0, _local_a->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(4 * _local_a->_length);
                                    flick_iiop_check_span(4 * _local_a->_length + 4, _flick_abort1673);
                                    flick_iiop_decode_new_chunk(4 * _local_a->_length);
                                    flick_cdr_decode_msgptr(0, _local_a->_buffer, CORBA_long *);
                                    _local_a->_maximum = _local_a->_length;
                                    _local_a->_release = 0;
                                    flick_iiop_decode_end_chunk(4 * _local_a->_length);
                                    flick_iiop_decode_end_glob(4 * _local_a->_length);
                                    _local_b = (UFSequence *)(&_t717_storage);
                                    flick_iiop_decode_new_glob(4);
                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(4);
                                    flick_iiop_decode_new_glob(4 * _local_b->_length);
                                    flick_iiop_check_span(4 * _local_b->_length, _flick_abort1673);
                                    flick_iiop_decode_new_chunk(4 * _local_b->_length);
                                    {
                                      CORBA_long *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1673);
                                      _local_b->_buffer = _t_alloc_ptr;
                                      _local_b->_maximum = _local_b->_length;
                                      _local_b->_release = 1;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                    flick_iiop_decode_end_chunk(4 * _local_b->_length);
                                    flick_iiop_decode_end_glob(4 * _local_b->_length);
                                    _local_c = (UFSequence **)(&_t718_storage);
                                    _ev = (CORBA_Environment *)(&_t719_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = intf_FixedSequence(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1678);
                                      flick_iiop_encode_new_glob(8, _flick_abort1678);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(4 * _return->_length, _flick_abort1689);
                                            flick_iiop_encode_new_chunk(4 * _return->_length);
                                            flick_cdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                            if (_return->_release)
                                              CORBA_flick_free(_return->_buffer);
                                            _return->_maximum = 0;
                                            _return->_release = 0;
                                            _return->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * _return->_length);
                                            flick_iiop_encode_end_glob(4 * _return->_length);
                                            CORBA_flick_free(_return);
                                            _return = (UFSequence *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort1689);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _local_b->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            flick_iiop_encode_new_glob(4 * _local_b->_length, _flick_abort1689);
                                            flick_iiop_encode_new_chunk(4 * _local_b->_length);
                                            flick_cdr_encode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                                            if (_local_b->_release)
                                              CORBA_flick_free(_local_b->_buffer);
                                            _local_b->_maximum = 0;
                                            _local_b->_release = 0;
                                            _local_b->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * _local_b->_length);
                                            flick_iiop_encode_end_glob(4 * _local_b->_length);
                                            flick_iiop_encode_new_glob(4, _flick_abort1689);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, (*_local_c)->_length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            flick_iiop_encode_new_glob(4 * (*_local_c)->_length, _flick_abort1689);
                                            flick_iiop_encode_new_chunk(4 * (*_local_c)->_length);
                                            flick_cdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                            if ((*_local_c)->_release)
                                              CORBA_flick_free((*_local_c)->_buffer);
                                            (*_local_c)->_maximum = 0;
                                            (*_local_c)->_release = 0;
                                            (*_local_c)->_buffer = (CORBA_long *)0;
                                            flick_iiop_encode_end_chunk(4 * (*_local_c)->_length);
                                            flick_iiop_encode_end_glob(4 * (*_local_c)->_length);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (UFSequence *)0;
                                            break;
                                            {
                                            _flick_abort1689:
                                              goto _flick_abort1678;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1696);
                                            break;
                                            {
                                            _flick_abort1696:
                                              goto _flick_abort1678;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1697);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort1697:
                                              goto _flick_abort1678;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1678:
                                      CORBA_flick_free(_local_b->_buffer);
                                    _flick_abort1673:
                                      goto _flick_abort1672;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1672:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

