#include "parm_-server.h"


static int _TAO_collocation_POA_intf_Stub_Factory_Initializer_Scarecrow =
  _TAO_collocation_POA_intf_Stub_Factory_Initializer(0);


POA_intf::POA_intf()
{}

POA_intf::POA_intf(const POA_intf &rhs)
  : TAO_ServantBase(rhs)
{}

POA_intf::~POA_intf()
{}

intf *POA_intf::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  if (_env.exception() != 0)
    return 0;
  if (stub->servant_orb_var ()->orb_core ()->optimize_collocation_objects())
    {
      switch (stub->servant_orb_var ()->orb_core ()->get_collocation_strategy ())
        {
        case TAO_ORB_Core::THRU_POA:
          return new _tao_thru_poa_collocated_intf (stub);
        case TAO_ORB_Core::DIRECT:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        default:
          _env.exception(new CORBA::BAD_PARAM ());
          return 0;
        }
    }
  else
    {
      // stub->_incr_refcnt ();
      CORBA::Object_var obj = new CORBA::Object (stub);
      return intf::_unchecked_narrow (obj.in ());
    }
}

CORBA::Boolean POA_intf::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:intf:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_intf::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:intf:1.0") == 0)
    return ACE_static_cast(POA_intf_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_intf::_interface_repository_id() const
{
  return "IDL:intf:1.0";
}

intf_ptr _TAO_collocation_POA_intf_Stub_Factory(CORBA::Object_ptr obj)
{
  TAO_Stub *stub = obj->_stubobj();

  switch(stub->servant_orb_var()->orb_core()->get_collocation_strategy())
  {
  case TAO_ORB_Core::THRU_POA:
    return new _tao_thru_poa_collocated_intf(stub);
  case TAO_ORB_Core::DIRECT:
    break;
  default:
    break;
  }
  return 0;
}

int _TAO_collocation_POA_intf_Stub_Factory_Initializer(int dummy)
{
  ACE_UNUSED_ARG(dummy);

  _TAO_collocation_intf_Stub_Factory_function_pointer =
    _TAO_collocation_POA_intf_Stub_Factory;

  return 0;
}

template <class T>
  POA_intf_tie<T>::POA_intf_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_intf_tie<T>::POA_intf_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_intf_tie<T>::POA_intf_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_intf_tie<T>::POA_intf_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_intf_tie<T>::~POA_intf_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_intf_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_intf_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_intf_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_intf_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_intf_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_intf_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_intf_tie<T>::POA_intf_tie(const POA_intf_tie &c)
{}

template <class T>
  void POA_intf_tie<T>::operator=(const POA_intf_tie &c)
{}

template <class T>
  CORBA::Short POA_intf_tie<T>::Short(/* POA_intf *this, */ CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  return this->ptr_->Short (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_intf_tie<T>::Long(/* POA_intf *this, */ CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->Long (a, b, c, _ev);
}

template <class T>
  CORBA::LongLong POA_intf_tie<T>::LongLong(/* POA_intf *this, */ CORBA::LongLong a, CORBA::LongLong &b, ::CORBA::LongLong &c, CORBA::Environment &_ev)
{
  return this->ptr_->LongLong (a, b, c, _ev);
}

template <class T>
  CORBA::UShort POA_intf_tie<T>::UShort(/* POA_intf *this, */ CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  return this->ptr_->UShort (a, b, c, _ev);
}

template <class T>
  CORBA::ULong POA_intf_tie<T>::ULong(/* POA_intf *this, */ CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  return this->ptr_->ULong (a, b, c, _ev);
}

template <class T>
  CORBA::ULongLong POA_intf_tie<T>::ULongLong(/* POA_intf *this, */ CORBA::ULongLong a, CORBA::ULongLong &b, ::CORBA::ULongLong &c, CORBA::Environment &_ev)
{
  return this->ptr_->ULongLong (a, b, c, _ev);
}

template <class T>
  CORBA::Float POA_intf_tie<T>::Float(/* POA_intf *this, */ CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  return this->ptr_->Float (a, b, c, _ev);
}

template <class T>
  CORBA::Double POA_intf_tie<T>::Double(/* POA_intf *this, */ CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev)
{
  return this->ptr_->Double (a, b, c, _ev);
}

template <class T>
  CORBA::Boolean POA_intf_tie<T>::Boolean(/* POA_intf *this, */ CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  return this->ptr_->Boolean (a, b, c, _ev);
}

template <class T>
  CORBA::Char POA_intf_tie<T>::Char(/* POA_intf *this, */ CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->Char (a, b, c, _ev);
}

template <class T>
  CORBA::Octet POA_intf_tie<T>::Octet(/* POA_intf *this, */ CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  return this->ptr_->Octet (a, b, c, _ev);
}

template <class T>
  enum Enumeration POA_intf_tie<T>::Enum(/* POA_intf *this, */ enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Enum (a, b, c, _ev);
}

template <class T>
  intf_ptr POA_intf_tie<T>::ObjectRef(/* POA_intf *this, */ intf_ptr a, intf_ptr &b, intf_out c, CORBA::Environment &_ev)
{
  return this->ptr_->ObjectRef (a, b, c, _ev);
}

template <class T>
  struct FStruct POA_intf_tie<T>::FixedStruct(/* POA_intf *this, */ const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedStruct (a, b, c, _ev);
}

template <class T>
  struct VStruct *POA_intf_tie<T>::VarStruct(/* POA_intf *this, */ const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarStruct (a, b, c, _ev);
}

template <class T>
  FUnion POA_intf_tie<T>::FixedUnion(/* POA_intf *this, */ const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedUnion (a, b, c, _ev);
}

template <class T>
  VUnion *POA_intf_tie<T>::VarUnion(/* POA_intf *this, */ const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarUnion (a, b, c, _ev);
}

template <class T>
  char *POA_intf_tie<T>::String(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->ptr_->String (a, b, c, _ev);
}

template <class T>
  char *POA_intf_tie<T>::BoundString(/* POA_intf *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->ptr_->BoundString (a, b, c, _ev);
}

template <class T>
  BFSequence *POA_intf_tie<T>::BoundedFixedSequence(/* POA_intf *this, */ const BFSequence &a, BFSequence &b, BFSequence_out c, CORBA::Environment &_ev)
{
  return this->ptr_->BoundedFixedSequence (a, b, c, _ev);
}

template <class T>
  BVSequence *POA_intf_tie<T>::BoundedVarSequence(/* POA_intf *this, */ const BVSequence &a, BVSequence &b, BVSequence_out c, CORBA::Environment &_ev)
{
  return this->ptr_->BoundedVarSequence (a, b, c, _ev);
}

template <class T>
  UFSequence *POA_intf_tie<T>::FixedSequence(/* POA_intf *this, */ const UFSequence &a, UFSequence &b, UFSequence_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedSequence (a, b, c, _ev);
}

template <class T>
  UVSequence *POA_intf_tie<T>::VarSequence(/* POA_intf *this, */ const UVSequence &a, UVSequence &b, UVSequence_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarSequence (a, b, c, _ev);
}

template <class T>
  FArray_slice *POA_intf_tie<T>::FixedArray(/* POA_intf *this, */ const FArray a, FArray b, FArray_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedArray (a, b, c, _ev);
}

template <class T>
  VArray_slice *POA_intf_tie<T>::VarArray(/* POA_intf *this, */ const VArray a, VArray b, VArray_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarArray (a, b, c, _ev);
}

_tao_thru_poa_collocated_intf::_tao_thru_poa_collocated_intf(TAO_Stub *stub)
  : intf(),
    CORBA_Object(stub, 0, 1)
{
}

CORBA::Short _tao_thru_poa_collocated_intf::Short(CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  CORBA::Short  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Short",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Short (a, b, c, _ev);
}

CORBA::Long _tao_thru_poa_collocated_intf::Long(CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  CORBA::Long  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Long",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Long (a, b, c, _ev);
}

CORBA::LongLong _tao_thru_poa_collocated_intf::LongLong(CORBA::LongLong a, CORBA::LongLong &b, ::CORBA::LongLong &c, CORBA::Environment &_ev)
{
  CORBA::LongLong  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "LongLong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->LongLong (a, b, c, _ev);
}

CORBA::UShort _tao_thru_poa_collocated_intf::UShort(CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  CORBA::UShort  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "UShort",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->UShort (a, b, c, _ev);
}

CORBA::ULong _tao_thru_poa_collocated_intf::ULong(CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  CORBA::ULong  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "ULong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->ULong (a, b, c, _ev);
}

CORBA::ULongLong _tao_thru_poa_collocated_intf::ULongLong(CORBA::ULongLong a, CORBA::ULongLong &b, ::CORBA::ULongLong &c, CORBA::Environment &_ev)
{
  CORBA::ULongLong  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "ULongLong",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->ULongLong (a, b, c, _ev);
}

CORBA::Float _tao_thru_poa_collocated_intf::Float(CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  CORBA::Float  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Float",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0.000000;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Float (a, b, c, _ev);
}

CORBA::Double _tao_thru_poa_collocated_intf::Double(CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev)
{
  CORBA::Double  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Double",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0.000000;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Double (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_intf::Boolean(CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Boolean",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Boolean (a, b, c, _ev);
}

CORBA::Char _tao_thru_poa_collocated_intf::Char(CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  CORBA::Char  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Char",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Char (a, b, c, _ev);
}

CORBA::Octet _tao_thru_poa_collocated_intf::Octet(CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  CORBA::Octet  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Octet",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Octet (a, b, c, _ev);
}

enum Enumeration _tao_thru_poa_collocated_intf::Enum(enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev)
{
  enum Enumeration  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "Enum",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = ONE;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->Enum (a, b, c, _ev);
}

intf_ptr _tao_thru_poa_collocated_intf::ObjectRef(intf_ptr a, intf_ptr &b, intf_out c, CORBA::Environment &_ev)
{
  intf_ptr  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "ObjectRef",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->ObjectRef (a, b, c, _ev);
}

struct FStruct _tao_thru_poa_collocated_intf::FixedStruct(const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev)
{
  struct FStruct  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "FixedStruct",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval.a = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->FixedStruct (a, b, c, _ev);
}

struct VStruct *_tao_thru_poa_collocated_intf::VarStruct(const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev)
{
  struct VStruct * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "VarStruct",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->VarStruct (a, b, c, _ev);
}

FUnion _tao_thru_poa_collocated_intf::FixedUnion(const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev)
{
  FUnion  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "FixedUnion",
      _ev
    );
  if (_ev.exception() != 0) {
    memset(&_retval, 0, sizeof(FUnion ));
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->FixedUnion (a, b, c, _ev);
}

VUnion *_tao_thru_poa_collocated_intf::VarUnion(const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev)
{
  VUnion * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "VarUnion",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->VarUnion (a, b, c, _ev);
}

char *_tao_thru_poa_collocated_intf::String(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "String",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->String (a, b, c, _ev);
}

char *_tao_thru_poa_collocated_intf::BoundString(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  char * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "BoundString",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->BoundString (a, b, c, _ev);
}

BFSequence *_tao_thru_poa_collocated_intf::BoundedFixedSequence(const BFSequence &a, BFSequence &b, BFSequence_out c, CORBA::Environment &_ev)
{
  BFSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "BoundedFixedSequence",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->BoundedFixedSequence (a, b, c, _ev);
}

BVSequence *_tao_thru_poa_collocated_intf::BoundedVarSequence(const BVSequence &a, BVSequence &b, BVSequence_out c, CORBA::Environment &_ev)
{
  BVSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "BoundedVarSequence",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->BoundedVarSequence (a, b, c, _ev);
}

UFSequence *_tao_thru_poa_collocated_intf::FixedSequence(const UFSequence &a, UFSequence &b, UFSequence_out c, CORBA::Environment &_ev)
{
  UFSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "FixedSequence",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->FixedSequence (a, b, c, _ev);
}

UVSequence *_tao_thru_poa_collocated_intf::VarSequence(const UVSequence &a, UVSequence &b, UVSequence_out c, CORBA::Environment &_ev)
{
  UVSequence * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "VarSequence",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->VarSequence (a, b, c, _ev);
}

FArray_slice *_tao_thru_poa_collocated_intf::FixedArray(const FArray a, FArray b, FArray_out c, CORBA::Environment &_ev)
{
  FArray_slice * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "FixedArray",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->FixedArray (a, b, c, _ev);
}

VArray_slice *_tao_thru_poa_collocated_intf::VarArray(const VArray a, VArray b, VArray_out c, CORBA::Environment &_ev)
{
  VArray_slice * _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "VarArray",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->VarArray (a, b, c, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_intf::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_is_a",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->_is_a (type_id, _ev);
}

CORBA::Boolean _tao_thru_poa_collocated_intf::_non_existent(CORBA::Environment &_ev)
{
  CORBA::Boolean  _retval;
  TAO_Object_Adapter::Servant_Upcall servant_upcall (
      *this->_stubobj()->servant_orb_var()->orb_core()->object_adapter()
    );
  servant_upcall.prepare_for_upcall (
      this->_object_key(),
      "_non_existent",
      _ev
    );
  if (_ev.exception() != 0) {
    _retval = 0;
    return _retval;
  }
  return ACE_reinterpret_cast(
      POA_intf_ptr ,
      servant_upcall.servant ()->_downcast (
          "IDL:intf:1.0"
        )
    )->_non_existent (_ev);
}
void POA_intf::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();




  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;

  _stub_state.state = FLICK_STATE_UNMARSHAL;

  if (_in_cdr.do_byte_swap()) {
    {
      unsigned int _t906_switch_tag;

      flick_iiopxx_decode_new_glob(32);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t906_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t906_switch_tag)
        {
        case (unsigned int) 6:
          {
            unsigned int _t907_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t907_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t907_switch_tag)
              {
              case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
                {
                  unsigned short int _t908_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t908_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t908_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t909_principal_len;
                          CORBA::Short _return;
                          CORBA::Short _local_a;
                          CORBA::Short _local_b;
                          CORBA::Short _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2445);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t909_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t909_principal_len, _flick_abort2445);
                          flick_iiopxx_decode_new_glob(_t909_principal_len);
                          flick_iiopxx_decode_new_chunk(_t909_principal_len);
                          flick_iiopxx_decode_end_chunk(_t909_principal_len);
                          flick_iiopxx_decode_end_glob(_t909_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(5);
                          flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort2445);
                          flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                          flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(5);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t910_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t910_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2445);
                            flick_iiopxx_encode_new_glob(10, _flick_abort2445);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t910_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t910_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(6);
                                  flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                  flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                  flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                  flick_iiopxx_encode_end_chunk(6);
                                  flick_iiopxx_encode_end_glob(10);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(10);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2451);
                                  break;
                                  {
                                  _flick_abort2451:
                                    goto _flick_abort2445;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2452);
                                  flick_iiopxx_encode_end_glob(10);
                                  break;
                                  {
                                  _flick_abort2452:
                                    goto _flick_abort2445;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2445:
                            goto _flick_abort2444;
                          }
                        }
                        break;
                        {
                        _flick_abort2444:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
                {
                  unsigned short int _t911_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t911_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t911_switch_tag)
                    {
                    case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t912_principal_len;
                          CORBA::ULong _return;
                          CORBA::ULong _local_a;
                          CORBA::ULong _local_b;
                          CORBA::ULong _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2454);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t912_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t912_principal_len, _flick_abort2454);
                          flick_iiopxx_decode_new_glob(_t912_principal_len);
                          flick_iiopxx_decode_new_chunk(_t912_principal_len);
                          flick_iiopxx_decode_end_chunk(_t912_principal_len);
                          flick_iiopxx_decode_end_glob(_t912_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort2454);
                          flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA::ULong );
                          flick_cdr_swap_decode_unsigned32(4, _local_b, CORBA::ULong );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t913_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t913_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2454);
                            flick_iiopxx_encode_new_glob(16, _flick_abort2454);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t913_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t913_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                  flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                  flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2460);
                                  break;
                                  {
                                  _flick_abort2460:
                                    goto _flick_abort2454;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2461);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort2461:
                                    goto _flick_abort2454;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2454:
                            goto _flick_abort2453;
                          }
                        }
                        break;
                        {
                        _flick_abort2453:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
                {
                  unsigned short int _t914_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t914_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t914_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t915_principal_len;
                          CORBA::Float _return;
                          CORBA::Float _local_a;
                          CORBA::Float _local_b;
                          CORBA::Float _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2463);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t915_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t915_principal_len, _flick_abort2463);
                          flick_iiopxx_decode_new_glob(_t915_principal_len);
                          flick_iiopxx_decode_new_chunk(_t915_principal_len);
                          flick_iiopxx_decode_end_chunk(_t915_principal_len);
                          flick_iiopxx_decode_end_glob(_t915_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0.000000;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort2463);
                          flick_cdr_swap_decode_float32(0, _local_a, CORBA::Float );
                          flick_cdr_swap_decode_float32(4, _local_b, CORBA::Float );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t916_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t916_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2463);
                            flick_iiopxx_encode_new_glob(16, _flick_abort2463);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t916_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t916_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_float32(0, _return, CORBA::Float );
                                  flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                  flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2469);
                                  break;
                                  {
                                  _flick_abort2469:
                                    goto _flick_abort2463;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2470);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort2470:
                                    goto _flick_abort2463;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2463:
                            goto _flick_abort2462;
                          }
                        }
                        break;
                        {
                        _flick_abort2462:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
                {
                  unsigned short int _t917_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t917_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t917_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t918_principal_len;
                          CORBA::Octet _return;
                          CORBA::Octet _local_a;
                          CORBA::Octet _local_b;
                          CORBA::Octet _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2472);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t918_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t918_principal_len + 2, _flick_abort2472);
                          flick_iiopxx_decode_new_glob(_t918_principal_len);
                          flick_iiopxx_decode_new_chunk(_t918_principal_len);
                          flick_iiopxx_decode_end_chunk(_t918_principal_len);
                          flick_iiopxx_decode_end_glob(_t918_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Octet );
                          flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Octet );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t919_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t919_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2472);
                            flick_iiopxx_encode_new_glob(7, _flick_abort2472);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t919_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t919_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                  flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                  flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2478);
                                  break;
                                  {
                                  _flick_abort2478:
                                    goto _flick_abort2472;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2479);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort2479:
                                    goto _flick_abort2472;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2472:
                            goto _flick_abort2471;
                          }
                        }
                        break;
                        {
                        _flick_abort2471:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t920_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t920_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t920_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t921_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t922_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2481);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_swap_decode_unsigned32(2, _t921_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t921_principal_len, _flick_abort2481);
                          flick_iiopxx_decode_new_glob(_t921_principal_len);
                          flick_iiopxx_decode_new_chunk(_t921_principal_len);
                          flick_iiopxx_decode_end_chunk(_t921_principal_len);
                          flick_iiopxx_decode_end_glob(_t921_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort2481);
                          flick_cdr_swap_decode_unsigned32(0, _t922_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t922_temp_string_len);
                          flick_iiopxx_check_span(1 * _t922_temp_string_len, _flick_abort2481);
                          flick_iiopxx_decode_new_chunk(1 * _t922_temp_string_len);
                          flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t922_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t922_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t923_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t923_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2481);
                            flick_iiopxx_encode_new_glob(5, _flick_abort2481);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t923_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t923_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2489);
                                  break;
                                  {
                                  _flick_abort2489:
                                    goto _flick_abort2481;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2490);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort2490:
                                    goto _flick_abort2481;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2481:
                            goto _flick_abort2480;
                          }
                        }
                        break;
                        {
                        _flick_abort2480:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 5:
          {
            unsigned int _t924_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t924_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t924_switch_tag)
              {
              case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                {
                  char _t925_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t925_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t925_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t926_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2492);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_swap_decode_unsigned32(3, _t926_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t926_principal_len, _flick_abort2492);
                          flick_iiopxx_decode_new_glob(_t926_principal_len);
                          flick_iiopxx_decode_new_chunk(_t926_principal_len);
                          flick_iiopxx_decode_end_chunk(_t926_principal_len);
                          flick_iiopxx_decode_end_glob(_t926_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort2492);
                          flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t927_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t927_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2492);
                            flick_iiopxx_encode_new_glob(16, _flick_abort2492);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t927_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t927_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                  flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2498);
                                  break;
                                  {
                                  _flick_abort2498:
                                    goto _flick_abort2492;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2499);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort2499:
                                    goto _flick_abort2492;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2492:
                            goto _flick_abort2491;
                          }
                        }
                        break;
                        {
                        _flick_abort2491:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
                {
                  char _t928_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t928_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t928_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t929_principal_len;
                          CORBA::Char _return;
                          CORBA::Char _local_a;
                          CORBA::Char _local_b;
                          CORBA::Char _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2501);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_swap_decode_unsigned32(3, _t929_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t929_principal_len + 2, _flick_abort2501);
                          flick_iiopxx_decode_new_glob(_t929_principal_len);
                          flick_iiopxx_decode_new_chunk(_t929_principal_len);
                          flick_iiopxx_decode_end_chunk(_t929_principal_len);
                          flick_iiopxx_decode_end_glob(_t929_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_swap_decode_char8(0, _local_a, CORBA::Char );
                          flick_cdr_swap_decode_char8(1, _local_b, CORBA::Char );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t930_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t930_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2501);
                            flick_iiopxx_encode_new_glob(7, _flick_abort2501);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t930_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t930_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                  flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                  flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2507);
                                  break;
                                  {
                                  _flick_abort2507:
                                    goto _flick_abort2501;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2508);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort2508:
                                    goto _flick_abort2501;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2501:
                            goto _flick_abort2500;
                          }
                        }
                        break;
                        {
                        _flick_abort2500:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
                {
                  char _t931_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _t931_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t931_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t932_principal_len;
                          enum Enumeration _return;
                          enum Enumeration _local_a;
                          enum Enumeration _local_b;
                          enum Enumeration _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2510);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_swap_decode_unsigned32(3, _t932_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t932_principal_len, _flick_abort2510);
                          flick_iiopxx_decode_new_glob(_t932_principal_len);
                          flick_iiopxx_decode_new_chunk(_t932_principal_len);
                          flick_iiopxx_decode_end_chunk(_t932_principal_len);
                          flick_iiopxx_decode_end_glob(_t932_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort2510);
                          flick_cdr_swap_decode_unsigned32(0, _local_a, enum Enumeration );
                          flick_cdr_swap_decode_unsigned32(4, _local_b, enum Enumeration );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t933_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t933_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2510);
                            flick_iiopxx_encode_new_glob(16, _flick_abort2510);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t933_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t933_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_unsigned32(0, _return, enum Enumeration );
                                  flick_cdr_encode_unsigned32(4, _local_b, enum Enumeration );
                                  flick_cdr_encode_unsigned32(8, _local_c, enum Enumeration );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2516);
                                  break;
                                  {
                                  _flick_abort2516:
                                    goto _flick_abort2510;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2517);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort2517:
                                    goto _flick_abort2510;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2510:
                            goto _flick_abort2509;
                          }
                        }
                        break;
                        {
                        _flick_abort2509:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t934_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t934_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t934_switch_tag)
              {
              case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                {
                  unsigned int _t935_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t935_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t935_switch_tag)
                    {
                    case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                      {
                        char _t936_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t936_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t936_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t937_principal_len;
                                CORBA::LongLong _return;
                                CORBA::LongLong _local_a;
                                CORBA::LongLong _local_b;
                                CORBA::LongLong _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2519);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t937_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t937_principal_len, _flick_abort2519);
                                flick_iiopxx_decode_new_glob(_t937_principal_len);
                                flick_iiopxx_decode_new_chunk(_t937_principal_len);
                                flick_iiopxx_decode_end_chunk(_t937_principal_len);
                                flick_iiopxx_decode_end_glob(_t937_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort2519);
                                flick_cdr_swap_decode_signed64(0, _local_a, CORBA::LongLong );
                                flick_cdr_swap_decode_signed64(8, _local_b, CORBA::LongLong );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->LongLong(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t938_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t938_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2519);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort2519);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t938_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t938_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_signed64(0, _return, CORBA::LongLong );
                                        flick_cdr_encode_signed64(8, _local_b, CORBA::LongLong );
                                        flick_cdr_encode_signed64(16, _local_c, CORBA::LongLong );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2525);
                                        break;
                                        {
                                        _flick_abort2525:
                                          goto _flick_abort2519;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2526);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort2526:
                                          goto _flick_abort2519;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2519:
                                  goto _flick_abort2518;
                                }
                              }
                              break;
                              {
                              _flick_abort2518:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
                {
                  unsigned int _t939_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t939_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t939_switch_tag)
                    {
                    case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                      {
                        char _t940_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t940_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t940_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t941_principal_len;
                                VUnion *_return;
                                VUnion _local_a;
                                VUnion _local_b;
                                VUnion *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2528);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t941_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t941_principal_len, _flick_abort2528);
                                flick_iiopxx_decode_new_glob(_t941_principal_len);
                                flick_iiopxx_decode_new_chunk(_t941_principal_len);
                                flick_iiopxx_decode_end_chunk(_t941_principal_len);
                                flick_iiopxx_decode_end_glob(_t941_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(5, _flick_abort2528);
                                flick_cdr_swap_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                flick_iiopxx_decode_end_chunk(4);
                                switch (_local_a.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t943_temp_string_len;

                                      flick_iiopxx_check_span(4, _flick_abort2534);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_swap_decode_unsigned32(0, _t943_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_iiopxx_decode_new_glob(1 * _t943_temp_string_len);
                                      flick_iiopxx_check_span(1 * _t943_temp_string_len, _flick_abort2534);
                                      flick_iiopxx_decode_new_chunk(1 * _t943_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t943_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2534);
                                        _local_a._u.a = _t_alloc_ptr;
                                      }
                                      flick_cdr_swap_decode_bcopy(0, _local_a._u.a, 1 * _t943_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t943_temp_string_len);
                                      flick_iiopxx_decode_end_glob(1 * _t943_temp_string_len);
                                      break;
                                      {
                                      _flick_abort2534:
                                        goto _flick_abort2528;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiopxx_decode_new_chunk(1);
                                      flick_cdr_swap_decode_char8(0, _local_a._u.z, CORBA::Char );
                                      flick_iiopxx_decode_end_chunk(1);
                                      flick_iiopxx_decode_end_glob(11);
                                      break;
                                      {
                                        goto _flick_abort2528;
                                      }
                                    }
                                  }
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(5, _flick_abort2528);
                                flick_cdr_swap_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                flick_iiopxx_decode_end_chunk(4);
                                switch (_local_b.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t945_temp_string_len;

                                      flick_iiopxx_check_span(4, _flick_abort2543);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_swap_decode_unsigned32(0, _t945_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_iiopxx_decode_new_glob(1 * _t945_temp_string_len);
                                      flick_iiopxx_check_span(1 * _t945_temp_string_len, _flick_abort2543);
                                      flick_iiopxx_decode_new_chunk(1 * _t945_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t945_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2543);
                                        _local_b._u.a = _t_alloc_ptr;
                                      }
                                      flick_cdr_swap_decode_bcopy(0, _local_b._u.a, 1 * _t945_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t945_temp_string_len);
                                      flick_iiopxx_decode_end_glob(1 * _t945_temp_string_len);
                                      break;
                                      {
                                      _flick_abort2543:
                                        goto _flick_abort2528;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiopxx_decode_new_chunk(1);
                                      flick_cdr_swap_decode_char8(0, _local_b._u.z, CORBA::Char );
                                      flick_iiopxx_decode_end_chunk(1);
                                      flick_iiopxx_decode_end_glob(11);
                                      break;
                                      {
                                        goto _flick_abort2528;
                                      }
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarUnion(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t946_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t946_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2528);
                                  flick_iiopxx_encode_new_glob(12, _flick_abort2528);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t946_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t946_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_return->disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t954_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _return->_u.a, flick_unsigned32_t , _t954_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t954_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(12);
                                              flick_iiopxx_encode_new_glob(1 * _t954_temp_string_len, _flick_abort2584);
                                              flick_iiopxx_encode_new_chunk(1 * _t954_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t954_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t954_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t954_temp_string_len);
                                              break;
                                              {
                                              _flick_abort2584:
                                                goto _flick_abort2578;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _return->_u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(12);
                                              break;
                                            }
                                          }
                                        delete _return;
                                        _return = (VUnion *)0;
                                        flick_iiopxx_encode_new_glob(11, _flick_abort2578);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_local_b.disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t956_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _local_b._u.a, flick_unsigned32_t , _t956_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t956_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_iiopxx_encode_new_glob(1 * _t956_temp_string_len, _flick_abort2593);
                                              flick_iiopxx_encode_new_chunk(1 * _t956_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _local_b._u.a, 1 * _t956_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t956_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t956_temp_string_len);
                                              break;
                                              {
                                              _flick_abort2593:
                                                goto _flick_abort2578;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(11);
                                              break;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(11, _flick_abort2578);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_c->disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_local_c->disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t958_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _local_c->_u.a, flick_unsigned32_t , _t958_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t958_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_iiopxx_encode_new_glob(1 * _t958_temp_string_len, _flick_abort2602);
                                              flick_iiopxx_encode_new_chunk(1 * _t958_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _local_c->_u.a, 1 * _t958_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t958_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t958_temp_string_len);
                                              break;
                                              {
                                              _flick_abort2602:
                                                goto _flick_abort2578;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _local_c->_u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(11);
                                              break;
                                            }
                                          }
                                        delete _local_c;
                                        _local_c = (VUnion *)0;
                                        break;
                                        {
                                        _flick_abort2578:
                                          goto _flick_abort2528;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(12);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2606);
                                        break;
                                        {
                                        _flick_abort2606:
                                          goto _flick_abort2528;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2607);
                                        flick_iiopxx_encode_end_glob(12);
                                        break;
                                        {
                                        _flick_abort2607:
                                          goto _flick_abort2528;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2528:
                                  goto _flick_abort2527;
                                }
                              }
                              break;
                              {
                              _flick_abort2527:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226817):
                {
                  unsigned int _t959_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t959_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t959_switch_tag)
                    {
                    case /* rray */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920098681):
                      {
                        char _t960_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t960_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t960_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t961_principal_len;
                                VArray_slice *_return;
                                TAO_String_Manager *_local_a;
                                flick_unsigned32_t _t965_array_iter;
                                TAO_String_Manager *_local_b;
                                flick_unsigned32_t _t971_array_iter;
                                VArray_slice *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2609);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_swap_decode_unsigned32(3, _t961_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t961_principal_len, _flick_abort2609);
                                flick_iiopxx_decode_new_glob(_t961_principal_len);
                                flick_iiopxx_decode_new_chunk(_t961_principal_len);
                                flick_iiopxx_decode_end_chunk(_t961_principal_len);
                                flick_iiopxx_decode_end_glob(_t961_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                {
                                  TAO_String_Manager *_t_alloc_ptr;

                                  _t_alloc_ptr = (TAO_String_Manager *)new (TAO_String_Manager [10]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2609);
                                  _local_a = _t_alloc_ptr;
                                }
                                for (_t965_array_iter = 0; _t965_array_iter < 10; _t965_array_iter++)
                                  {
                                    flick_unsigned32_t _t967_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort2619);
                                    flick_cdr_swap_decode_unsigned32(0, _t967_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t967_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t967_temp_string_len, _flick_abort2619);
                                    flick_iiopxx_decode_new_chunk(1 * _t967_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t967_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2619);
                                      _local_a[_t965_array_iter].inout() = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_a[_t965_array_iter].inout(), 1 * _t967_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t967_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t967_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort2619:
                                      goto _flick_abort2609;
                                    }
                                  }
                                {
                                  TAO_String_Manager *_t_alloc_ptr;

                                  _t_alloc_ptr = (TAO_String_Manager *)new (TAO_String_Manager [10]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2609);
                                  _local_b = _t_alloc_ptr;
                                }
                                for (_t971_array_iter = 0; _t971_array_iter < 10; _t971_array_iter++)
                                  {
                                    flick_unsigned32_t _t973_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort2634);
                                    flick_cdr_swap_decode_unsigned32(0, _t973_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t973_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t973_temp_string_len, _flick_abort2634);
                                    flick_iiopxx_decode_new_chunk(1 * _t973_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t973_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2634);
                                      _local_b[_t971_array_iter].inout() = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b[_t971_array_iter].inout(), 1 * _t973_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t973_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t973_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort2634:
                                      goto _flick_abort2609;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarArray(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t974_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t974_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2609);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort2609);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t974_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t974_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t996_array_iter;
                                        flick_unsigned32_t _t1002_array_iter;
                                        flick_unsigned32_t _t1008_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t996_array_iter = 0; _t996_array_iter < 10; _t996_array_iter++)
                                          {
                                            flick_unsigned32_t _t998_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return[_t996_array_iter].in(), flick_unsigned32_t , _t998_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2699);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t998_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t998_temp_string_len, _flick_abort2699);
                                            flick_iiopxx_encode_new_chunk(1 * _t998_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return[_t996_array_iter].in(), 1 * _t998_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t998_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t998_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2699:
                                              goto _flick_abort2689;
                                            }
                                          }
                                        delete [] _return;
                                        _return = (TAO_String_Manager *)0;
                                        for (_t1002_array_iter = 0; _t1002_array_iter < 10; _t1002_array_iter++)
                                          {
                                            flick_unsigned32_t _t1004_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b[_t1002_array_iter].inout(), flick_unsigned32_t , _t1004_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2714);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t1004_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t1004_temp_string_len, _flick_abort2714);
                                            flick_iiopxx_encode_new_chunk(1 * _t1004_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b[_t1002_array_iter].inout(), 1 * _t1004_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t1004_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t1004_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2714:
                                              goto _flick_abort2689;
                                            }
                                          }
                                        delete [] _local_b;
                                        _local_b = (TAO_String_Manager *)0;
                                        for (_t1008_array_iter = 0; _t1008_array_iter < 10; _t1008_array_iter++)
                                          {
                                            flick_unsigned32_t _t1010_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c[_t1008_array_iter].inout(), flick_unsigned32_t , _t1010_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2729);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t1010_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t1010_temp_string_len, _flick_abort2729);
                                            flick_iiopxx_encode_new_chunk(1 * _t1010_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c[_t1008_array_iter].inout(), 1 * _t1010_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t1010_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t1010_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2729:
                                              goto _flick_abort2689;
                                            }
                                          }
                                        delete [] _local_c;
                                        _local_c = (TAO_String_Manager *)0;
                                        break;
                                        {
                                        _flick_abort2689:
                                          goto _flick_abort2609;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2735);
                                        break;
                                        {
                                        _flick_abort2735:
                                          goto _flick_abort2609;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2736);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort2736:
                                          goto _flick_abort2609;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2609:
                                  goto _flick_abort2608;
                                }
                              }
                              break;
                              {
                              _flick_abort2608:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t1011_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1011_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1011_switch_tag)
              {
              case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
                {
                  unsigned short int _t1012_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t1012_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t1012_switch_tag)
                    {
                    case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                      {
                        char _t1013_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t1013_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t1013_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1014_principal_len;
                                CORBA::UShort _return;
                                CORBA::UShort _local_a;
                                CORBA::UShort _local_b;
                                CORBA::UShort _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2738);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t1014_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1014_principal_len, _flick_abort2738);
                                flick_iiopxx_decode_new_glob(_t1014_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1014_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1014_principal_len);
                                flick_iiopxx_decode_end_glob(_t1014_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2738);
                                flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA::UShort );
                                flick_cdr_swap_decode_unsigned16(2, _local_b, CORBA::UShort );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1015_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1015_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2738);
                                  flick_iiopxx_encode_new_glob(10, _flick_abort2738);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1015_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1015_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(6);
                                        flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                        flick_iiopxx_encode_end_chunk(6);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(10);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2744);
                                        break;
                                        {
                                        _flick_abort2744:
                                          goto _flick_abort2738;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2745);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                        {
                                        _flick_abort2745:
                                          goto _flick_abort2738;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2738:
                                  goto _flick_abort2737;
                                }
                              }
                              break;
                              {
                              _flick_abort2737:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
                {
                  unsigned short int _t1016_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t1016_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t1016_switch_tag)
                    {
                    case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                      {
                        char _t1017_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t1017_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t1017_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1018_principal_len;
                                CORBA::Double _return;
                                CORBA::Double _local_a;
                                CORBA::Double _local_b;
                                CORBA::Double _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2747);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t1018_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1018_principal_len, _flick_abort2747);
                                flick_iiopxx_decode_new_glob(_t1018_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1018_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1018_principal_len);
                                flick_iiopxx_decode_end_glob(_t1018_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0.000000;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort2747);
                                flick_cdr_swap_decode_float64(0, _local_a, CORBA::Double );
                                flick_cdr_swap_decode_float64(8, _local_b, CORBA::Double );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->Double(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1019_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1019_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2747);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort2747);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1019_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1019_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_b, CORBA::Double );
                                        flick_cdr_encode_float64(16, _local_c, CORBA::Double );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2753);
                                        break;
                                        {
                                        _flick_abort2753:
                                          goto _flick_abort2747;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2754);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort2754:
                                          goto _flick_abort2747;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2747:
                                  goto _flick_abort2746;
                                }
                              }
                              break;
                              {
                              _flick_abort2746:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                {
                  unsigned short int _t1020_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t1020_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t1020_switch_tag)
                    {
                    case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                      {
                        char _t1021_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _t1021_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t1021_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1022_principal_len;
                                char *_return;
                                char *_local_a;
                                flick_unsigned32_t _t1023_temp_string_len;
                                char *_local_b;
                                flick_unsigned32_t _t1024_temp_string_len;
                                char *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2756);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_swap_decode_unsigned32(1, _t1022_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1022_principal_len, _flick_abort2756);
                                flick_iiopxx_decode_new_glob(_t1022_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1022_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1022_principal_len);
                                flick_iiopxx_decode_end_glob(_t1022_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2756);
                                flick_cdr_swap_decode_unsigned32(0, _t1023_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t1023_temp_string_len);
                                flick_iiopxx_check_span(1 * _t1023_temp_string_len, _flick_abort2756);
                                flick_iiopxx_decode_new_chunk(1 * _t1023_temp_string_len);
                                flick_cdr_swap_decode_msgptr(0, _local_a, CORBA::Char *);
                                flick_iiopxx_decode_end_chunk(1 * _t1023_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t1023_temp_string_len);
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2756);
                                flick_cdr_swap_decode_unsigned32(0, _t1024_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t1024_temp_string_len);
                                flick_iiopxx_check_span(1 * _t1024_temp_string_len, _flick_abort2756);
                                flick_iiopxx_decode_new_chunk(1 * _t1024_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1024_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2756);
                                  _local_b = _t_alloc_ptr;
                                }
                                flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t1024_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t1024_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t1024_temp_string_len);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->String(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1025_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1025_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2761);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort2761);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1025_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1025_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t1029_temp_string_len;
                                        flick_unsigned32_t _t1030_temp_string_len;
                                        flick_unsigned32_t _t1031_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t1029_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_b), flick_unsigned32_t , _t1030_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_c), flick_unsigned32_t , _t1031_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _t1029_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_iiopxx_encode_new_glob(1 * _t1029_temp_string_len, _flick_abort2772);
                                        flick_iiopxx_encode_new_chunk(1 * _t1029_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_return), 1 * _t1029_temp_string_len);
                                        CORBA_string_flick_free((_return));
                                        (_return) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t1029_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1029_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2772);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1030_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t1030_temp_string_len, _flick_abort2772);
                                        flick_iiopxx_encode_new_chunk(1 * _t1030_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_local_b), 1 * _t1030_temp_string_len);
                                        CORBA_string_flick_free((_local_b));
                                        (_local_b) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t1030_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1030_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2772);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1031_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t1031_temp_string_len, _flick_abort2772);
                                        flick_iiopxx_encode_new_chunk(1 * _t1031_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_local_c), 1 * _t1031_temp_string_len);
                                        CORBA_string_flick_free((_local_c));
                                        (_local_c) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t1031_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1031_temp_string_len);
                                        break;
                                        {
                                        _flick_abort2772:
                                          goto _flick_abort2761;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2779);
                                        break;
                                        {
                                        _flick_abort2779:
                                          goto _flick_abort2761;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2780);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort2780:
                                          goto _flick_abort2761;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2761:
                                  CORBA_string_flick_free(_local_b);
                                _flick_abort2756:
                                  goto _flick_abort2755;
                                }
                              }
                              break;
                              {
                              _flick_abort2755:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t1032_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1032_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1032_switch_tag)
              {
              case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
                {
                  unsigned int _t1033_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1033_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1033_switch_tag)
                    {
                    case /* gLon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1733062510):
                      {
                        unsigned short int _t1034_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t1034_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t1034_switch_tag)
                          {
                          case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1035_principal_len;
                                CORBA::ULongLong _return;
                                CORBA::ULongLong _local_a;
                                CORBA::ULongLong _local_b;
                                CORBA::ULongLong _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2782);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t1035_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1035_principal_len, _flick_abort2782);
                                flick_iiopxx_decode_new_glob(_t1035_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1035_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1035_principal_len);
                                flick_iiopxx_decode_end_glob(_t1035_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort2782);
                                flick_cdr_swap_decode_unsigned64(0, _local_a, CORBA::ULongLong );
                                flick_cdr_swap_decode_unsigned64(8, _local_b, CORBA::ULongLong );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->ULongLong(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1036_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1036_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2782);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort2782);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1036_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1036_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_unsigned64(0, _return, CORBA::ULongLong );
                                        flick_cdr_encode_unsigned64(8, _local_b, CORBA::ULongLong );
                                        flick_cdr_encode_unsigned64(16, _local_c, CORBA::ULongLong );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2788);
                                        break;
                                        {
                                        _flick_abort2788:
                                          goto _flick_abort2782;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2789);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort2789:
                                          goto _flick_abort2782;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2782:
                                  goto _flick_abort2781;
                                }
                              }
                              break;
                              {
                              _flick_abort2781:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Obje */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331849829):
                {
                  unsigned int _t1037_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1037_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1037_switch_tag)
                    {
                    case /* ctRe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668567653):
                      {
                        unsigned short int _t1038_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t1038_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t1038_switch_tag)
                          {
                          case /* f */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26112):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1039_principal_len;
                                intf_ptr _return;
                                intf_ptr _local_a;
                                intf_ptr _local_b;
                                intf_ptr _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2791);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t1039_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1039_principal_len, _flick_abort2791);
                                flick_iiopxx_decode_new_glob(_t1039_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1039_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1039_principal_len);
                                flick_iiopxx_decode_end_glob(_t1039_principal_len);
                                /* Begin decode phase on parameters */
                                flick_cdr_swapxx_decode_IOR(iiopxx, _local_a, 1, intf , _flick_abort2791);
                                flick_iiopxx_mark_port_for_cleanup(_local_a, 1);
                                flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, intf , _flick_abort2791);
                                flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->ObjectRef(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1040_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1040_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2791);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort2791);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1040_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1040_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, intf , _flick_abort2796);
                                        CORBA_object_flick_free(_return);
                                        _return = (intf *)0;
                                        flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, intf , _flick_abort2796);
                                        CORBA_object_flick_free(_local_b);
                                        _local_b = (intf *)0;
                                        flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, intf , _flick_abort2796);
                                        CORBA_object_flick_free(_local_c);
                                        _local_c = (intf *)0;
                                        break;
                                        {
                                        _flick_abort2796:
                                          goto _flick_abort2791;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2797);
                                        break;
                                        {
                                        _flick_abort2797:
                                          goto _flick_abort2791;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2798);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort2798:
                                          goto _flick_abort2791;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2791:
                                  goto _flick_abort2790;
                                }
                              }
                              break;
                              {
                              _flick_abort2790:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
                {
                  unsigned int _t1041_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1041_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1041_switch_tag)
                    {
                    case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                      {
                        unsigned short int _t1042_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t1042_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t1042_switch_tag)
                          {
                          case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1043_principal_len;
                                struct VStruct *_return;
                                struct VStruct _local_a;
                                flick_unsigned32_t _t1044_temp_string_len;
                                struct VStruct _local_b;
                                flick_unsigned32_t _t1045_temp_string_len;
                                struct VStruct *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2800);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_swap_decode_unsigned32(2, _t1043_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1043_principal_len, _flick_abort2800);
                                flick_iiopxx_decode_new_glob(_t1043_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1043_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1043_principal_len);
                                flick_iiopxx_decode_end_glob(_t1043_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2800);
                                flick_cdr_swap_decode_unsigned32(0, _t1044_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t1044_temp_string_len);
                                flick_iiopxx_check_span(1 * _t1044_temp_string_len, _flick_abort2800);
                                flick_iiopxx_decode_new_chunk(1 * _t1044_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1044_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2800);
                                  _local_a.a.inout() = _t_alloc_ptr;
                                }
                                flick_cdr_swap_decode_bcopy(0, _local_a.a.inout(), 1 * _t1044_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t1044_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t1044_temp_string_len);
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2800);
                                flick_cdr_swap_decode_unsigned32(0, _t1045_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t1045_temp_string_len);
                                flick_iiopxx_check_span(1 * _t1045_temp_string_len, _flick_abort2800);
                                flick_iiopxx_decode_new_chunk(1 * _t1045_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1045_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2800);
                                  _local_b.a.inout() = _t_alloc_ptr;
                                }
                                flick_cdr_swap_decode_bcopy(0, _local_b.a.inout(), 1 * _t1045_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t1045_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t1045_temp_string_len);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarStruct(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1046_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1046_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2800);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort2800);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1046_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1046_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t1050_temp_string_len;
                                        flick_unsigned32_t _t1051_temp_string_len;
                                        flick_unsigned32_t _t1052_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, _return->a.in(), flick_unsigned32_t , _t1050_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _local_b.a.inout(), flick_unsigned32_t , _t1051_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _local_c->a.inout(), flick_unsigned32_t , _t1052_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _t1050_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_iiopxx_encode_new_glob(1 * _t1050_temp_string_len, _flick_abort2815);
                                        flick_iiopxx_encode_new_chunk(1 * _t1050_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->a.in(), 1 * _t1050_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t1050_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1050_temp_string_len);
                                        delete _return;
                                        _return = (struct VStruct *)0;
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2815);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1051_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t1051_temp_string_len, _flick_abort2815);
                                        flick_iiopxx_encode_new_chunk(1 * _t1051_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _local_b.a.inout(), 1 * _t1051_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t1051_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1051_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2815);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1052_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t1052_temp_string_len, _flick_abort2815);
                                        flick_iiopxx_encode_new_chunk(1 * _t1052_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _local_c->a.inout(), 1 * _t1052_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t1052_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t1052_temp_string_len);
                                        delete _local_c;
                                        _local_c = (struct VStruct *)0;
                                        break;
                                        {
                                        _flick_abort2815:
                                          goto _flick_abort2800;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2822);
                                        break;
                                        {
                                        _flick_abort2822:
                                          goto _flick_abort2800;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2823);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort2823:
                                          goto _flick_abort2800;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2800:
                                  goto _flick_abort2799;
                                }
                              }
                              break;
                              {
                              _flick_abort2799:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t1053_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1053_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1053_switch_tag)
              {
              case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
                {
                  unsigned int _t1054_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1054_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1054_switch_tag)
                    {
                    case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t1055_principal_len;
                          CORBA::Boolean _return;
                          CORBA::Boolean _local_a;
                          CORBA::Boolean _local_b;
                          CORBA::Boolean _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2825);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_unsigned32(0, _t1055_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t1055_principal_len + 2, _flick_abort2825);
                          flick_iiopxx_decode_new_glob(_t1055_principal_len);
                          flick_iiopxx_decode_new_chunk(_t1055_principal_len);
                          flick_iiopxx_decode_end_chunk(_t1055_principal_len);
                          flick_iiopxx_decode_end_glob(_t1055_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Boolean );
                          flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Boolean );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t1056_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1056_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2825);
                            flick_iiopxx_encode_new_glob(7, _flick_abort2825);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t1056_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t1056_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                  flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2831);
                                  break;
                                  {
                                  _flick_abort2831:
                                    goto _flick_abort2825;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2832);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort2832:
                                    goto _flick_abort2825;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort2825:
                            goto _flick_abort2824;
                          }
                        }
                        break;
                        {
                        _flick_abort2824:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 12:
          {
            unsigned int _t1057_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1057_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1057_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t1058_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1058_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1058_switch_tag)
                    {
                    case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                      {
                        unsigned int _t1059_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1059_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1059_switch_tag)
                          {
                          case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1060_principal_len;
                                struct FStruct _return;
                                struct FStruct _local_a;
                                struct FStruct _local_b;
                                struct FStruct _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2834);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_swap_decode_unsigned32(0, _t1060_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1060_principal_len, _flick_abort2834);
                                flick_iiopxx_decode_new_glob(_t1060_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1060_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1060_principal_len);
                                flick_iiopxx_decode_end_glob(_t1060_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2834);
                                flick_cdr_swap_decode_signed16(0, _local_a.a, CORBA::Short );
                                flick_cdr_swap_decode_signed16(2, _local_b.a, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->FixedStruct(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1061_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1061_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2834);
                                  flick_iiopxx_encode_new_glob(10, _flick_abort2834);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1061_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1061_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(6);
                                        flick_cdr_encode_signed16(0, _return.a, CORBA::Short );
                                        flick_cdr_encode_signed16(2, _local_b.a, CORBA::Short );
                                        flick_cdr_encode_signed16(4, _local_c.a, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(6);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(10);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2840);
                                        break;
                                        {
                                        _flick_abort2840:
                                          goto _flick_abort2834;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2841);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                        {
                                        _flick_abort2841:
                                          goto _flick_abort2834;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2834:
                                  goto _flick_abort2833;
                                }
                              }
                              break;
                              {
                              _flick_abort2833:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t1062_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1062_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1062_switch_tag)
                    {
                    case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                      {
                        unsigned int _t1063_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1063_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1063_switch_tag)
                          {
                          case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1064_principal_len;
                                char *_return;
                                char *_local_a;
                                flick_unsigned32_t _t1065_temp_string_len;
                                char *_local_b;
                                flick_unsigned32_t _t1066_temp_string_len;
                                char *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2843);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_swap_decode_unsigned32(0, _t1064_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1064_principal_len, _flick_abort2843);
                                flick_iiopxx_decode_new_glob(_t1064_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1064_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1064_principal_len);
                                flick_iiopxx_decode_end_glob(_t1064_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(56);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2843);
                                flick_cdr_swap_decode_unsigned32(0, _t1065_temp_string_len, flick_unsigned32_t );
                                if (_t1065_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2843);
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_check_span(1 * _t1065_temp_string_len, _flick_abort2843);
                                flick_iiopxx_decode_new_chunk(1 * _t1065_temp_string_len);
                                flick_cdr_swap_decode_msgptr(0, _local_a, CORBA::Char *);
                                flick_iiopxx_decode_end_chunk(1 * _t1065_temp_string_len);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2843);
                                flick_cdr_swap_decode_unsigned32(0, _t1066_temp_string_len, flick_unsigned32_t );
                                if (_t1066_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2843);
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_check_span(1 * _t1066_temp_string_len, _flick_abort2843);
                                flick_iiopxx_decode_new_chunk(1 * _t1066_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1066_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2843);
                                  _local_b = _t_alloc_ptr;
                                }
                                flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t1066_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t1066_temp_string_len);

                                flick_iiopxx_decode_end_glob(56);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->BoundString(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1067_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1067_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2848);
                                  flick_iiopxx_encode_new_glob(85, _flick_abort2848);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1067_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1067_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t1071_temp_string_len;
                                        flick_unsigned32_t _t1072_temp_string_len;
                                        flick_unsigned32_t _t1073_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t1071_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_b), flick_unsigned32_t , _t1072_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_c), flick_unsigned32_t , _t1073_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4 + 1 * _t1071_temp_string_len);
                                        flick_cdr_encode_unsigned32(0, _t1071_temp_string_len, flick_unsigned32_t );
                                        if (_t1071_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2859);
                                        flick_cdr_encode_bcopy(4, (_return), 1 * _t1071_temp_string_len);
                                        CORBA_string_flick_free((_return));
                                        (_return) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t1071_temp_string_len);
                                        flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1072_temp_string_len, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1072_temp_string_len, flick_unsigned32_t );
                                        if (_t1072_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2859);
                                        flick_cdr_encode_bcopy(4, (_local_b), 1 * _t1072_temp_string_len);
                                        CORBA_string_flick_free((_local_b));
                                        (_local_b) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t1072_temp_string_len);
                                        flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1073_temp_string_len, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t1073_temp_string_len, flick_unsigned32_t );
                                        if (_t1073_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2859);
                                        flick_cdr_encode_bcopy(4, (_local_c), 1 * _t1073_temp_string_len);
                                        CORBA_string_flick_free((_local_c));
                                        (_local_c) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t1073_temp_string_len);
                                        flick_iiopxx_encode_end_glob(85);
                                        break;
                                        {
                                        _flick_abort2859:
                                          goto _flick_abort2848;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(85);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2866);
                                        break;
                                        {
                                        _flick_abort2866:
                                          goto _flick_abort2848;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2867);
                                        flick_iiopxx_encode_end_glob(85);
                                        break;
                                        {
                                        _flick_abort2867:
                                          goto _flick_abort2848;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2848:
                                  CORBA_string_flick_free(_local_b);
                                _flick_abort2843:
                                  goto _flick_abort2842;
                                }
                              }
                              break;
                              {
                              _flick_abort2842:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
                {
                  unsigned int _t1074_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1074_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1074_switch_tag)
                    {
                    case /* eque */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701934437):
                      {
                        unsigned int _t1075_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1075_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1075_switch_tag)
                          {
                          case /* nce */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852007680):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t1076_principal_len;
                                UVSequence *_return;
                                UVSequence _local_a;
                                CORBA::ULong _t1080_array_iter;
                                UVSequence _local_b;
                                CORBA::ULong _t1086_array_iter;
                                UVSequence *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2869);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_swap_decode_unsigned32(0, _t1076_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t1076_principal_len, _flick_abort2869);
                                flick_iiopxx_decode_new_glob(_t1076_principal_len);
                                flick_iiopxx_decode_new_chunk(_t1076_principal_len);
                                flick_iiopxx_decode_end_chunk(_t1076_principal_len);
                                flick_iiopxx_decode_end_glob(_t1076_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2869);
                                flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_a._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2869);
                                  _local_a._buffer = _t_alloc_ptr;
                                  _local_a._maximum = _local_a._length;
                                  _local_a._release = 1;
                                }
                                for (_t1080_array_iter = 0; _t1080_array_iter < _local_a._length; _t1080_array_iter++)
                                  {
                                    flick_unsigned32_t _t1082_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort2879);
                                    flick_cdr_swap_decode_unsigned32(0, _t1082_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t1082_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t1082_temp_string_len, _flick_abort2879);
                                    flick_iiopxx_decode_new_chunk(1 * _t1082_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1082_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2879);
                                      _local_a._buffer[_t1080_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_a._buffer[_t1080_array_iter], 1 * _t1082_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t1082_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t1082_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort2879:
                                      goto _flick_abort2869;
                                    }
                                  }
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort2869);
                                flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_b._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2869);
                                  _local_b._buffer = _t_alloc_ptr;
                                  _local_b._maximum = _local_b._length;
                                  _local_b._release = 1;
                                }
                                for (_t1086_array_iter = 0; _t1086_array_iter < _local_b._length; _t1086_array_iter++)
                                  {
                                    flick_unsigned32_t _t1088_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort2894);
                                    flick_cdr_swap_decode_unsigned32(0, _t1088_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t1088_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t1088_temp_string_len, _flick_abort2894);
                                    flick_iiopxx_decode_new_chunk(1 * _t1088_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1088_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2894);
                                      _local_b._buffer[_t1086_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b._buffer[_t1086_array_iter], 1 * _t1088_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t1088_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t1088_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort2894:
                                      goto _flick_abort2869;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarSequence(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t1089_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1089_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2869);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort2869);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t1089_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t1089_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t1111_array_iter;
                                        CORBA::ULong _t1117_array_iter;
                                        CORBA::ULong _t1123_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t1111_array_iter = 0; _t1111_array_iter < _return->_length; _t1111_array_iter++)
                                          {
                                            flick_unsigned32_t _t1113_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t1111_array_iter], flick_unsigned32_t , _t1113_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2959);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t1113_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t1113_temp_string_len, _flick_abort2959);
                                            flick_iiopxx_encode_new_chunk(1 * _t1113_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t1111_array_iter], 1 * _t1113_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t1113_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t1113_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2959:
                                              goto _flick_abort2949;
                                            }
                                          }
                                        delete _return;
                                        _return = (UVSequence *)0;
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2949);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t1117_array_iter = 0; _t1117_array_iter < _local_b._length; _t1117_array_iter++)
                                          {
                                            flick_unsigned32_t _t1119_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b._buffer[_t1117_array_iter], flick_unsigned32_t , _t1119_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2974);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t1119_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t1119_temp_string_len, _flick_abort2974);
                                            flick_iiopxx_encode_new_chunk(1 * _t1119_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b._buffer[_t1117_array_iter], 1 * _t1119_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t1119_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t1119_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2974:
                                              goto _flick_abort2949;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(7, _flick_abort2949);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t1123_array_iter = 0; _t1123_array_iter < _local_c->_length; _t1123_array_iter++)
                                          {
                                            flick_unsigned32_t _t1125_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c->_buffer[_t1123_array_iter], flick_unsigned32_t , _t1125_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort2989);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t1125_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t1125_temp_string_len, _flick_abort2989);
                                            flick_iiopxx_encode_new_chunk(1 * _t1125_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c->_buffer[_t1123_array_iter], 1 * _t1125_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t1125_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t1125_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort2989:
                                              goto _flick_abort2949;
                                            }
                                          }
                                        delete _local_c;
                                        _local_c = (UVSequence *)0;
                                        break;
                                        {
                                        _flick_abort2949:
                                          goto _flick_abort2869;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2995);
                                        break;
                                        {
                                        _flick_abort2995:
                                          goto _flick_abort2869;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2996);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort2996:
                                          goto _flick_abort2869;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort2869:
                                  goto _flick_abort2868;
                                }
                              }
                              break;
                              {
                              _flick_abort2868:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t1126_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1126_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1126_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t1127_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1127_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1127_switch_tag)
                    {
                    case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                      {
                        unsigned short int _t1128_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t1128_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t1128_switch_tag)
                          {
                          case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                            {
                              char _t1129_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t1129_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t1129_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t1130_principal_len;
                                      FUnion _return;
                                      FUnion _local_a;
                                      FUnion _local_b;
                                      FUnion _local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2998);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t1130_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t1130_principal_len, _flick_abort2998);
                                      flick_iiopxx_decode_new_glob(_t1130_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t1130_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t1130_principal_len);
                                      flick_iiopxx_decode_end_glob(_t1130_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_iiopxx_decode_new_glob(22);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(5, _flick_abort2998);
                                      flick_cdr_swap_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch (_local_a.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_iiopxx_check_span(4, _flick_abort3002);
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, _local_a._u.x, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort3002:
                                              goto _flick_abort2998;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_swap_decode_char8(0, _local_a._u.z, CORBA::Char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            break;
                                            {
                                              goto _flick_abort2998;
                                            }
                                          }
                                        }
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(5, _flick_abort2998);
                                      flick_cdr_swap_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch (_local_b.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_iiopxx_check_span(4, _flick_abort3007);
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, _local_b._u.x, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort3007:
                                              goto _flick_abort2998;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_swap_decode_char8(0, _local_b._u.z, CORBA::Char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            break;
                                            {
                                              goto _flick_abort2998;
                                            }
                                          }
                                        }

                                      flick_iiopxx_decode_end_glob(22);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedUnion(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t1131_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1131_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2998);
                                        flick_iiopxx_encode_new_glob(34, _flick_abort2998);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t1131_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t1131_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_return.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_local_b.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _local_b._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_c.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_local_c.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _local_c._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _local_c._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_end_glob(34);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(34);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3044);
                                              break;
                                              {
                                              _flick_abort3044:
                                                goto _flick_abort2998;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3045);
                                              flick_iiopxx_encode_end_glob(34);
                                              break;
                                              {
                                              _flick_abort3045:
                                                goto _flick_abort2998;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort2998:
                                        goto _flick_abort2997;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort2997:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    case /* dArr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1682010738):
                      {
                        unsigned short int _t1132_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t1132_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t1132_switch_tag)
                          {
                          case /* ay */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24953):
                            {
                              char _t1133_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _t1133_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t1133_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t1134_principal_len;
                                      FArray_slice *_return;
                                      CORBA::Long *_local_a;
                                      flick_unsigned32_t _t1135_array_iter;
                                      CORBA::Long *_local_b;
                                      flick_unsigned32_t _t1136_array_iter;
                                      CORBA::Long *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3047);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_swap_decode_unsigned32(1, _t1134_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t1134_principal_len, _flick_abort3047);
                                      flick_iiopxx_decode_new_glob(_t1134_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t1134_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t1134_principal_len);
                                      flick_iiopxx_decode_end_glob(_t1134_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(110);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3047);
                                        _local_a = _t_alloc_ptr;
                                      }
                                      for (_t1135_array_iter = 0; _t1135_array_iter < 10; _t1135_array_iter++)
                                        {
                                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                          flick_iiopxx_check_span(4, _flick_abort3051);
                                          flick_cdr_swap_decode_signed32(0, _local_a[_t1135_array_iter], CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          continue;
                                          {
                                          _flick_abort3051:
                                            goto _flick_abort3047;
                                          }
                                        }
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3047);
                                        _local_b = _t_alloc_ptr;
                                      }
                                      flick_iiopxx_check_span(10 * 4, _flick_abort3047);
                                      for (_t1136_array_iter = 0; _t1136_array_iter < 10; _t1136_array_iter++)
                                        {
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b[_t1136_array_iter], CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          continue;
                                        }
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3047);
                                        _local_c = _t_alloc_ptr;
                                      }

                                      flick_iiopxx_decode_end_glob(110);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedArray(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t1137_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1137_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3047);
                                        flick_iiopxx_encode_new_glob(124, _flick_abort3047);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t1137_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t1137_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(120);
                                              flick_cdr_encode_bcopy(0, _return, 40);
                                              delete [] _return;
                                              _return = (CORBA::Long *)0;
                                              flick_cdr_encode_bcopy(40, _local_b, 40);
                                              delete [] _local_b;
                                              _local_b = (CORBA::Long *)0;
                                              flick_cdr_encode_bcopy(80, _local_c, 40);
                                              delete [] _local_c;
                                              _local_c = (CORBA::Long *)0;
                                              flick_iiopxx_encode_end_chunk(120);
                                              flick_iiopxx_encode_end_glob(124);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(124);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3076);
                                              break;
                                              {
                                              _flick_abort3076:
                                                goto _flick_abort3047;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3077);
                                              flick_iiopxx_encode_end_glob(124);
                                              break;
                                              {
                                              _flick_abort3077:
                                                goto _flick_abort3047;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort3047:
                                        goto _flick_abort3046;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort3046:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 21:
          {
            unsigned int _t1138_switch_tag;

            flick_iiopxx_check_span(28, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1138_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1138_switch_tag)
              {
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t1139_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1139_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1139_switch_tag)
                    {
                    case /* dedF */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366406):
                      {
                        unsigned int _t1140_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1140_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1140_switch_tag)
                          {
                          case /* ixed */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769497956):
                            {
                              unsigned int _t1141_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t1141_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t1141_switch_tag)
                                {
                                case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
                                  {
                                    unsigned int _t1142_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t1142_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t1142_switch_tag)
                                      {
                                      case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                                        {
                                          char _t1143_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t1143_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t1143_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  POA_intf *_local_this;
                                                  unsigned int _t1144_principal_len;
                                                  BFSequence *_return;
                                                  BFSequence _local_a;
                                                  CORBA::ULong _t1145_array_iter;
                                                  BFSequence _local_b;
                                                  CORBA::ULong _t1146_array_iter;
                                                  BFSequence *_local_c;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3079);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(7);
                                                  flick_cdr_swap_decode_unsigned32(3, _t1144_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(7);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_iiopxx_check_span(_t1144_principal_len, _flick_abort3079);
                                                  flick_iiopxx_decode_new_glob(_t1144_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t1144_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t1144_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t1144_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  _return = 0;
                                                  flick_iiopxx_decode_new_glob(91);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort3079);
                                                  flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  if (_local_a._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3079);
                                                  flick_iiopxx_check_span(_local_a._length * 4 + 4, _flick_abort3079);
                                                  for (_t1145_array_iter = 0; _t1145_array_iter < _local_a._length; _t1145_array_iter++)
                                                    {
                                                      flick_iiopxx_decode_new_chunk(4);
                                                      flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t1145_array_iter], CORBA::Long );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      continue;
                                                    }
                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  if (_local_b._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3079);
                                                  flick_iiopxx_check_span(_local_b._length * 4, _flick_abort3079);
                                                  for (_t1146_array_iter = 0; _t1146_array_iter < _local_b._length; _t1146_array_iter++)
                                                    {
                                                      flick_iiopxx_decode_new_chunk(4);
                                                      flick_cdr_swap_decode_signed32(0, _local_b._buffer[_t1146_array_iter], CORBA::Long );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      continue;
                                                    }

                                                  flick_iiopxx_decode_end_glob(91);
                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->BoundedFixedSequence(_local_a, _local_b, _local_c, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t1147_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1147_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3079);
                                                    flick_iiopxx_encode_new_glob(136, _flick_abort3079);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t1147_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t1147_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                                          flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                                          if (_return->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3100);
                                                          flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                                          delete _return;
                                                          _return = (BFSequence *)0;
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _local_b._length);
                                                          flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                          if (_local_b._length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3100);
                                                          flick_cdr_encode_bcopy(4, _local_b._buffer, 4 * _local_b._length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _local_b._length);
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _local_c->_length);
                                                          flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                                          if (_local_c->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3100);
                                                          flick_cdr_encode_bcopy(4, _local_c->_buffer, 4 * _local_c->_length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _local_c->_length);
                                                          delete _local_c;
                                                          _local_c = (BFSequence *)0;
                                                          flick_iiopxx_encode_end_glob(136);
                                                          break;
                                                          {
                                                          _flick_abort3100:
                                                            goto _flick_abort3079;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(136);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3107);
                                                          break;
                                                          {
                                                          _flick_abort3107:
                                                            goto _flick_abort3079;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3108);
                                                          flick_iiopxx_encode_end_glob(136);
                                                          break;
                                                          {
                                                          _flick_abort3108:
                                                            goto _flick_abort3079;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort3079:
                                                    goto _flick_abort3078;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort3078:
                                                  goto _flick_abort2;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 19:
          {
            unsigned int _t1148_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1148_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1148_switch_tag)
              {
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t1149_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1149_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1149_switch_tag)
                    {
                    case /* dedV */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366422):
                      {
                        unsigned int _t1150_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1150_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1150_switch_tag)
                          {
                          case /* arSe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634882405):
                            {
                              unsigned int _t1151_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t1151_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t1151_switch_tag)
                                {
                                case /* quen */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1903519086):
                                  {
                                    unsigned short int _t1152_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t1152_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t1152_switch_tag)
                                      {
                                      case /* ce */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25445):
                                        {
                                          char _t1153_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t1153_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t1153_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  POA_intf *_local_this;
                                                  unsigned int _t1154_principal_len;
                                                  BVSequence *_return;
                                                  BVSequence _local_a;
                                                  CORBA::ULong _t1158_array_iter;
                                                  BVSequence _local_b;
                                                  CORBA::ULong _t1164_array_iter;
                                                  BVSequence *_local_c;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3110);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_swap_decode_unsigned32(1, _t1154_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_iiopxx_check_span(_t1154_principal_len, _flick_abort3110);
                                                  flick_iiopxx_decode_new_glob(_t1154_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t1154_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t1154_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t1154_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  _return = 0;
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort3110);
                                                  flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  if (_local_a._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3110);
                                                  for (_t1158_array_iter = 0; _t1158_array_iter < _local_a._length; _t1158_array_iter++)
                                                    {
                                                      flick_unsigned32_t _t1160_temp_string_len;

                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort3120);
                                                      flick_cdr_swap_decode_unsigned32(0, _t1160_temp_string_len, flick_unsigned32_t );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_decode_new_glob(1 * _t1160_temp_string_len);
                                                      flick_iiopxx_check_span(1 * _t1160_temp_string_len, _flick_abort3120);
                                                      flick_iiopxx_decode_new_chunk(1 * _t1160_temp_string_len);
                                                      {
                                                        CORBA::Char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1160_temp_string_len * sizeof(CORBA::Char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3120);
                                                        _local_a._buffer[_t1158_array_iter] = _t_alloc_ptr;
                                                      }
                                                      flick_cdr_swap_decode_bcopy(0, _local_a._buffer[_t1158_array_iter], 1 * _t1160_temp_string_len);
                                                      flick_iiopxx_decode_end_chunk(1 * _t1160_temp_string_len);
                                                      flick_iiopxx_decode_end_glob(1 * _t1160_temp_string_len);
                                                      continue;
                                                      {
                                                      _flick_abort3120:
                                                        goto _flick_abort3110;
                                                      }
                                                    }
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort3110);
                                                  flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  if (_local_b._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3110);
                                                  for (_t1164_array_iter = 0; _t1164_array_iter < _local_b._length; _t1164_array_iter++)
                                                    {
                                                      flick_unsigned32_t _t1166_temp_string_len;

                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort3135);
                                                      flick_cdr_swap_decode_unsigned32(0, _t1166_temp_string_len, flick_unsigned32_t );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_decode_new_glob(1 * _t1166_temp_string_len);
                                                      flick_iiopxx_check_span(1 * _t1166_temp_string_len, _flick_abort3135);
                                                      flick_iiopxx_decode_new_chunk(1 * _t1166_temp_string_len);
                                                      {
                                                        CORBA::Char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1166_temp_string_len * sizeof(CORBA::Char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3135);
                                                        _local_b._buffer[_t1164_array_iter] = _t_alloc_ptr;
                                                      }
                                                      flick_cdr_swap_decode_bcopy(0, _local_b._buffer[_t1164_array_iter], 1 * _t1166_temp_string_len);
                                                      flick_iiopxx_decode_end_chunk(1 * _t1166_temp_string_len);
                                                      flick_iiopxx_decode_end_glob(1 * _t1166_temp_string_len);
                                                      continue;
                                                      {
                                                      _flick_abort3135:
                                                        goto _flick_abort3110;
                                                      }
                                                    }

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->BoundedVarSequence(_local_a, _local_b, _local_c, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t1167_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1167_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3110);
                                                    flick_iiopxx_encode_new_glob(8, _flick_abort3110);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t1167_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t1167_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          CORBA::ULong _t1189_array_iter;
                                                          CORBA::ULong _t1195_array_iter;
                                                          CORBA::ULong _t1201_array_iter;

                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(8);
                                                          if (_return->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3190);
                                                          for (_t1189_array_iter = 0; _t1189_array_iter < _return->_length; _t1189_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t1191_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t1189_array_iter], flick_unsigned32_t , _t1191_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort3200);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t1191_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t1191_temp_string_len, _flick_abort3200);
                                                              flick_iiopxx_encode_new_chunk(1 * _t1191_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _return->_buffer[_t1189_array_iter], 1 * _t1191_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t1191_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t1191_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort3200:
                                                                goto _flick_abort3190;
                                                              }
                                                            }
                                                          delete _return;
                                                          _return = (BVSequence *)0;
                                                          flick_iiopxx_encode_new_glob(7, _flick_abort3190);
                                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                          flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(7);
                                                          if (_local_b._length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3190);
                                                          for (_t1195_array_iter = 0; _t1195_array_iter < _local_b._length; _t1195_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t1197_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _local_b._buffer[_t1195_array_iter], flick_unsigned32_t , _t1197_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort3215);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t1197_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t1197_temp_string_len, _flick_abort3215);
                                                              flick_iiopxx_encode_new_chunk(1 * _t1197_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _local_b._buffer[_t1195_array_iter], 1 * _t1197_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t1197_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t1197_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort3215:
                                                                goto _flick_abort3190;
                                                              }
                                                            }
                                                          flick_iiopxx_encode_new_glob(7, _flick_abort3190);
                                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                          flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(7);
                                                          if (_local_c->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3190);
                                                          for (_t1201_array_iter = 0; _t1201_array_iter < _local_c->_length; _t1201_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t1203_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _local_c->_buffer[_t1201_array_iter], flick_unsigned32_t , _t1203_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort3230);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t1203_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t1203_temp_string_len, _flick_abort3230);
                                                              flick_iiopxx_encode_new_chunk(1 * _t1203_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _local_c->_buffer[_t1201_array_iter], 1 * _t1203_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t1203_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t1203_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort3230:
                                                                goto _flick_abort3190;
                                                              }
                                                            }
                                                          delete _local_c;
                                                          _local_c = (BVSequence *)0;
                                                          break;
                                                          {
                                                          _flick_abort3190:
                                                            goto _flick_abort3110;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(8);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3236);
                                                          break;
                                                          {
                                                          _flick_abort3236:
                                                            goto _flick_abort3110;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3237);
                                                          flick_iiopxx_encode_end_glob(8);
                                                          break;
                                                          {
                                                          _flick_abort3237:
                                                            goto _flick_abort3110;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort3110:
                                                    goto _flick_abort3109;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort3109:
                                                  goto _flick_abort2;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 14:
          {
            unsigned int _t1204_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t1204_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t1204_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t1205_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1205_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t1205_switch_tag)
                    {
                    case /* dSeq */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683187057):
                      {
                        unsigned int _t1206_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t1206_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t1206_switch_tag)
                          {
                          case /* uenc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969581667):
                            {
                              unsigned short int _t1207_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t1207_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t1207_switch_tag)
                                {
                                case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t1208_principal_len;
                                      UFSequence *_return;
                                      UFSequence _local_a;
                                      CORBA::ULong _t1209_array_iter;
                                      UFSequence _local_b;
                                      CORBA::ULong _t1210_array_iter;
                                      UFSequence *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort3239);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_swap_decode_unsigned32(2, _t1208_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(6);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t1208_principal_len, _flick_abort3239);
                                      flick_iiopxx_decode_new_glob(_t1208_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t1208_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t1208_principal_len);
                                      flick_iiopxx_decode_end_glob(_t1208_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort3239);
                                      flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_decode_new_glob(4 * _local_a._length);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_local_a._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3239);
                                        _local_a._buffer = _t_alloc_ptr;
                                        _local_a._maximum = _local_a._length;
                                        _local_a._release = 1;
                                      }
                                      flick_iiopxx_check_span(_local_a._length * 4 + 4, _flick_abort3239);
                                      for (_t1209_array_iter = 0; _t1209_array_iter < _local_a._length; _t1209_array_iter++)
                                        {
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t1209_array_iter], CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_decode_end_glob(4 * _local_a._length);
                                      flick_iiopxx_decode_new_glob(4);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(4);
                                      flick_iiopxx_decode_new_glob(4 * _local_b._length);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_local_b._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3239);
                                        _local_b._buffer = _t_alloc_ptr;
                                        _local_b._maximum = _local_b._length;
                                        _local_b._release = 1;
                                      }
                                      flick_iiopxx_check_span(_local_b._length * 4, _flick_abort3239);
                                      for (_t1210_array_iter = 0; _t1210_array_iter < _local_b._length; _t1210_array_iter++)
                                        {
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b._buffer[_t1210_array_iter], CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_decode_end_glob(4 * _local_b._length);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedSequence(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t1211_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1211_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort3239);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort3239);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t1211_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t1211_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_iiopxx_encode_new_glob(4 * _return->_length, _flick_abort3260);
                                              flick_iiopxx_encode_new_chunk(4 * _return->_length);
                                              flick_cdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                              flick_iiopxx_encode_end_chunk(4 * _return->_length);
                                              flick_iiopxx_encode_end_glob(4 * _return->_length);
                                              delete _return;
                                              _return = (UFSequence *)0;
                                              flick_iiopxx_encode_new_glob(4, _flick_abort3260);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_iiopxx_encode_new_glob(4 * _local_b._length, _flick_abort3260);
                                              flick_iiopxx_encode_new_chunk(4 * _local_b._length);
                                              flick_cdr_encode_bcopy(0, _local_b._buffer, 4 * _local_b._length);
                                              flick_iiopxx_encode_end_chunk(4 * _local_b._length);
                                              flick_iiopxx_encode_end_glob(4 * _local_b._length);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort3260);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_iiopxx_encode_new_glob(4 * _local_c->_length, _flick_abort3260);
                                              flick_iiopxx_encode_new_chunk(4 * _local_c->_length);
                                              flick_cdr_encode_bcopy(0, _local_c->_buffer, 4 * _local_c->_length);
                                              flick_iiopxx_encode_end_chunk(4 * _local_c->_length);
                                              flick_iiopxx_encode_end_glob(4 * _local_c->_length);
                                              delete _local_c;
                                              _local_c = (UFSequence *)0;
                                              break;
                                              {
                                              _flick_abort3260:
                                                goto _flick_abort3239;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort3267);
                                              break;
                                              {
                                              _flick_abort3267:
                                                goto _flick_abort3239;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3268);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort3268:
                                                goto _flick_abort3239;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort3239:
                                        goto _flick_abort3238;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort3238:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(32);
            break;
          }
        }
    }

  } else {
    {
      unsigned int _t300_switch_tag;

      flick_iiopxx_decode_new_glob(32);
      flick_iiopxx_check_span(16, _flick_abort2);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t300_switch_tag, unsigned int );
      flick_iiopxx_decode_end_chunk(4);
      switch ((unsigned int )_t300_switch_tag)
        {
        case (unsigned int) 6:
          {
            unsigned int _t301_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t301_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t301_switch_tag)
              {
              case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
                {
                  unsigned short int _t302_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t302_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t302_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t303_principal_len;
                          CORBA::Short _return;
                          CORBA::Short _local_a;
                          CORBA::Short _local_b;
                          CORBA::Short _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort812);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t303_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t303_principal_len, _flick_abort812);
                          flick_iiopxx_decode_new_glob(_t303_principal_len);
                          flick_iiopxx_decode_new_chunk(_t303_principal_len);
                          flick_iiopxx_decode_end_chunk(_t303_principal_len);
                          flick_iiopxx_decode_end_glob(_t303_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(5);
                          flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort812);
                          flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                          flick_cdr_decode_signed16(2, _local_b, CORBA::Short );

                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(5);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t304_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t304_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort812);
                            flick_iiopxx_encode_new_glob(10, _flick_abort812);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t304_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t304_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(6);
                                  flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                  flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                  flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                  flick_iiopxx_encode_end_chunk(6);
                                  flick_iiopxx_encode_end_glob(10);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(10);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort818);
                                  break;
                                  {
                                  _flick_abort818:
                                    goto _flick_abort812;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort819);
                                  flick_iiopxx_encode_end_glob(10);
                                  break;
                                  {
                                  _flick_abort819:
                                    goto _flick_abort812;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort812:
                            goto _flick_abort811;
                          }
                        }
                        break;
                        {
                        _flick_abort811:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
                {
                  unsigned short int _t305_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t305_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t305_switch_tag)
                    {
                    case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t306_principal_len;
                          CORBA::ULong _return;
                          CORBA::ULong _local_a;
                          CORBA::ULong _local_b;
                          CORBA::ULong _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort821);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t306_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t306_principal_len, _flick_abort821);
                          flick_iiopxx_decode_new_glob(_t306_principal_len);
                          flick_iiopxx_decode_new_chunk(_t306_principal_len);
                          flick_iiopxx_decode_end_chunk(_t306_principal_len);
                          flick_iiopxx_decode_end_glob(_t306_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort821);
                          flick_cdr_decode_unsigned32(0, _local_a, CORBA::ULong );
                          flick_cdr_decode_unsigned32(4, _local_b, CORBA::ULong );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t307_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t307_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort821);
                            flick_iiopxx_encode_new_glob(16, _flick_abort821);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t307_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t307_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                  flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                  flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort827);
                                  break;
                                  {
                                  _flick_abort827:
                                    goto _flick_abort821;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort828);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort828:
                                    goto _flick_abort821;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort821:
                            goto _flick_abort820;
                          }
                        }
                        break;
                        {
                        _flick_abort820:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
                {
                  unsigned short int _t308_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t308_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t308_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t309_principal_len;
                          CORBA::Float _return;
                          CORBA::Float _local_a;
                          CORBA::Float _local_b;
                          CORBA::Float _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort830);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t309_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t309_principal_len, _flick_abort830);
                          flick_iiopxx_decode_new_glob(_t309_principal_len);
                          flick_iiopxx_decode_new_chunk(_t309_principal_len);
                          flick_iiopxx_decode_end_chunk(_t309_principal_len);
                          flick_iiopxx_decode_end_glob(_t309_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0.000000;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort830);
                          flick_cdr_decode_float32(0, _local_a, CORBA::Float );
                          flick_cdr_decode_float32(4, _local_b, CORBA::Float );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t310_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t310_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort830);
                            flick_iiopxx_encode_new_glob(16, _flick_abort830);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t310_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t310_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_float32(0, _return, CORBA::Float );
                                  flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                  flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort836);
                                  break;
                                  {
                                  _flick_abort836:
                                    goto _flick_abort830;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort837);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort837:
                                    goto _flick_abort830;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort830:
                            goto _flick_abort829;
                          }
                        }
                        break;
                        {
                        _flick_abort829:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
                {
                  unsigned short int _t311_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t311_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t311_switch_tag)
                    {
                    case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t312_principal_len;
                          CORBA::Octet _return;
                          CORBA::Octet _local_a;
                          CORBA::Octet _local_b;
                          CORBA::Octet _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort839);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t312_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t312_principal_len + 2, _flick_abort839);
                          flick_iiopxx_decode_new_glob(_t312_principal_len);
                          flick_iiopxx_decode_new_chunk(_t312_principal_len);
                          flick_iiopxx_decode_end_chunk(_t312_principal_len);
                          flick_iiopxx_decode_end_glob(_t312_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_decode_unsigned8(0, _local_a, CORBA::Octet );
                          flick_cdr_decode_unsigned8(1, _local_b, CORBA::Octet );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t313_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t313_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort839);
                            flick_iiopxx_encode_new_glob(7, _flick_abort839);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t313_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t313_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                  flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                  flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort845);
                                  break;
                                  {
                                  _flick_abort845:
                                    goto _flick_abort839;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort846);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort846:
                                    goto _flick_abort839;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort839:
                            goto _flick_abort838;
                          }
                        }
                        break;
                        {
                        _flick_abort838:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
                {
                  unsigned short int _t314_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t314_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t314_switch_tag)
                    {
                    case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t315_principal_len;
                          CORBA::Boolean _return;
                          char *_local_type_id;
                          flick_unsigned32_t _t316_temp_string_len;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort848);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(6);
                          flick_cdr_decode_unsigned32(2, _t315_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(6);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t315_principal_len, _flick_abort848);
                          flick_iiopxx_decode_new_glob(_t315_principal_len);
                          flick_iiopxx_decode_new_chunk(_t315_principal_len);
                          flick_iiopxx_decode_end_chunk(_t315_principal_len);
                          flick_iiopxx_decode_end_glob(_t315_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(7);
                          flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                          flick_iiopxx_check_span(4, _flick_abort848);
                          flick_cdr_decode_unsigned32(0, _t316_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(7);
                          flick_iiopxx_decode_new_glob(1 * _t316_temp_string_len);
                          flick_iiopxx_check_span(1 * _t316_temp_string_len, _flick_abort848);
                          flick_iiopxx_decode_new_chunk(1 * _t316_temp_string_len);
                          flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                          flick_iiopxx_decode_end_chunk(1 * _t316_temp_string_len);
                          flick_iiopxx_decode_end_glob(1 * _t316_temp_string_len);

                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->_is_a(_local_type_id, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t317_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t317_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort848);
                            flick_iiopxx_encode_new_glob(5, _flick_abort848);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t317_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t317_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(1);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(1);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(5);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort856);
                                  break;
                                  {
                                  _flick_abort856:
                                    goto _flick_abort848;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort857);
                                  flick_iiopxx_encode_end_glob(5);
                                  break;
                                  {
                                  _flick_abort857:
                                    goto _flick_abort848;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort848:
                            goto _flick_abort847;
                          }
                        }
                        break;
                        {
                        _flick_abort847:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 5:
          {
            unsigned int _t318_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t318_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t318_switch_tag)
              {
              case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                {
                  char _t319_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t319_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t319_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t320_principal_len;
                          CORBA::Long _return;
                          CORBA::Long _local_a;
                          CORBA::Long _local_b;
                          CORBA::Long _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort859);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_decode_unsigned32(3, _t320_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t320_principal_len, _flick_abort859);
                          flick_iiopxx_decode_new_glob(_t320_principal_len);
                          flick_iiopxx_decode_new_chunk(_t320_principal_len);
                          flick_iiopxx_decode_end_chunk(_t320_principal_len);
                          flick_iiopxx_decode_end_glob(_t320_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort859);
                          flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                          flick_cdr_decode_signed32(4, _local_b, CORBA::Long );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t321_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t321_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort859);
                            flick_iiopxx_encode_new_glob(16, _flick_abort859);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t321_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t321_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                  flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                  flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort865);
                                  break;
                                  {
                                  _flick_abort865:
                                    goto _flick_abort859;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort866);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort866:
                                    goto _flick_abort859;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort859:
                            goto _flick_abort858;
                          }
                        }
                        break;
                        {
                        _flick_abort858:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
                {
                  char _t322_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t322_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t322_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t323_principal_len;
                          CORBA::Char _return;
                          CORBA::Char _local_a;
                          CORBA::Char _local_b;
                          CORBA::Char _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort868);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_decode_unsigned32(3, _t323_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t323_principal_len + 2, _flick_abort868);
                          flick_iiopxx_decode_new_glob(_t323_principal_len);
                          flick_iiopxx_decode_new_chunk(_t323_principal_len);
                          flick_iiopxx_decode_end_chunk(_t323_principal_len);
                          flick_iiopxx_decode_end_glob(_t323_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_decode_char8(0, _local_a, CORBA::Char );
                          flick_cdr_decode_char8(1, _local_b, CORBA::Char );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t324_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t324_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort868);
                            flick_iiopxx_encode_new_glob(7, _flick_abort868);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t324_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t324_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                  flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                  flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort874);
                                  break;
                                  {
                                  _flick_abort874:
                                    goto _flick_abort868;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort875);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort875:
                                    goto _flick_abort868;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort868:
                            goto _flick_abort867;
                          }
                        }
                        break;
                        {
                        _flick_abort867:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
                {
                  char _t325_switch_tag;

                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _t325_switch_tag, char );
                  flick_iiopxx_decode_end_chunk(1);
                  switch ((char )_t325_switch_tag)
                    {
                    case 0:
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t326_principal_len;
                          enum Enumeration _return;
                          enum Enumeration _local_a;
                          enum Enumeration _local_b;
                          enum Enumeration _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort877);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(7);
                          flick_cdr_decode_unsigned32(3, _t326_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(7);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t326_principal_len, _flick_abort877);
                          flick_iiopxx_decode_new_glob(_t326_principal_len);
                          flick_iiopxx_decode_new_chunk(_t326_principal_len);
                          flick_iiopxx_decode_end_chunk(_t326_principal_len);
                          flick_iiopxx_decode_end_glob(_t326_principal_len);
                          /* Begin decode phase on parameters */
                          flick_iiopxx_decode_new_glob(11);
                          flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                          flick_iiopxx_check_span(8, _flick_abort877);
                          flick_cdr_decode_unsigned32(0, _local_a, enum Enumeration );
                          flick_cdr_decode_unsigned32(4, _local_b, enum Enumeration );

                          flick_iiopxx_decode_end_chunk(8);
                          flick_iiopxx_decode_end_glob(11);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t327_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t327_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort877);
                            flick_iiopxx_encode_new_glob(16, _flick_abort877);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t327_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t327_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(12);
                                  flick_cdr_encode_unsigned32(0, _return, enum Enumeration );
                                  flick_cdr_encode_unsigned32(4, _local_b, enum Enumeration );
                                  flick_cdr_encode_unsigned32(8, _local_c, enum Enumeration );
                                  flick_iiopxx_encode_end_chunk(12);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(16);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort883);
                                  break;
                                  {
                                  _flick_abort883:
                                    goto _flick_abort877;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort884);
                                  flick_iiopxx_encode_end_glob(16);
                                  break;
                                  {
                                  _flick_abort884:
                                    goto _flick_abort877;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort877:
                            goto _flick_abort876;
                          }
                        }
                        break;
                        {
                        _flick_abort876:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 9:
          {
            unsigned int _t328_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t328_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t328_switch_tag)
              {
              case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                {
                  unsigned int _t329_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t329_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t329_switch_tag)
                    {
                    case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
                      {
                        char _t330_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t330_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t330_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t331_principal_len;
                                CORBA::LongLong _return;
                                CORBA::LongLong _local_a;
                                CORBA::LongLong _local_b;
                                CORBA::LongLong _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort886);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t331_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t331_principal_len, _flick_abort886);
                                flick_iiopxx_decode_new_glob(_t331_principal_len);
                                flick_iiopxx_decode_new_chunk(_t331_principal_len);
                                flick_iiopxx_decode_end_chunk(_t331_principal_len);
                                flick_iiopxx_decode_end_glob(_t331_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort886);
                                flick_cdr_decode_signed64(0, _local_a, CORBA::LongLong );
                                flick_cdr_decode_signed64(8, _local_b, CORBA::LongLong );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->LongLong(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t332_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t332_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort886);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort886);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t332_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t332_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_signed64(0, _return, CORBA::LongLong );
                                        flick_cdr_encode_signed64(8, _local_b, CORBA::LongLong );
                                        flick_cdr_encode_signed64(16, _local_c, CORBA::LongLong );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort892);
                                        break;
                                        {
                                        _flick_abort892:
                                          goto _flick_abort886;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort893);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort893:
                                          goto _flick_abort886;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort886:
                                  goto _flick_abort885;
                                }
                              }
                              break;
                              {
                              _flick_abort885:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
                {
                  unsigned int _t333_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t333_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t333_switch_tag)
                    {
                    case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                      {
                        char _t334_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t334_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t334_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t335_principal_len;
                                VUnion *_return;
                                VUnion _local_a;
                                VUnion _local_b;
                                VUnion *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort895);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t335_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t335_principal_len, _flick_abort895);
                                flick_iiopxx_decode_new_glob(_t335_principal_len);
                                flick_iiopxx_decode_new_chunk(_t335_principal_len);
                                flick_iiopxx_decode_end_chunk(_t335_principal_len);
                                flick_iiopxx_decode_end_glob(_t335_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(5, _flick_abort895);
                                flick_cdr_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                flick_iiopxx_decode_end_chunk(4);
                                switch (_local_a.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t337_temp_string_len;

                                      flick_iiopxx_check_span(4, _flick_abort901);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t337_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_iiopxx_decode_new_glob(1 * _t337_temp_string_len);
                                      flick_iiopxx_check_span(1 * _t337_temp_string_len, _flick_abort901);
                                      flick_iiopxx_decode_new_chunk(1 * _t337_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t337_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort901);
                                        _local_a._u.a = _t_alloc_ptr;
                                      }
                                      flick_cdr_decode_bcopy(0, _local_a._u.a, 1 * _t337_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t337_temp_string_len);
                                      flick_iiopxx_decode_end_glob(1 * _t337_temp_string_len);
                                      break;
                                      {
                                      _flick_abort901:
                                        goto _flick_abort895;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiopxx_decode_new_chunk(1);
                                      flick_cdr_decode_char8(0, _local_a._u.z, CORBA::Char );
                                      flick_iiopxx_decode_end_chunk(1);
                                      flick_iiopxx_decode_end_glob(11);
                                      break;
                                      {
                                        goto _flick_abort895;
                                      }
                                    }
                                  }
                                flick_iiopxx_decode_new_glob(11);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(5, _flick_abort895);
                                flick_cdr_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                flick_iiopxx_decode_end_chunk(4);
                                switch (_local_b.disc_)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t339_temp_string_len;

                                      flick_iiopxx_check_span(4, _flick_abort910);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t339_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(11);
                                      flick_iiopxx_decode_new_glob(1 * _t339_temp_string_len);
                                      flick_iiopxx_check_span(1 * _t339_temp_string_len, _flick_abort910);
                                      flick_iiopxx_decode_new_chunk(1 * _t339_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t339_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort910);
                                        _local_b._u.a = _t_alloc_ptr;
                                      }
                                      flick_cdr_decode_bcopy(0, _local_b._u.a, 1 * _t339_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t339_temp_string_len);
                                      flick_iiopxx_decode_end_glob(1 * _t339_temp_string_len);
                                      break;
                                      {
                                      _flick_abort910:
                                        goto _flick_abort895;
                                      }
                                    }
                                  default:
                                    {
                                      flick_iiopxx_decode_new_chunk(1);
                                      flick_cdr_decode_char8(0, _local_b._u.z, CORBA::Char );
                                      flick_iiopxx_decode_end_chunk(1);
                                      flick_iiopxx_decode_end_glob(11);
                                      break;
                                      {
                                        goto _flick_abort895;
                                      }
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarUnion(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t340_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t340_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort895);
                                  flick_iiopxx_encode_new_glob(12, _flick_abort895);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t340_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t340_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_return->disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t348_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _return->_u.a, flick_unsigned32_t , _t348_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t348_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(12);
                                              flick_iiopxx_encode_new_glob(1 * _t348_temp_string_len, _flick_abort951);
                                              flick_iiopxx_encode_new_chunk(1 * _t348_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t348_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t348_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t348_temp_string_len);
                                              break;
                                              {
                                              _flick_abort951:
                                                goto _flick_abort945;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _return->_u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(12);
                                              break;
                                            }
                                          }
                                        delete _return;
                                        _return = (VUnion *)0;
                                        flick_iiopxx_encode_new_glob(11, _flick_abort945);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_local_b.disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t350_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _local_b._u.a, flick_unsigned32_t , _t350_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t350_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_iiopxx_encode_new_glob(1 * _t350_temp_string_len, _flick_abort960);
                                              flick_iiopxx_encode_new_chunk(1 * _t350_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _local_b._u.a, 1 * _t350_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t350_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t350_temp_string_len);
                                              break;
                                              {
                                              _flick_abort960:
                                                goto _flick_abort945;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(11);
                                              break;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(11, _flick_abort945);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_c->disc_, CORBA::Long );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_local_c->disc_)
                                          {
                                          case 1:
                                            {
                                              flick_unsigned32_t _t352_temp_string_len;

                                              flick_cdr_stringlen(CORBA::Char *, _local_c->_u.a, flick_unsigned32_t , _t352_temp_string_len);

                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _t352_temp_string_len, flick_unsigned32_t );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(11);
                                              flick_iiopxx_encode_new_glob(1 * _t352_temp_string_len, _flick_abort969);
                                              flick_iiopxx_encode_new_chunk(1 * _t352_temp_string_len);
                                              flick_cdr_encode_bcopy(0, _local_c->_u.a, 1 * _t352_temp_string_len);
                                              flick_iiopxx_encode_end_chunk(1 * _t352_temp_string_len);
                                              flick_iiopxx_encode_end_glob(1 * _t352_temp_string_len);
                                              break;
                                              {
                                              _flick_abort969:
                                                goto _flick_abort945;
                                              }
                                            }
                                          default:
                                            {
                                              flick_iiopxx_encode_new_chunk(1);
                                              flick_cdr_encode_char8(0, _local_c->_u.z, CORBA::Char );
                                              flick_iiopxx_encode_end_chunk(1);
                                              flick_iiopxx_encode_end_glob(11);
                                              break;
                                            }
                                          }
                                        delete _local_c;
                                        _local_c = (VUnion *)0;
                                        break;
                                        {
                                        _flick_abort945:
                                          goto _flick_abort895;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(12);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort973);
                                        break;
                                        {
                                        _flick_abort973:
                                          goto _flick_abort895;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort974);
                                        flick_iiopxx_encode_end_glob(12);
                                        break;
                                        {
                                        _flick_abort974:
                                          goto _flick_abort895;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort895:
                                  goto _flick_abort894;
                                }
                              }
                              break;
                              {
                              _flick_abort894:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226817):
                {
                  unsigned int _t353_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t353_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t353_switch_tag)
                    {
                    case /* rray */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920098681):
                      {
                        char _t354_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t354_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t354_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t355_principal_len;
                                VArray_slice *_return;
                                TAO_String_Manager *_local_a;
                                flick_unsigned32_t _t359_array_iter;
                                TAO_String_Manager *_local_b;
                                flick_unsigned32_t _t365_array_iter;
                                VArray_slice *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort976);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(7);
                                flick_cdr_decode_unsigned32(3, _t355_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(7);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t355_principal_len, _flick_abort976);
                                flick_iiopxx_decode_new_glob(_t355_principal_len);
                                flick_iiopxx_decode_new_chunk(_t355_principal_len);
                                flick_iiopxx_decode_end_chunk(_t355_principal_len);
                                flick_iiopxx_decode_end_glob(_t355_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                {
                                  TAO_String_Manager *_t_alloc_ptr;

                                  _t_alloc_ptr = (TAO_String_Manager *)new (TAO_String_Manager [10]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort976);
                                  _local_a = _t_alloc_ptr;
                                }
                                for (_t359_array_iter = 0; _t359_array_iter < 10; _t359_array_iter++)
                                  {
                                    flick_unsigned32_t _t361_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort986);
                                    flick_cdr_decode_unsigned32(0, _t361_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t361_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t361_temp_string_len, _flick_abort986);
                                    flick_iiopxx_decode_new_chunk(1 * _t361_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t361_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort986);
                                      _local_a[_t359_array_iter].inout() = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_a[_t359_array_iter].inout(), 1 * _t361_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t361_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t361_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort986:
                                      goto _flick_abort976;
                                    }
                                  }
                                {
                                  TAO_String_Manager *_t_alloc_ptr;

                                  _t_alloc_ptr = (TAO_String_Manager *)new (TAO_String_Manager [10]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort976);
                                  _local_b = _t_alloc_ptr;
                                }
                                for (_t365_array_iter = 0; _t365_array_iter < 10; _t365_array_iter++)
                                  {
                                    flick_unsigned32_t _t367_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort1001);
                                    flick_cdr_decode_unsigned32(0, _t367_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t367_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t367_temp_string_len, _flick_abort1001);
                                    flick_iiopxx_decode_new_chunk(1 * _t367_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t367_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1001);
                                      _local_b[_t365_array_iter].inout() = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b[_t365_array_iter].inout(), 1 * _t367_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t367_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t367_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort1001:
                                      goto _flick_abort976;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarArray(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t368_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t368_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort976);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort976);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t368_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t368_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t390_array_iter;
                                        flick_unsigned32_t _t396_array_iter;
                                        flick_unsigned32_t _t402_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        for (_t390_array_iter = 0; _t390_array_iter < 10; _t390_array_iter++)
                                          {
                                            flick_unsigned32_t _t392_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return[_t390_array_iter].in(), flick_unsigned32_t , _t392_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1066);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t392_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t392_temp_string_len, _flick_abort1066);
                                            flick_iiopxx_encode_new_chunk(1 * _t392_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return[_t390_array_iter].in(), 1 * _t392_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t392_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t392_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1066:
                                              goto _flick_abort1056;
                                            }
                                          }
                                        delete [] _return;
                                        _return = (TAO_String_Manager *)0;
                                        for (_t396_array_iter = 0; _t396_array_iter < 10; _t396_array_iter++)
                                          {
                                            flick_unsigned32_t _t398_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b[_t396_array_iter].inout(), flick_unsigned32_t , _t398_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1081);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t398_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t398_temp_string_len, _flick_abort1081);
                                            flick_iiopxx_encode_new_chunk(1 * _t398_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b[_t396_array_iter].inout(), 1 * _t398_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t398_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t398_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1081:
                                              goto _flick_abort1056;
                                            }
                                          }
                                        delete [] _local_b;
                                        _local_b = (TAO_String_Manager *)0;
                                        for (_t402_array_iter = 0; _t402_array_iter < 10; _t402_array_iter++)
                                          {
                                            flick_unsigned32_t _t404_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c[_t402_array_iter].inout(), flick_unsigned32_t , _t404_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1096);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t404_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t404_temp_string_len, _flick_abort1096);
                                            flick_iiopxx_encode_new_chunk(1 * _t404_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c[_t402_array_iter].inout(), 1 * _t404_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t404_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t404_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1096:
                                              goto _flick_abort1056;
                                            }
                                          }
                                        delete [] _local_c;
                                        _local_c = (TAO_String_Manager *)0;
                                        break;
                                        {
                                        _flick_abort1056:
                                          goto _flick_abort976;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1102);
                                        break;
                                        {
                                        _flick_abort1102:
                                          goto _flick_abort976;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1103);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1103:
                                          goto _flick_abort976;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort976:
                                  goto _flick_abort975;
                                }
                              }
                              break;
                              {
                              _flick_abort975:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 7:
          {
            unsigned int _t405_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t405_switch_tag)
              {
              case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
                {
                  unsigned short int _t406_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t406_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t406_switch_tag)
                    {
                    case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                      {
                        char _t407_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t407_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t407_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t408_principal_len;
                                CORBA::UShort _return;
                                CORBA::UShort _local_a;
                                CORBA::UShort _local_b;
                                CORBA::UShort _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1105);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t408_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t408_principal_len, _flick_abort1105);
                                flick_iiopxx_decode_new_glob(_t408_principal_len);
                                flick_iiopxx_decode_new_chunk(_t408_principal_len);
                                flick_iiopxx_decode_end_chunk(_t408_principal_len);
                                flick_iiopxx_decode_end_glob(_t408_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1105);
                                flick_cdr_decode_unsigned16(0, _local_a, CORBA::UShort );
                                flick_cdr_decode_unsigned16(2, _local_b, CORBA::UShort );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t409_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t409_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1105);
                                  flick_iiopxx_encode_new_glob(10, _flick_abort1105);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t409_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t409_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(6);
                                        flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                        flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                        flick_iiopxx_encode_end_chunk(6);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(10);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1111);
                                        break;
                                        {
                                        _flick_abort1111:
                                          goto _flick_abort1105;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1112);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                        {
                                        _flick_abort1112:
                                          goto _flick_abort1105;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1105:
                                  goto _flick_abort1104;
                                }
                              }
                              break;
                              {
                              _flick_abort1104:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
                {
                  unsigned short int _t410_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t410_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t410_switch_tag)
                    {
                    case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                      {
                        char _t411_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t411_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t411_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t412_principal_len;
                                CORBA::Double _return;
                                CORBA::Double _local_a;
                                CORBA::Double _local_b;
                                CORBA::Double _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1114);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t412_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t412_principal_len, _flick_abort1114);
                                flick_iiopxx_decode_new_glob(_t412_principal_len);
                                flick_iiopxx_decode_new_chunk(_t412_principal_len);
                                flick_iiopxx_decode_end_chunk(_t412_principal_len);
                                flick_iiopxx_decode_end_glob(_t412_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0.000000;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort1114);
                                flick_cdr_decode_float64(0, _local_a, CORBA::Double );
                                flick_cdr_decode_float64(8, _local_b, CORBA::Double );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->Double(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t413_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t413_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1114);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort1114);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t413_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t413_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                        flick_cdr_encode_float64(8, _local_b, CORBA::Double );
                                        flick_cdr_encode_float64(16, _local_c, CORBA::Double );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1120);
                                        break;
                                        {
                                        _flick_abort1120:
                                          goto _flick_abort1114;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1121);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort1121:
                                          goto _flick_abort1114;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1114:
                                  goto _flick_abort1113;
                                }
                              }
                              break;
                              {
                              _flick_abort1113:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                {
                  unsigned short int _t414_switch_tag;

                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_unsigned16(0, _t414_switch_tag, unsigned short int );
                  flick_iiopxx_decode_end_chunk(2);
                  switch ((unsigned short int )_t414_switch_tag)
                    {
                    case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                      {
                        char _t415_switch_tag;

                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _t415_switch_tag, char );
                        flick_iiopxx_decode_end_chunk(1);
                        switch ((char )_t415_switch_tag)
                          {
                          case 0:
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t416_principal_len;
                                char *_return;
                                char *_local_a;
                                flick_unsigned32_t _t417_temp_string_len;
                                char *_local_b;
                                flick_unsigned32_t _t418_temp_string_len;
                                char *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1123);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(5);
                                flick_cdr_decode_unsigned32(1, _t416_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(5);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t416_principal_len, _flick_abort1123);
                                flick_iiopxx_decode_new_glob(_t416_principal_len);
                                flick_iiopxx_decode_new_chunk(_t416_principal_len);
                                flick_iiopxx_decode_end_chunk(_t416_principal_len);
                                flick_iiopxx_decode_end_glob(_t416_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1123);
                                flick_cdr_decode_unsigned32(0, _t417_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t417_temp_string_len);
                                flick_iiopxx_check_span(1 * _t417_temp_string_len, _flick_abort1123);
                                flick_iiopxx_decode_new_chunk(1 * _t417_temp_string_len);
                                flick_cdr_decode_msgptr(0, _local_a, CORBA::Char *);
                                flick_iiopxx_decode_end_chunk(1 * _t417_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t417_temp_string_len);
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1123);
                                flick_cdr_decode_unsigned32(0, _t418_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t418_temp_string_len);
                                flick_iiopxx_check_span(1 * _t418_temp_string_len, _flick_abort1123);
                                flick_iiopxx_decode_new_chunk(1 * _t418_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t418_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1123);
                                  _local_b = _t_alloc_ptr;
                                }
                                flick_cdr_decode_bcopy(0, _local_b, 1 * _t418_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t418_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t418_temp_string_len);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->String(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t419_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t419_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1128);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort1128);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t419_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t419_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t423_temp_string_len;
                                        flick_unsigned32_t _t424_temp_string_len;
                                        flick_unsigned32_t _t425_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t423_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_b), flick_unsigned32_t , _t424_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_c), flick_unsigned32_t , _t425_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _t423_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_iiopxx_encode_new_glob(1 * _t423_temp_string_len, _flick_abort1139);
                                        flick_iiopxx_encode_new_chunk(1 * _t423_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_return), 1 * _t423_temp_string_len);
                                        CORBA_string_flick_free((_return));
                                        (_return) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t423_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t423_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1139);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t424_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t424_temp_string_len, _flick_abort1139);
                                        flick_iiopxx_encode_new_chunk(1 * _t424_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_local_b), 1 * _t424_temp_string_len);
                                        CORBA_string_flick_free((_local_b));
                                        (_local_b) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t424_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t424_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1139);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t425_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t425_temp_string_len, _flick_abort1139);
                                        flick_iiopxx_encode_new_chunk(1 * _t425_temp_string_len);
                                        flick_cdr_encode_bcopy(0, (_local_c), 1 * _t425_temp_string_len);
                                        CORBA_string_flick_free((_local_c));
                                        (_local_c) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(1 * _t425_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t425_temp_string_len);
                                        break;
                                        {
                                        _flick_abort1139:
                                          goto _flick_abort1128;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1146);
                                        break;
                                        {
                                        _flick_abort1146:
                                          goto _flick_abort1128;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1147);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort1147:
                                          goto _flick_abort1128;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1128:
                                  CORBA_string_flick_free(_local_b);
                                _flick_abort1123:
                                  goto _flick_abort1122;
                                }
                              }
                              break;
                              {
                              _flick_abort1122:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 10:
          {
            unsigned int _t426_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t426_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t426_switch_tag)
              {
              case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
                {
                  unsigned int _t427_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t427_switch_tag)
                    {
                    case /* gLon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1733062510):
                      {
                        unsigned short int _t428_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t428_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t428_switch_tag)
                          {
                          case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t429_principal_len;
                                CORBA::ULongLong _return;
                                CORBA::ULongLong _local_a;
                                CORBA::ULongLong _local_b;
                                CORBA::ULongLong _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1149);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t429_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t429_principal_len, _flick_abort1149);
                                flick_iiopxx_decode_new_glob(_t429_principal_len);
                                flick_iiopxx_decode_new_chunk(_t429_principal_len);
                                flick_iiopxx_decode_end_chunk(_t429_principal_len);
                                flick_iiopxx_decode_end_glob(_t429_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(23);
                                flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                                flick_iiopxx_check_span(16, _flick_abort1149);
                                flick_cdr_decode_unsigned64(0, _local_a, CORBA::ULongLong );
                                flick_cdr_decode_unsigned64(8, _local_b, CORBA::ULongLong );

                                flick_iiopxx_decode_end_chunk(16);
                                flick_iiopxx_decode_end_glob(23);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->ULongLong(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t430_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t430_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1149);
                                  flick_iiopxx_encode_new_glob(32, _flick_abort1149);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t430_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t430_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                        flick_cdr_encode_unsigned64(0, _return, CORBA::ULongLong );
                                        flick_cdr_encode_unsigned64(8, _local_b, CORBA::ULongLong );
                                        flick_cdr_encode_unsigned64(16, _local_c, CORBA::ULongLong );
                                        flick_iiopxx_encode_end_chunk(24);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(32);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1155);
                                        break;
                                        {
                                        _flick_abort1155:
                                          goto _flick_abort1149;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1156);
                                        flick_iiopxx_encode_end_glob(32);
                                        break;
                                        {
                                        _flick_abort1156:
                                          goto _flick_abort1149;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1149:
                                  goto _flick_abort1148;
                                }
                              }
                              break;
                              {
                              _flick_abort1148:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Obje */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331849829):
                {
                  unsigned int _t431_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t431_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t431_switch_tag)
                    {
                    case /* ctRe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668567653):
                      {
                        unsigned short int _t432_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t432_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t432_switch_tag)
                          {
                          case /* f */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26112):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t433_principal_len;
                                intf_ptr _return;
                                intf_ptr _local_a;
                                intf_ptr _local_b;
                                intf_ptr _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1158);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t433_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t433_principal_len, _flick_abort1158);
                                flick_iiopxx_decode_new_glob(_t433_principal_len);
                                flick_iiopxx_decode_new_chunk(_t433_principal_len);
                                flick_iiopxx_decode_end_chunk(_t433_principal_len);
                                flick_iiopxx_decode_end_glob(_t433_principal_len);
                                /* Begin decode phase on parameters */
                                flick_cdrxx_decode_IOR(iiopxx, _local_a, 1, intf , _flick_abort1158);
                                flick_iiopxx_mark_port_for_cleanup(_local_a, 1);
                                flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, intf , _flick_abort1158);
                                flick_iiopxx_mark_port_for_cleanup(_local_b, 1);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->ObjectRef(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t434_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t434_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1158);
                                  flick_iiopxx_encode_new_glob(4, _flick_abort1158);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t434_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t434_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_cdrxx_encode_IOR(iiopxx, _return, 0, intf , _flick_abort1163);
                                        CORBA_object_flick_free(_return);
                                        _return = (intf *)0;
                                        flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, intf , _flick_abort1163);
                                        CORBA_object_flick_free(_local_b);
                                        _local_b = (intf *)0;
                                        flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, intf , _flick_abort1163);
                                        CORBA_object_flick_free(_local_c);
                                        _local_c = (intf *)0;
                                        break;
                                        {
                                        _flick_abort1163:
                                          goto _flick_abort1158;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(4);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1164);
                                        break;
                                        {
                                        _flick_abort1164:
                                          goto _flick_abort1158;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1165);
                                        flick_iiopxx_encode_end_glob(4);
                                        break;
                                        {
                                        _flick_abort1165:
                                          goto _flick_abort1158;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1158:
                                  goto _flick_abort1157;
                                }
                              }
                              break;
                              {
                              _flick_abort1157:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
                {
                  unsigned int _t435_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t435_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t435_switch_tag)
                    {
                    case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                      {
                        unsigned short int _t436_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t436_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t436_switch_tag)
                          {
                          case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t437_principal_len;
                                struct VStruct *_return;
                                struct VStruct _local_a;
                                flick_unsigned32_t _t438_temp_string_len;
                                struct VStruct _local_b;
                                flick_unsigned32_t _t439_temp_string_len;
                                struct VStruct *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1167);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(6);
                                flick_cdr_decode_unsigned32(2, _t437_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(6);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t437_principal_len, _flick_abort1167);
                                flick_iiopxx_decode_new_glob(_t437_principal_len);
                                flick_iiopxx_decode_new_chunk(_t437_principal_len);
                                flick_iiopxx_decode_end_chunk(_t437_principal_len);
                                flick_iiopxx_decode_end_glob(_t437_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1167);
                                flick_cdr_decode_unsigned32(0, _t438_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t438_temp_string_len);
                                flick_iiopxx_check_span(1 * _t438_temp_string_len, _flick_abort1167);
                                flick_iiopxx_decode_new_chunk(1 * _t438_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t438_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1167);
                                  _local_a.a.inout() = _t_alloc_ptr;
                                }
                                flick_cdr_decode_bcopy(0, _local_a.a.inout(), 1 * _t438_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t438_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t438_temp_string_len);
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1167);
                                flick_cdr_decode_unsigned32(0, _t439_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                flick_iiopxx_decode_new_glob(1 * _t439_temp_string_len);
                                flick_iiopxx_check_span(1 * _t439_temp_string_len, _flick_abort1167);
                                flick_iiopxx_decode_new_chunk(1 * _t439_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t439_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1167);
                                  _local_b.a.inout() = _t_alloc_ptr;
                                }
                                flick_cdr_decode_bcopy(0, _local_b.a.inout(), 1 * _t439_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t439_temp_string_len);
                                flick_iiopxx_decode_end_glob(1 * _t439_temp_string_len);

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarStruct(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t440_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t440_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1167);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort1167);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t440_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t440_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t444_temp_string_len;
                                        flick_unsigned32_t _t445_temp_string_len;
                                        flick_unsigned32_t _t446_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, _return->a.in(), flick_unsigned32_t , _t444_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _local_b.a.inout(), flick_unsigned32_t , _t445_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, _local_c->a.inout(), flick_unsigned32_t , _t446_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _t444_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_iiopxx_encode_new_glob(1 * _t444_temp_string_len, _flick_abort1182);
                                        flick_iiopxx_encode_new_chunk(1 * _t444_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _return->a.in(), 1 * _t444_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t444_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t444_temp_string_len);
                                        delete _return;
                                        _return = (struct VStruct *)0;
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1182);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t445_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t445_temp_string_len, _flick_abort1182);
                                        flick_iiopxx_encode_new_chunk(1 * _t445_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _local_b.a.inout(), 1 * _t445_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t445_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t445_temp_string_len);
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1182);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t446_temp_string_len, flick_unsigned32_t );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        flick_iiopxx_encode_new_glob(1 * _t446_temp_string_len, _flick_abort1182);
                                        flick_iiopxx_encode_new_chunk(1 * _t446_temp_string_len);
                                        flick_cdr_encode_bcopy(0, _local_c->a.inout(), 1 * _t446_temp_string_len);
                                        flick_iiopxx_encode_end_chunk(1 * _t446_temp_string_len);
                                        flick_iiopxx_encode_end_glob(1 * _t446_temp_string_len);
                                        delete _local_c;
                                        _local_c = (struct VStruct *)0;
                                        break;
                                        {
                                        _flick_abort1182:
                                          goto _flick_abort1167;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1189);
                                        break;
                                        {
                                        _flick_abort1189:
                                          goto _flick_abort1167;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1190);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort1190:
                                          goto _flick_abort1167;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1167:
                                  goto _flick_abort1166;
                                }
                              }
                              break;
                              {
                              _flick_abort1166:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 8:
          {
            unsigned int _t447_switch_tag;

            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t447_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t447_switch_tag)
              {
              case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
                {
                  unsigned int _t448_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t448_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t448_switch_tag)
                    {
                    case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                      {
                        {
                          POA_intf *_local_this;
                          unsigned int _t449_principal_len;
                          CORBA::Boolean _return;
                          CORBA::Boolean _local_a;
                          CORBA::Boolean _local_b;
                          CORBA::Boolean _local_c;
                          CORBA::Environment _ev;



                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1192);


                          /* Decode the requesting `Principal' pseudo object (client ID). */
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t449_principal_len, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          flick_iiopxx_decode_end_glob(32);
                          flick_iiopxx_check_span(_t449_principal_len + 2, _flick_abort1192);
                          flick_iiopxx_decode_new_glob(_t449_principal_len);
                          flick_iiopxx_decode_new_chunk(_t449_principal_len);
                          flick_iiopxx_decode_end_chunk(_t449_principal_len);
                          flick_iiopxx_decode_end_glob(_t449_principal_len);
                          /* Begin decode phase on parameters */
                          _return = 0;
                          flick_iiopxx_decode_new_glob(2);
                          flick_iiopxx_decode_new_chunk(2);
                          flick_cdr_decode_unsigned8(0, _local_a, CORBA::Boolean );
                          flick_cdr_decode_unsigned8(1, _local_b, CORBA::Boolean );

                          flick_iiopxx_decode_end_chunk(2);
                          flick_iiopxx_decode_end_glob(2);
                          flick_iiopxx_server_end_decode();
                          flick_corbaxx_init_environment();


                          _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);


                          flick_iiopxx_server_start_encode();


                          {
                            int _t450_temp_major;

                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t450_temp_major);

                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1192);
                            flick_iiopxx_encode_new_glob(7, _flick_abort1192);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _t450_temp_major, int );
                            flick_iiopxx_encode_end_chunk(4);
                            switch (_t450_temp_major)
                              {
                              case CORBA::NO_EXCEPTION:
                                {
                                  /* Begin encode phase on parameters */
                                  flick_iiopxx_encode_new_chunk(3);
                                  flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                  flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                  flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                  flick_iiopxx_encode_end_chunk(3);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                }
                              case CORBA::SYSTEM_EXCEPTION:
                                {
                                  flick_iiopxx_encode_end_glob(7);
                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1198);
                                  break;
                                  {
                                  _flick_abort1198:
                                    goto _flick_abort1192;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1199);
                                  flick_iiopxx_encode_end_glob(7);
                                  break;
                                  {
                                  _flick_abort1199:
                                    goto _flick_abort1192;
                                  }
                                }
                              }
                          }


                          flick_iiopxx_server_end_encode();


                          break;
                          {
                          _flick_abort1192:
                            goto _flick_abort1191;
                          }
                        }
                        break;
                        {
                        _flick_abort1191:
                          goto _flick_abort2;
                        }
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 12:
          {
            unsigned int _t451_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t451_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t451_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t452_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t452_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t452_switch_tag)
                    {
                    case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                      {
                        unsigned int _t453_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t453_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t453_switch_tag)
                          {
                          case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t454_principal_len;
                                struct FStruct _return;
                                struct FStruct _local_a;
                                struct FStruct _local_b;
                                struct FStruct _local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1201);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t454_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t454_principal_len, _flick_abort1201);
                                flick_iiopxx_decode_new_glob(_t454_principal_len);
                                flick_iiopxx_decode_new_chunk(_t454_principal_len);
                                flick_iiopxx_decode_end_chunk(_t454_principal_len);
                                flick_iiopxx_decode_end_glob(_t454_principal_len);
                                /* Begin decode phase on parameters */
                                flick_iiopxx_decode_new_glob(5);
                                flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1201);
                                flick_cdr_decode_signed16(0, _local_a.a, CORBA::Short );
                                flick_cdr_decode_signed16(2, _local_b.a, CORBA::Short );

                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(5);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->FixedStruct(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t455_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t455_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1201);
                                  flick_iiopxx_encode_new_glob(10, _flick_abort1201);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t455_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t455_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(6);
                                        flick_cdr_encode_signed16(0, _return.a, CORBA::Short );
                                        flick_cdr_encode_signed16(2, _local_b.a, CORBA::Short );
                                        flick_cdr_encode_signed16(4, _local_c.a, CORBA::Short );
                                        flick_iiopxx_encode_end_chunk(6);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(10);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1207);
                                        break;
                                        {
                                        _flick_abort1207:
                                          goto _flick_abort1201;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1208);
                                        flick_iiopxx_encode_end_glob(10);
                                        break;
                                        {
                                        _flick_abort1208:
                                          goto _flick_abort1201;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1201:
                                  goto _flick_abort1200;
                                }
                              }
                              break;
                              {
                              _flick_abort1200:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t456_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t456_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t456_switch_tag)
                    {
                    case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                      {
                        unsigned int _t457_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t457_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t457_switch_tag)
                          {
                          case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t458_principal_len;
                                char *_return;
                                char *_local_a;
                                flick_unsigned32_t _t459_temp_string_len;
                                char *_local_b;
                                flick_unsigned32_t _t460_temp_string_len;
                                char *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1210);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t458_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t458_principal_len, _flick_abort1210);
                                flick_iiopxx_decode_new_glob(_t458_principal_len);
                                flick_iiopxx_decode_new_chunk(_t458_principal_len);
                                flick_iiopxx_decode_end_chunk(_t458_principal_len);
                                flick_iiopxx_decode_end_glob(_t458_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(56);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1210);
                                flick_cdr_decode_unsigned32(0, _t459_temp_string_len, flick_unsigned32_t );
                                if (_t459_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1210);
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_check_span(1 * _t459_temp_string_len, _flick_abort1210);
                                flick_iiopxx_decode_new_chunk(1 * _t459_temp_string_len);
                                flick_cdr_decode_msgptr(0, _local_a, CORBA::Char *);
                                flick_iiopxx_decode_end_chunk(1 * _t459_temp_string_len);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1210);
                                flick_cdr_decode_unsigned32(0, _t460_temp_string_len, flick_unsigned32_t );
                                if (_t460_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1210);
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_check_span(1 * _t460_temp_string_len, _flick_abort1210);
                                flick_iiopxx_decode_new_chunk(1 * _t460_temp_string_len);
                                {
                                  CORBA::Char *_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t460_temp_string_len * sizeof(CORBA::Char )));
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1210);
                                  _local_b = _t_alloc_ptr;
                                }
                                flick_cdr_decode_bcopy(0, _local_b, 1 * _t460_temp_string_len);
                                flick_iiopxx_decode_end_chunk(1 * _t460_temp_string_len);

                                flick_iiopxx_decode_end_glob(56);
                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->BoundString(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t461_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t461_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1215);
                                  flick_iiopxx_encode_new_glob(85, _flick_abort1215);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t461_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t461_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        flick_unsigned32_t _t465_temp_string_len;
                                        flick_unsigned32_t _t466_temp_string_len;
                                        flick_unsigned32_t _t467_temp_string_len;

                                        flick_cdr_stringlen(CORBA::Char *, (_return), flick_unsigned32_t , _t465_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_b), flick_unsigned32_t , _t466_temp_string_len);
                                        flick_cdr_stringlen(CORBA::Char *, (_local_c), flick_unsigned32_t , _t467_temp_string_len);

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4 + 1 * _t465_temp_string_len);
                                        flick_cdr_encode_unsigned32(0, _t465_temp_string_len, flick_unsigned32_t );
                                        if (_t465_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1226);
                                        flick_cdr_encode_bcopy(4, (_return), 1 * _t465_temp_string_len);
                                        CORBA_string_flick_free((_return));
                                        (_return) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t465_temp_string_len);
                                        flick_iiopxx_encode_new_chunk_align(4 + 1 * _t466_temp_string_len, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t466_temp_string_len, flick_unsigned32_t );
                                        if (_t466_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1226);
                                        flick_cdr_encode_bcopy(4, (_local_b), 1 * _t466_temp_string_len);
                                        CORBA_string_flick_free((_local_b));
                                        (_local_b) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t466_temp_string_len);
                                        flick_iiopxx_encode_new_chunk_align(4 + 1 * _t467_temp_string_len, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _t467_temp_string_len, flick_unsigned32_t );
                                        if (_t467_temp_string_len > 21)
                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1226);
                                        flick_cdr_encode_bcopy(4, (_local_c), 1 * _t467_temp_string_len);
                                        CORBA_string_flick_free((_local_c));
                                        (_local_c) = (CORBA::Char *)0;
                                        flick_iiopxx_encode_end_chunk(4 + 1 * _t467_temp_string_len);
                                        flick_iiopxx_encode_end_glob(85);
                                        break;
                                        {
                                        _flick_abort1226:
                                          goto _flick_abort1215;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(85);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1233);
                                        break;
                                        {
                                        _flick_abort1233:
                                          goto _flick_abort1215;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1234);
                                        flick_iiopxx_encode_end_glob(85);
                                        break;
                                        {
                                        _flick_abort1234:
                                          goto _flick_abort1215;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1215:
                                  CORBA_string_flick_free(_local_b);
                                _flick_abort1210:
                                  goto _flick_abort1209;
                                }
                              }
                              break;
                              {
                              _flick_abort1209:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
                {
                  unsigned int _t468_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t468_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t468_switch_tag)
                    {
                    case /* eque */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701934437):
                      {
                        unsigned int _t469_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t469_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t469_switch_tag)
                          {
                          case /* nce */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852007680):
                            {
                              {
                                POA_intf *_local_this;
                                unsigned int _t470_principal_len;
                                UVSequence *_return;
                                UVSequence _local_a;
                                CORBA::ULong _t474_array_iter;
                                UVSequence _local_b;
                                CORBA::ULong _t480_array_iter;
                                UVSequence *_local_c;
                                CORBA::Environment _ev;



                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1236);


                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t470_principal_len, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(32);
                                flick_iiopxx_check_span(_t470_principal_len, _flick_abort1236);
                                flick_iiopxx_decode_new_glob(_t470_principal_len);
                                flick_iiopxx_decode_new_chunk(_t470_principal_len);
                                flick_iiopxx_decode_end_chunk(_t470_principal_len);
                                flick_iiopxx_decode_end_glob(_t470_principal_len);
                                /* Begin decode phase on parameters */
                                _return = 0;
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1236);
                                flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_a._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1236);
                                  _local_a._buffer = _t_alloc_ptr;
                                  _local_a._maximum = _local_a._length;
                                  _local_a._release = 1;
                                }
                                for (_t474_array_iter = 0; _t474_array_iter < _local_a._length; _t474_array_iter++)
                                  {
                                    flick_unsigned32_t _t476_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort1246);
                                    flick_cdr_decode_unsigned32(0, _t476_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t476_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t476_temp_string_len, _flick_abort1246);
                                    flick_iiopxx_decode_new_chunk(1 * _t476_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t476_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1246);
                                      _local_a._buffer[_t474_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_a._buffer[_t474_array_iter], 1 * _t476_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t476_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t476_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort1246:
                                      goto _flick_abort1236;
                                    }
                                  }
                                flick_iiopxx_decode_new_glob(7);
                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                flick_iiopxx_check_span(4, _flick_abort1236);
                                flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                flick_iiopxx_decode_end_chunk(4);
                                flick_iiopxx_decode_end_glob(7);
                                {
                                  CORBA::Char **_t_alloc_ptr;

                                  _t_alloc_ptr = (CORBA::Char **)new (CORBA::Char *[_local_b._length]);
                                  if (!_t_alloc_ptr)
                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1236);
                                  _local_b._buffer = _t_alloc_ptr;
                                  _local_b._maximum = _local_b._length;
                                  _local_b._release = 1;
                                }
                                for (_t480_array_iter = 0; _t480_array_iter < _local_b._length; _t480_array_iter++)
                                  {
                                    flick_unsigned32_t _t482_temp_string_len;

                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort1261);
                                    flick_cdr_decode_unsigned32(0, _t482_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(1 * _t482_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t482_temp_string_len, _flick_abort1261);
                                    flick_iiopxx_decode_new_chunk(1 * _t482_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t482_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1261);
                                      _local_b._buffer[_t480_array_iter] = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b._buffer[_t480_array_iter], 1 * _t482_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t482_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t482_temp_string_len);
                                    continue;
                                    {
                                    _flick_abort1261:
                                      goto _flick_abort1236;
                                    }
                                  }

                                flick_iiopxx_server_end_decode();
                                flick_corbaxx_init_environment();


                                _return = _local_this->VarSequence(_local_a, _local_b, _local_c, _ev);


                                flick_iiopxx_server_start_encode();


                                {
                                  int _t483_temp_major;

                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t483_temp_major);

                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1236);
                                  flick_iiopxx_encode_new_glob(8, _flick_abort1236);
                                  flick_iiopxx_encode_new_chunk(4);
                                  flick_cdr_encode_signed32(0, _t483_temp_major, int );
                                  flick_iiopxx_encode_end_chunk(4);
                                  switch (_t483_temp_major)
                                    {
                                    case CORBA::NO_EXCEPTION:
                                      {
                                        CORBA::ULong _t505_array_iter;
                                        CORBA::ULong _t511_array_iter;
                                        CORBA::ULong _t517_array_iter;

                                        /* Begin encode phase on parameters */
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(8);
                                        for (_t505_array_iter = 0; _t505_array_iter < _return->_length; _t505_array_iter++)
                                          {
                                            flick_unsigned32_t _t507_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t505_array_iter], flick_unsigned32_t , _t507_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1326);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t507_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t507_temp_string_len, _flick_abort1326);
                                            flick_iiopxx_encode_new_chunk(1 * _t507_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_buffer[_t505_array_iter], 1 * _t507_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t507_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t507_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1326:
                                              goto _flick_abort1316;
                                            }
                                          }
                                        delete _return;
                                        _return = (UVSequence *)0;
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1316);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t511_array_iter = 0; _t511_array_iter < _local_b._length; _t511_array_iter++)
                                          {
                                            flick_unsigned32_t _t513_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b._buffer[_t511_array_iter], flick_unsigned32_t , _t513_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1341);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t513_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t513_temp_string_len, _flick_abort1341);
                                            flick_iiopxx_encode_new_chunk(1 * _t513_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b._buffer[_t511_array_iter], 1 * _t513_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t513_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t513_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1341:
                                              goto _flick_abort1316;
                                            }
                                          }
                                        flick_iiopxx_encode_new_glob(7, _flick_abort1316);
                                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                        flick_iiopxx_encode_end_chunk(4);
                                        flick_iiopxx_encode_end_glob(7);
                                        for (_t517_array_iter = 0; _t517_array_iter < _local_c->_length; _t517_array_iter++)
                                          {
                                            flick_unsigned32_t _t519_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c->_buffer[_t517_array_iter], flick_unsigned32_t , _t519_temp_string_len);

                                            flick_iiopxx_encode_new_glob(7, _flick_abort1356);
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t519_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_iiopxx_encode_new_glob(1 * _t519_temp_string_len, _flick_abort1356);
                                            flick_iiopxx_encode_new_chunk(1 * _t519_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c->_buffer[_t517_array_iter], 1 * _t519_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t519_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t519_temp_string_len);
                                            continue;
                                            {
                                            _flick_abort1356:
                                              goto _flick_abort1316;
                                            }
                                          }
                                        delete _local_c;
                                        _local_c = (UVSequence *)0;
                                        break;
                                        {
                                        _flick_abort1316:
                                          goto _flick_abort1236;
                                        }
                                      }
                                    case CORBA::SYSTEM_EXCEPTION:
                                      {
                                        flick_iiopxx_encode_end_glob(8);
                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1362);
                                        break;
                                        {
                                        _flick_abort1362:
                                          goto _flick_abort1236;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1363);
                                        flick_iiopxx_encode_end_glob(8);
                                        break;
                                        {
                                        _flick_abort1363:
                                          goto _flick_abort1236;
                                        }
                                      }
                                    }
                                }


                                flick_iiopxx_server_end_encode();


                                break;
                                {
                                _flick_abort1236:
                                  goto _flick_abort1235;
                                }
                              }
                              break;
                              {
                              _flick_abort1235:
                                goto _flick_abort2;
                              }
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 11:
          {
            unsigned int _t520_switch_tag;

            flick_iiopxx_check_span(16, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t520_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t520_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t521_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t521_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t521_switch_tag)
                    {
                    case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                      {
                        unsigned short int _t522_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t522_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t522_switch_tag)
                          {
                          case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                            {
                              char _t523_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t523_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t523_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t524_principal_len;
                                      FUnion _return;
                                      FUnion _local_a;
                                      FUnion _local_b;
                                      FUnion _local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1365);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t524_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t524_principal_len, _flick_abort1365);
                                      flick_iiopxx_decode_new_glob(_t524_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t524_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t524_principal_len);
                                      flick_iiopxx_decode_end_glob(_t524_principal_len);
                                      /* Begin decode phase on parameters */
                                      flick_iiopxx_decode_new_glob(22);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(5, _flick_abort1365);
                                      flick_cdr_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch (_local_a.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_iiopxx_check_span(4, _flick_abort1369);
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, _local_a._u.x, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort1369:
                                              goto _flick_abort1365;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_decode_char8(0, _local_a._u.z, CORBA::Char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            break;
                                            {
                                              goto _flick_abort1365;
                                            }
                                          }
                                        }
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(5, _flick_abort1365);
                                      flick_cdr_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch (_local_b.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_iiopxx_check_span(4, _flick_abort1374);
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, _local_b._u.x, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort1374:
                                              goto _flick_abort1365;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_decode_char8(0, _local_b._u.z, CORBA::Char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            break;
                                            {
                                              goto _flick_abort1365;
                                            }
                                          }
                                        }

                                      flick_iiopxx_decode_end_glob(22);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedUnion(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t525_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t525_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1365);
                                        flick_iiopxx_encode_new_glob(34, _flick_abort1365);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t525_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t525_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_return.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_local_b.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _local_b._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                              flick_cdr_encode_signed32(0, _local_c.disc_, CORBA::Long );
                                              flick_iiopxx_encode_end_chunk(4);
                                              switch (_local_c.disc_)
                                                {
                                                case 1:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _local_c._u.x, CORBA::Long );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_iiopxx_encode_new_chunk(1);
                                                    flick_cdr_encode_char8(0, _local_c._u.z, CORBA::Char );
                                                    flick_iiopxx_encode_end_chunk(1);
                                                    break;
                                                  }
                                                }
                                              flick_iiopxx_encode_end_glob(34);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(34);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1411);
                                              break;
                                              {
                                              _flick_abort1411:
                                                goto _flick_abort1365;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1412);
                                              flick_iiopxx_encode_end_glob(34);
                                              break;
                                              {
                                              _flick_abort1412:
                                                goto _flick_abort1365;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1365:
                                        goto _flick_abort1364;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1364:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    case /* dArr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1682010738):
                      {
                        unsigned short int _t526_switch_tag;

                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned16(0, _t526_switch_tag, unsigned short int );
                        flick_iiopxx_decode_end_chunk(2);
                        switch ((unsigned short int )_t526_switch_tag)
                          {
                          case /* ay */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24953):
                            {
                              char _t527_switch_tag;

                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _t527_switch_tag, char );
                              flick_iiopxx_decode_end_chunk(1);
                              switch ((char )_t527_switch_tag)
                                {
                                case 0:
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t528_principal_len;
                                      FArray_slice *_return;
                                      CORBA::Long *_local_a;
                                      CORBA::Long *_local_b;
                                      CORBA::Long *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1414);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(5);
                                      flick_cdr_decode_unsigned32(1, _t528_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(5);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t528_principal_len, _flick_abort1414);
                                      flick_iiopxx_decode_new_glob(_t528_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t528_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t528_principal_len);
                                      flick_iiopxx_decode_end_glob(_t528_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(83);
                                      flick_iiopxx_decode_new_chunk_align(80, 2, 0, 0);
                                      flick_iiopxx_check_span(80, _flick_abort1414);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1414);
                                        _local_a = _t_alloc_ptr;
                                      }
                                      flick_cdr_decode_bcopy(0, _local_a, 40);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1414);
                                        _local_b = _t_alloc_ptr;
                                      }
                                      flick_cdr_decode_bcopy(40, _local_b, 40);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1414);
                                        _local_c = _t_alloc_ptr;
                                      }

                                      flick_iiopxx_decode_end_chunk(80);
                                      flick_iiopxx_decode_end_glob(83);
                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedArray(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t529_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t529_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1414);
                                        flick_iiopxx_encode_new_glob(124, _flick_abort1414);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t529_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t529_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(120);
                                              flick_cdr_encode_bcopy(0, _return, 40);
                                              delete [] _return;
                                              _return = (CORBA::Long *)0;
                                              flick_cdr_encode_bcopy(40, _local_b, 40);
                                              delete [] _local_b;
                                              _local_b = (CORBA::Long *)0;
                                              flick_cdr_encode_bcopy(80, _local_c, 40);
                                              delete [] _local_c;
                                              _local_c = (CORBA::Long *)0;
                                              flick_iiopxx_encode_end_chunk(120);
                                              flick_iiopxx_encode_end_glob(124);
                                              break;
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(124);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1437);
                                              break;
                                              {
                                              _flick_abort1437:
                                                goto _flick_abort1414;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1438);
                                              flick_iiopxx_encode_end_glob(124);
                                              break;
                                              {
                                              _flick_abort1438:
                                                goto _flick_abort1414;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1414:
                                        goto _flick_abort1413;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1413:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 21:
          {
            unsigned int _t530_switch_tag;

            flick_iiopxx_check_span(28, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t530_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t530_switch_tag)
              {
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t531_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t531_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t531_switch_tag)
                    {
                    case /* dedF */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366406):
                      {
                        unsigned int _t532_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t532_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t532_switch_tag)
                          {
                          case /* ixed */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769497956):
                            {
                              unsigned int _t533_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t533_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t533_switch_tag)
                                {
                                case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
                                  {
                                    unsigned int _t534_switch_tag;

                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t534_switch_tag, unsigned int );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch ((unsigned int )_t534_switch_tag)
                                      {
                                      case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                                        {
                                          char _t535_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t535_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t535_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  POA_intf *_local_this;
                                                  unsigned int _t536_principal_len;
                                                  BFSequence *_return;
                                                  BFSequence _local_a;
                                                  BFSequence _local_b;
                                                  BFSequence *_local_c;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1440);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(7);
                                                  flick_cdr_decode_unsigned32(3, _t536_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(7);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_iiopxx_check_span(_t536_principal_len, _flick_abort1440);
                                                  flick_iiopxx_decode_new_glob(_t536_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t536_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t536_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t536_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  _return = 0;
                                                  flick_iiopxx_decode_new_glob(91);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort1440);
                                                  flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                                  if (_local_a._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1440);
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_check_span(4 * _local_a._length + 4, _flick_abort1440);
                                                  flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                                                  flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                                                  flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                                                  flick_iiopxx_decode_new_chunk(4);
                                                  flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                  if (_local_b._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1440);
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_check_span(4 * _local_b._length, _flick_abort1440);
                                                  flick_iiopxx_decode_new_chunk(4 * _local_b._length);
                                                  flick_cdr_decode_bcopy(0, _local_b._buffer, 4 * _local_b._length);
                                                  flick_iiopxx_decode_end_chunk(4 * _local_b._length);

                                                  flick_iiopxx_decode_end_glob(91);
                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->BoundedFixedSequence(_local_a, _local_b, _local_c, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t537_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t537_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1440);
                                                    flick_iiopxx_encode_new_glob(136, _flick_abort1440);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t537_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t537_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                                          flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                                          if (_return->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1455);
                                                          flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                                          delete _return;
                                                          _return = (BFSequence *)0;
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _local_b._length);
                                                          flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                          if (_local_b._length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1455);
                                                          flick_cdr_encode_bcopy(4, _local_b._buffer, 4 * _local_b._length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _local_b._length);
                                                          flick_iiopxx_encode_new_chunk(4 + 4 * _local_c->_length);
                                                          flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                                          if (_local_c->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1455);
                                                          flick_cdr_encode_bcopy(4, _local_c->_buffer, 4 * _local_c->_length);
                                                          flick_iiopxx_encode_end_chunk(4 + 4 * _local_c->_length);
                                                          delete _local_c;
                                                          _local_c = (BFSequence *)0;
                                                          flick_iiopxx_encode_end_glob(136);
                                                          break;
                                                          {
                                                          _flick_abort1455:
                                                            goto _flick_abort1440;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(136);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1462);
                                                          break;
                                                          {
                                                          _flick_abort1462:
                                                            goto _flick_abort1440;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1463);
                                                          flick_iiopxx_encode_end_glob(136);
                                                          break;
                                                          {
                                                          _flick_abort1463:
                                                            goto _flick_abort1440;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1440:
                                                    goto _flick_abort1439;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1439:
                                                  goto _flick_abort2;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 19:
          {
            unsigned int _t538_switch_tag;

            flick_iiopxx_check_span(24, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t538_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t538_switch_tag)
              {
              case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
                {
                  unsigned int _t539_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t539_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t539_switch_tag)
                    {
                    case /* dedV */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684366422):
                      {
                        unsigned int _t540_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t540_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t540_switch_tag)
                          {
                          case /* arSe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634882405):
                            {
                              unsigned int _t541_switch_tag;

                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t541_switch_tag, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              switch ((unsigned int )_t541_switch_tag)
                                {
                                case /* quen */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1903519086):
                                  {
                                    unsigned short int _t542_switch_tag;

                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned16(0, _t542_switch_tag, unsigned short int );
                                    flick_iiopxx_decode_end_chunk(2);
                                    switch ((unsigned short int )_t542_switch_tag)
                                      {
                                      case /* ce */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25445):
                                        {
                                          char _t543_switch_tag;

                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t543_switch_tag, char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          switch ((char )_t543_switch_tag)
                                            {
                                            case 0:
                                              {
                                                {
                                                  POA_intf *_local_this;
                                                  unsigned int _t544_principal_len;
                                                  BVSequence *_return;
                                                  BVSequence _local_a;
                                                  CORBA::ULong _t548_array_iter;
                                                  BVSequence _local_b;
                                                  CORBA::ULong _t554_array_iter;
                                                  BVSequence *_local_c;
                                                  CORBA::Environment _ev;



                                                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1465);


                                                  /* Decode the requesting `Principal' pseudo object (client ID). */
                                                  flick_iiopxx_decode_new_chunk(5);
                                                  flick_cdr_decode_unsigned32(1, _t544_principal_len, unsigned int );
                                                  flick_iiopxx_decode_end_chunk(5);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_iiopxx_check_span(_t544_principal_len, _flick_abort1465);
                                                  flick_iiopxx_decode_new_glob(_t544_principal_len);
                                                  flick_iiopxx_decode_new_chunk(_t544_principal_len);
                                                  flick_iiopxx_decode_end_chunk(_t544_principal_len);
                                                  flick_iiopxx_decode_end_glob(_t544_principal_len);
                                                  /* Begin decode phase on parameters */
                                                  _return = 0;
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort1465);
                                                  flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  if (_local_a._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1465);
                                                  for (_t548_array_iter = 0; _t548_array_iter < _local_a._length; _t548_array_iter++)
                                                    {
                                                      flick_unsigned32_t _t550_temp_string_len;

                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort1475);
                                                      flick_cdr_decode_unsigned32(0, _t550_temp_string_len, flick_unsigned32_t );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_decode_new_glob(1 * _t550_temp_string_len);
                                                      flick_iiopxx_check_span(1 * _t550_temp_string_len, _flick_abort1475);
                                                      flick_iiopxx_decode_new_chunk(1 * _t550_temp_string_len);
                                                      {
                                                        CORBA::Char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t550_temp_string_len * sizeof(CORBA::Char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1475);
                                                        _local_a._buffer[_t548_array_iter] = _t_alloc_ptr;
                                                      }
                                                      flick_cdr_decode_bcopy(0, _local_a._buffer[_t548_array_iter], 1 * _t550_temp_string_len);
                                                      flick_iiopxx_decode_end_chunk(1 * _t550_temp_string_len);
                                                      flick_iiopxx_decode_end_glob(1 * _t550_temp_string_len);
                                                      continue;
                                                      {
                                                      _flick_abort1475:
                                                        goto _flick_abort1465;
                                                      }
                                                    }
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort1465);
                                                  flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  if (_local_b._length > 10)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1465);
                                                  for (_t554_array_iter = 0; _t554_array_iter < _local_b._length; _t554_array_iter++)
                                                    {
                                                      flick_unsigned32_t _t556_temp_string_len;

                                                      flick_iiopxx_decode_new_glob(7);
                                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_iiopxx_check_span(4, _flick_abort1490);
                                                      flick_cdr_decode_unsigned32(0, _t556_temp_string_len, flick_unsigned32_t );
                                                      flick_iiopxx_decode_end_chunk(4);
                                                      flick_iiopxx_decode_end_glob(7);
                                                      flick_iiopxx_decode_new_glob(1 * _t556_temp_string_len);
                                                      flick_iiopxx_check_span(1 * _t556_temp_string_len, _flick_abort1490);
                                                      flick_iiopxx_decode_new_chunk(1 * _t556_temp_string_len);
                                                      {
                                                        CORBA::Char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t556_temp_string_len * sizeof(CORBA::Char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1490);
                                                        _local_b._buffer[_t554_array_iter] = _t_alloc_ptr;
                                                      }
                                                      flick_cdr_decode_bcopy(0, _local_b._buffer[_t554_array_iter], 1 * _t556_temp_string_len);
                                                      flick_iiopxx_decode_end_chunk(1 * _t556_temp_string_len);
                                                      flick_iiopxx_decode_end_glob(1 * _t556_temp_string_len);
                                                      continue;
                                                      {
                                                      _flick_abort1490:
                                                        goto _flick_abort1465;
                                                      }
                                                    }

                                                  flick_iiopxx_server_end_decode();
                                                  flick_corbaxx_init_environment();


                                                  _return = _local_this->BoundedVarSequence(_local_a, _local_b, _local_c, _ev);


                                                  flick_iiopxx_server_start_encode();


                                                  {
                                                    int _t557_temp_major;

                                                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t557_temp_major);

                                                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1465);
                                                    flick_iiopxx_encode_new_glob(8, _flick_abort1465);
                                                    flick_iiopxx_encode_new_chunk(4);
                                                    flick_cdr_encode_signed32(0, _t557_temp_major, int );
                                                    flick_iiopxx_encode_end_chunk(4);
                                                    switch (_t557_temp_major)
                                                      {
                                                      case CORBA::NO_EXCEPTION:
                                                        {
                                                          CORBA::ULong _t579_array_iter;
                                                          CORBA::ULong _t585_array_iter;
                                                          CORBA::ULong _t591_array_iter;

                                                          /* Begin encode phase on parameters */
                                                          flick_iiopxx_encode_new_chunk(4);
                                                          flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(8);
                                                          if (_return->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1545);
                                                          for (_t579_array_iter = 0; _t579_array_iter < _return->_length; _t579_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t581_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _return->_buffer[_t579_array_iter], flick_unsigned32_t , _t581_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort1555);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t581_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t581_temp_string_len, _flick_abort1555);
                                                              flick_iiopxx_encode_new_chunk(1 * _t581_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _return->_buffer[_t579_array_iter], 1 * _t581_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t581_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t581_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort1555:
                                                                goto _flick_abort1545;
                                                              }
                                                            }
                                                          delete _return;
                                                          _return = (BVSequence *)0;
                                                          flick_iiopxx_encode_new_glob(7, _flick_abort1545);
                                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                          flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(7);
                                                          if (_local_b._length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1545);
                                                          for (_t585_array_iter = 0; _t585_array_iter < _local_b._length; _t585_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t587_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _local_b._buffer[_t585_array_iter], flick_unsigned32_t , _t587_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort1570);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t587_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t587_temp_string_len, _flick_abort1570);
                                                              flick_iiopxx_encode_new_chunk(1 * _t587_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _local_b._buffer[_t585_array_iter], 1 * _t587_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t587_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t587_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort1570:
                                                                goto _flick_abort1545;
                                                              }
                                                            }
                                                          flick_iiopxx_encode_new_glob(7, _flick_abort1545);
                                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                          flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                                          flick_iiopxx_encode_end_chunk(4);
                                                          flick_iiopxx_encode_end_glob(7);
                                                          if (_local_c->_length > 10)
                                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1545);
                                                          for (_t591_array_iter = 0; _t591_array_iter < _local_c->_length; _t591_array_iter++)
                                                            {
                                                              flick_unsigned32_t _t593_temp_string_len;

                                                              flick_cdr_stringlen(CORBA::Char *, _local_c->_buffer[_t591_array_iter], flick_unsigned32_t , _t593_temp_string_len);

                                                              flick_iiopxx_encode_new_glob(7, _flick_abort1585);
                                                              flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_cdr_encode_unsigned32(0, _t593_temp_string_len, flick_unsigned32_t );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              flick_iiopxx_encode_end_glob(7);
                                                              flick_iiopxx_encode_new_glob(1 * _t593_temp_string_len, _flick_abort1585);
                                                              flick_iiopxx_encode_new_chunk(1 * _t593_temp_string_len);
                                                              flick_cdr_encode_bcopy(0, _local_c->_buffer[_t591_array_iter], 1 * _t593_temp_string_len);
                                                              flick_iiopxx_encode_end_chunk(1 * _t593_temp_string_len);
                                                              flick_iiopxx_encode_end_glob(1 * _t593_temp_string_len);
                                                              continue;
                                                              {
                                                              _flick_abort1585:
                                                                goto _flick_abort1545;
                                                              }
                                                            }
                                                          delete _local_c;
                                                          _local_c = (BVSequence *)0;
                                                          break;
                                                          {
                                                          _flick_abort1545:
                                                            goto _flick_abort1465;
                                                          }
                                                        }
                                                      case CORBA::SYSTEM_EXCEPTION:
                                                        {
                                                          flick_iiopxx_encode_end_glob(8);
                                                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1591);
                                                          break;
                                                          {
                                                          _flick_abort1591:
                                                            goto _flick_abort1465;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1592);
                                                          flick_iiopxx_encode_end_glob(8);
                                                          break;
                                                          {
                                                          _flick_abort1592:
                                                            goto _flick_abort1465;
                                                          }
                                                        }
                                                      }
                                                  }


                                                  flick_iiopxx_server_end_encode();


                                                  break;
                                                  {
                                                  _flick_abort1465:
                                                    goto _flick_abort1464;
                                                  }
                                                }
                                                break;
                                                {
                                                _flick_abort1464:
                                                  goto _flick_abort2;
                                                }
                                              }
                                            default:
                                              {
                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                                flick_iiopxx_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                          flick_iiopxx_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        case (unsigned int) 14:
          {
            unsigned int _t594_switch_tag;

            flick_iiopxx_check_span(20, _flick_abort2);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t594_switch_tag, unsigned int );
            flick_iiopxx_decode_end_chunk(4);
            switch ((unsigned int )_t594_switch_tag)
              {
              case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
                {
                  unsigned int _t595_switch_tag;

                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t595_switch_tag, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  switch ((unsigned int )_t595_switch_tag)
                    {
                    case /* dSeq */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683187057):
                      {
                        unsigned int _t596_switch_tag;

                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t596_switch_tag, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        switch ((unsigned int )_t596_switch_tag)
                          {
                          case /* uenc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969581667):
                            {
                              unsigned short int _t597_switch_tag;

                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_unsigned16(0, _t597_switch_tag, unsigned short int );
                              flick_iiopxx_decode_end_chunk(2);
                              switch ((unsigned short int )_t597_switch_tag)
                                {
                                case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                  {
                                    {
                                      POA_intf *_local_this;
                                      unsigned int _t598_principal_len;
                                      UFSequence *_return;
                                      UFSequence _local_a;
                                      UFSequence _local_b;
                                      UFSequence *_local_c;
                                      CORBA::Environment _ev;



                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1594);


                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_decode_unsigned32(2, _t598_principal_len, unsigned int );
                                      flick_iiopxx_decode_end_chunk(6);
                                      flick_iiopxx_decode_end_glob(32);
                                      flick_iiopxx_check_span(_t598_principal_len, _flick_abort1594);
                                      flick_iiopxx_decode_new_glob(_t598_principal_len);
                                      flick_iiopxx_decode_new_chunk(_t598_principal_len);
                                      flick_iiopxx_decode_end_chunk(_t598_principal_len);
                                      flick_iiopxx_decode_end_glob(_t598_principal_len);
                                      /* Begin decode phase on parameters */
                                      _return = 0;
                                      flick_iiopxx_decode_new_glob(7);
                                      flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                      flick_iiopxx_check_span(4, _flick_abort1594);
                                      flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(7);
                                      flick_iiopxx_decode_new_glob(4 * _local_a._length);
                                      flick_iiopxx_check_span(4 * _local_a._length + 4, _flick_abort1594);
                                      flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                                      flick_cdr_decode_msgptr(0, _local_a._buffer, CORBA::Long *);
                                      _local_a._maximum = _local_a._length;
                                      _local_a._release = 0;
                                      flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                                      flick_iiopxx_decode_end_glob(4 * _local_a._length);
                                      flick_iiopxx_decode_new_glob(4);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      flick_iiopxx_decode_end_chunk(4);
                                      flick_iiopxx_decode_end_glob(4);
                                      flick_iiopxx_decode_new_glob(4 * _local_b._length);
                                      flick_iiopxx_check_span(4 * _local_b._length, _flick_abort1594);
                                      flick_iiopxx_decode_new_chunk(4 * _local_b._length);
                                      {
                                        CORBA::Long *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_local_b._length]);
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1594);
                                        _local_b._buffer = _t_alloc_ptr;
                                        _local_b._maximum = _local_b._length;
                                        _local_b._release = 1;
                                      }
                                      flick_cdr_decode_bcopy(0, _local_b._buffer, 4 * _local_b._length);
                                      flick_iiopxx_decode_end_chunk(4 * _local_b._length);
                                      flick_iiopxx_decode_end_glob(4 * _local_b._length);

                                      flick_iiopxx_server_end_decode();
                                      flick_corbaxx_init_environment();


                                      _return = _local_this->FixedSequence(_local_a, _local_b, _local_c, _ev);


                                      flick_iiopxx_server_start_encode();


                                      {
                                        int _t599_temp_major;

                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t599_temp_major);

                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1594);
                                        flick_iiopxx_encode_new_glob(8, _flick_abort1594);
                                        flick_iiopxx_encode_new_chunk(4);
                                        flick_cdr_encode_signed32(0, _t599_temp_major, int );
                                        flick_iiopxx_encode_end_chunk(4);
                                        switch (_t599_temp_major)
                                          {
                                          case CORBA::NO_EXCEPTION:
                                            {
                                              /* Begin encode phase on parameters */
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_iiopxx_encode_new_glob(4 * _return->_length, _flick_abort1609);
                                              flick_iiopxx_encode_new_chunk(4 * _return->_length);
                                              flick_cdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                              flick_iiopxx_encode_end_chunk(4 * _return->_length);
                                              flick_iiopxx_encode_end_glob(4 * _return->_length);
                                              delete _return;
                                              _return = (UFSequence *)0;
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1609);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_iiopxx_encode_new_glob(4 * _local_b._length, _flick_abort1609);
                                              flick_iiopxx_encode_new_chunk(4 * _local_b._length);
                                              flick_cdr_encode_bcopy(0, _local_b._buffer, 4 * _local_b._length);
                                              flick_iiopxx_encode_end_chunk(4 * _local_b._length);
                                              flick_iiopxx_encode_end_glob(4 * _local_b._length);
                                              flick_iiopxx_encode_new_glob(4, _flick_abort1609);
                                              flick_iiopxx_encode_new_chunk(4);
                                              flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                              flick_iiopxx_encode_end_chunk(4);
                                              flick_iiopxx_encode_end_glob(4);
                                              flick_iiopxx_encode_new_glob(4 * _local_c->_length, _flick_abort1609);
                                              flick_iiopxx_encode_new_chunk(4 * _local_c->_length);
                                              flick_cdr_encode_bcopy(0, _local_c->_buffer, 4 * _local_c->_length);
                                              flick_iiopxx_encode_end_chunk(4 * _local_c->_length);
                                              flick_iiopxx_encode_end_glob(4 * _local_c->_length);
                                              delete _local_c;
                                              _local_c = (UFSequence *)0;
                                              break;
                                              {
                                              _flick_abort1609:
                                                goto _flick_abort1594;
                                              }
                                            }
                                          case CORBA::SYSTEM_EXCEPTION:
                                            {
                                              flick_iiopxx_encode_end_glob(8);
                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1616);
                                              break;
                                              {
                                              _flick_abort1616:
                                                goto _flick_abort1594;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1617);
                                              flick_iiopxx_encode_end_glob(8);
                                              break;
                                              {
                                              _flick_abort1617:
                                                goto _flick_abort1594;
                                              }
                                            }
                                          }
                                      }


                                      flick_iiopxx_server_end_encode();


                                      break;
                                      {
                                      _flick_abort1594:
                                        goto _flick_abort1593;
                                      }
                                    }
                                    break;
                                    {
                                    _flick_abort1593:
                                      goto _flick_abort2;
                                    }
                                  }
                                default:
                                  {
                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                    flick_iiopxx_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                              flick_iiopxx_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                        flick_iiopxx_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                  flick_iiopxx_decode_end_glob(32);
                  break;
                }
              }
            break;
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
            flick_iiopxx_decode_end_glob(32);
            break;
          }
        }
    }

  }
  _stub_state.state = FLICK_STATE_EPILOGUE;

  return;
  {
  _flick_abort2:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return ;
  }

_flick_reaper:
  return ;

}
